2018-1-13 Malignant Manor <malignantmanor@users.sourceforge.net>
	* Stop the tv in the intro from going too far left

2017-11-13 Malignant Manor <malignantmanor@users.sourceforge.net>
	* Fix issue #54 based off of Joseph Applegate's solution.
	  Obj::get_total_qty will now count objects with a quantity of 0 as
	  having a quantity of 1.
	* Add thread to U6Objects.

2017-11-01 Malignant Manor <malignantmanor@users.sourceforge.net>
	* Use proper rounding for displayed inventory and equipped weight.

2017-09-26  Eric Fry <efry at users.sourceforge.net>
	* Fixed wall reshaping bugs. issue #68
 
2017-08-02  Michael Fink <vividos at users.sourceforge.net>
	* Updated the Visual Studio project and source files to compile under
	  Visual Studio 2017.

2017-06-12  Eric Fry <efry at users.sourceforge.net>
	* Attempt to load custom tiles from a data directory in the savegame directory.
	  If that doesn't exist then load them from the App data dir.

2017-06-09  Eric Fry <efry at users.sourceforge.net>
	* Moved tileset export file to data/images/tiles/nn/custom_tiles.bmp
	  in the current savegame directory.
	* Don't automatically overwrite custom_tiles.bmp if it already exists

2017-06-07  Eric Fry <efry at users.sourceforge.net>
	* Added Blonde hair avatar sprites created by Kenneth Kully.

2017-05-31  Eric Fry <efry at users.sourceforge.net>
	* Added new altcode alt-914 This dumps out the current tileset
	  to a file called 'custom_tiles.bmp' in the savegame directory.

2017-05-30  Eric Fry <efry at users.sourceforge.net>
	* moved custom actor tiles from data/images/actors/U6 to
	  data/images/tiles/U6
	* Added support for replacing all tiles. Just put a bmp file called
	  custom_tiles.bmp into data/images/tiles/U6/
	* More work on MD dreamworld. Use dreamstuff. use spray gun.
	* Allow MD usecode to target actors.

2017-05-07  Eric Fry <efry at users.sourceforge.net>
	* Moved technical docs from subversion into the main Nuvie git repo.

2017-05-07  Eric Fry <efry at users.sourceforge.net>
	* Changed map_get_tile_num() to optionally return the original tile_num.
	  This is useful when dealing with animating tiles
	* Print "...faster!" when falling in the MD dreamworld

2017-05-06  Eric Fry <efry at users.sourceforge.net>
	* Fixed MD minotaur attack logic
	* Don't draw MD debug tiles on map when show eggs is disabled
	* Fixed some issues when avatar returns from dreamworld.

2017-05-01  Eric Fry <efry at users.sourceforge.net>
	* Added more MD spread weapon logic
	* Fixed use radium on ray gun usecode

2017-04-27  Eric Fry <efry at users.sourceforge.net>
	* Use chips of Radium on ray guns
	* Fixed freeze ray gun projectile anim tile

2017-04-24  Eric Fry <efry at users.sourceforge.net>
	* More work on MD attack logic.
	* Added the ability to read Obj invisible status from lua scripts.
	* Fixed MD objlist movement flags location.

2017-04-20  Eric Fry <efry at users.sourceforge.net>
	* Added MD combat projectile animations

2017-04-07  Eric Fry <efry at users.sourceforge.net>
	* Work on MD combat logic
	* More work on MD dreamworld logic
	* Added new combat.lua file for MD combat logic
	* Added new lua script functions to lock/unlock the InventoryView
	  This is used to lock the view in dream mode.
	* Added new SCRIPT_MODE to Event. This will be used
	  to offload event logic into lua script.
	* Started to implement the player attack event in lua script

2017-03-18  Eric Fry <efry at users.sourceforge.net>
	* Work on MD attack object logic.

2017-03-14  Eric Fry <efry at users.sourceforge.net>
	* Added lua actor.xyz field
	* Moved some u6 actor functions into common lua
	* Work on Minotaur worktype

2017-03-08  Eric Fry <efry at users.sourceforge.net>
	* Fixed end of buffer bug with NuvieIO class
	* Added lua functions for querying an Actor's Schedule
	  Actor.get_number_of_schedules() and Actor.get_schedule()
	* Added dream quest finish logic
	* Finished MD switch usecode logic

2017-03-07  Eric Fry <efry at users.sourceforge.net>
	* Added map_enable_temp_actor_cleaning() script function to
	  disable temp actor cleaning. Needed for some MD dream sequences
	  which spawn temp actors more than 19 tiles away from the player.
	* Started on MD use switch logic

2017-03-03  Eric Fry <efry at users.sourceforge.net>
	* Changed player_before_move_action() to return movement status.
	  CAN_MOVE, BLOCKED or FORCE_MOVE
	* More work on MD cliff fall logic.

2017-03-01  Eric Fry <efry at users.sourceforge.net>
	* Work player death in dreamworld
	* Refactored temp object cleanup logic

2017-02-28  Eric Fry <efry at users.sourceforge.net>
	* More work on MD mother dream logic.
	* Added select_target_actor() script logic

2017-02-21  Eric Fry <efry at users.sourceforge.net>
	* Fixed bug when running tools in windows. Write files in binary mode.
	* Work on MD mother actor logic

2017-02-19  Eric Fry <efry at users.sourceforge.net>
	* Added new pack_lzc tool.
	* Removed the SDL requirement from some tools
	* More work on MD dreamworld logic
	* Don't drag actors around with vehicle in MD

2017-02-09  Eric Fry <efry at users.sourceforge.net>
	* Added MD walk on walls logic.
	* Removed darkness from MD dream levels.

2017-02-09  Eric Fry <efry at users.sourceforge.net>
	* Don't delete MD dream teleporter objects even though
	  they are marked as temporary.
	* Added party_set_in_vehicle() script function
	* Fixed bug with location table argument handling in lua C logic
	* Fixed bug with Weather class in MD mode.
	* More work on MD dream logic

2017-02-02  Eric Fry <efry at users.sourceforge.net>
	* Started work on using dream machine

2017-02-01  Eric Fry <efry at users.sourceforge.net>
	* Added MD use headgear
	* Work on MD use panel

2017-02-01  Eric Fry <efry at users.sourceforge.net>
	* Added MD talk scripts 1 and 7
	* Added MD use radium block

2017-01-29  Eric Fry <efry at users.sourceforge.net>
	* Added MD talk to object logic
	* Made lua obj.status a read/write field
	* Fixed null pointer when attempting to load portrait on startup
	  in original mode

2017-01-29  Eric Fry <efry at users.sourceforge.net>
	* Added MD oil usecode
	* Added MD hand mirror usecode
	* Fixed MD power line reconnection logic

2017-01-23  Eric Fry <efry at users.sourceforge.net>
	* Added support for MD auto doors, teleport pods and
	  refective surfaces.
	* Added obj.xyz script field. This returns a MapCoord table
	  object.

2017-01-21  Eric Fry <efry at users.sourceforge.net>
	* Added new script function find_obj_from_area. This allows you
	  to iterate over all objects within a given area.
	* Added more MD use entrance logic.

2017-01-18  Eric Fry <efry at users.sourceforge.net>
	* Fixed MD portrait number logic
	* Added actor.obj_flag_0 var to script

2017-01-17  Eric Fry <efry at users.sourceforge.net>
	* Added MD use heartstone logic
	* Started MD use manuscript logic

2017-01-16  Eric Fry <efry at users.sourceforge.net>
	* Added script function player_get_name()
	* Added script function display_text_in_scroll_gump()
	* Added MD usecode use_pool_table and use_ready_obj
 
2017-01-11  Eric Fry <efry at users.sourceforge.net>
	* Added reading material usecode logic.
	* Added new script function load_text_from_lzc()

2017-01-10  Eric Fry <efry at users.sourceforge.net>
	* Work on MD telekinesis
	* Work on MD get logic

2017-01-09  Eric Fry <efry at users.sourceforge.net>
	* Fixed barrel movement bug in Blue Bottle Tavern.

2016-12-31  Eric Fry <efry at users.sourceforge.net>
	* Lighting fixes for issue #55.
	* Increased border from 2 to 3 to give a smoother
	  light experience for light globes with a radius of
	  3 tiles.
 
2016-12-18  Eric Fry <efry at users.sourceforge.net>
	* Fixed bug when searching harpsichords and beds.

2016-08-30  Eric Fry <efry at users.sourceforge.net>
	* Added WOU support for writing LIB files.
	* Changed the unpack_font tool to export the font as a bmp file.
	* Created new pack_font tool to import a font bmp back into the
	  in-game system font format. WOU only at this stage.
	* Started to add CMake support for building the tools.

2016-08-27  Mikey Alexander <firesword at yahoo.com>
	* Enable Containers in SE (MD too?) and Look Code for SE

2016-08-26  Eric Fry <efry at users.sourceforge.net>
	* Fixed Issue #47 OS X: original+ is not getting any input

2016-08-26  Mikey Alexander <firesword at yahoo.com>
	* SE Lazy Teleport Locations

2015-12-18  Eric Fry <efry at users.sourceforge.net>
	* Added support for SDL2
	* Added support for VGA 4:3 aspect ratio pixels.

2015-11-30  anylonen
	* Added support for linux in CMake build script.
 
2015-10-23  Eric Fry <efry at users.sourceforge.net>
	* Fixed bug with incorrect inventory items for U6 guards.
	  Thanks to Quentinak for pointing it out. I think I may have
	  been experimenting with the original exe and changed them then
	  forgot about it and copied the new values into Nuvie.
	  Guards now have crossbows, halberds and gold coins instead of
	  torches, firewands and chests.

2015-09-21  Eric Fry <efry at users.sourceforge.net>
	* More work on MD map damage logic
	* changed tile_get_flag() script func to use the original tile
	* Added tile_num_original object getter method to return original
	  tile number.

2015-09-18  Eric Fry <efry at users.sourceforge.net>
	* MD more work on attack/defence script logic

2015-09-17  Eric Fry <efry at users.sourceforge.net>
	* MD work on attack/defence script logic

2015-09-10  Eric Fry <efry at users.sourceforge.net>
	* MD turn off power when conveyor belt stops.

2015-09-08  Eric Fry <efry at users.sourceforge.net>
	* Added anim_play() and anim_stop() script functions.
	* MD work on power activation logic

2015-08-30  Eric Fry <efry at users.sourceforge.net>
	* Started on MD sit logic
	* Starting moving player "Pass!" logic into lua script.
	* Added internationalisation files for U6 and SE
	* Added new player.lua script file.
	* Fixed crash when trying to use garg font in WOU games.
	* Fixed crash when invalid coordinates are passed to objs_at_loc()
	  script function.
	* Move actors along the conveyor belt in MD

2015-08-24  Eric Fry <efry at users.sourceforge.net>
	* Added CMake build file. (OS X specific at the moment)
	* MD Fixed Coker walk frames.
	* Fixed some C++11 compile errors.

2015-01-01  Eric Fry <efry at users.sourceforge.net> r2008
	* Work on MD conveyor belt logic
	* Work on Coker worktypes.

2015-02-26  Eric Fry <efry at users.sourceforge.net> r2007
	* Work on Stoker worktype logic. 0x9C, 0x9D, 0x9E

2015-02-25  Eric Fry <efry at users.sourceforge.net> r2006
	* Added MD reduced weight values.
	* Fixed weight scaling issue with MD can carry obj logic in conversations.
	* MD use repaired belt on bare rollers logic.
	* MD Added support for pushing wheel barrows.
	* Change drill or wheel barrow direction if pushed and blocked.

2015-02-20  Eric Fry <efry at users.sourceforge.net> r2005
	* Work on MD usecode to unload dirt/ore from containers.

2015-02-18  Eric Fry <efry at users.sourceforge.net> r2004
	* More work on MD use shovel on ore to container logic.

2015-02-17  Eric Fry <efry at users.sourceforge.net> r2003
	* Added MD use assembled drill.
	* Started on MD use shovel on ore to container logic.

2015-02-15  Eric Fry <efry at users.sourceforge.net> r2002
	* Added support for automatic pushing of railcar and drill objects in MD
	* Added the ability to move MD rail car and drill objects in and out of mines.
	* Added optional boolean flag to lua map_get_obj() function. This allows you
	  to include multi-tile objects in the search results if they are on an adjacent
	  overlapping tile.
	* Added the ability to exclude an object from ObjManager::get_obj()
	* Added player_before_move_action() script call. This can be used to execute lua script
	  before the player is moved. This is used by the MD push object logic.
	* Added MD use switch bar logic.
	* Added support for lua script based move-code logic.
	* Added movecode for MD drill and rail car objects.

2015-02-02  Eric Fry <efry at users.sourceforge.net> r2001
	* Fixed some object rendering issues with the TMX map export.
	  Fountains should display over the pools in U6 now.

2015-01-25 Malignant Manor <malignantmanor@users.sourceforge.net> r2000
	* Fix crash when using dithering in original+ styles larger than 320x200
	* Use any hat on a joystick/gamepad instead of only hat 0.
	* Fix joystick axis naming in auto-generated cfg.

2015-01-20  Eric Fry <efry at users.sourceforge.net> r1999
	* Fixed shorelines when creating U6 tilemap.
	* Added better support for toptile rendering when creating tmx map files.
	  Still need to fix fountains.

2015-01-20  Eric Fry <efry at users.sourceforge.net> r1998
	* Added function to export game maps in 'Tiled' tmx format.
	  Use Alt-913 to save the map. Each game map level is saved to a separate tmx
	  file. The files are saved into your current savegame directory.
	* Added TileManager::exportTilesetToBmpFile() to dump the game tilemap to a bmp
	  file.
	* Added new map_export_tmx_files() lua script function.
	* Removed old altcode logic from MD init.lua
	* Changed altcode lua to use a table based lookup.
	* Added GamePalette::loadPaletteIntoBuffer() this dumps the game palette
	  in 32bit format. RGB + unused alpha
	* Fixed bugs with BMP save logic.

2015-01-15  Eric Fry <efry at users.sourceforge.net> r1997
	* Fixed directional basemap blocking for MD. You can walk around in the dream
	  world correctly now.
	* Added get_direction_name() function.
	* Added DirFinder::get_nuvie_dir() This finds the direction from a src to a target.
	* Added new is_passable methods to map to handle MD directional blocking.
	* Started adding new image/save support to NuvieBmpFile class.
 
2015-01-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1996
	* Play the correct ending music for U6 instead of just end.m.

2015-01-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1995
	* Fix MD specific alt-250 code.

2015-01-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1994
	* Add background to wou conversation gump in original+ style.

2015-01-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1993
	* Move 242, 250, and 999 alt-codes to common.lua.
	* Update nuvie.cpp, cfg files, and docs with recent cfg and alt-code changes

2015-01-01  Eric Fry <efry at users.sourceforge.net> r1992
	* Pause script until conversation has finished when using Actor.talk() function
	* Started work on MD avatar death sequence. The party is teleported back to
	  Dr Blood when the avatar's hp goes to zero. Dead party members are also
	  revived. 

2014-12-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1991
	* Add MD weapon damage and armor values.
	* Add a couple strings to the language file.

2014-12-30  Eric Fry <efry at users.sourceforge.net> r1990
	* Added support for MD 0xD1 conversation opcode. This allows conversation
	  scripts to execute specific game logic. Like opening the city gates at
	  Olympus Mons.
	  This calls the talk_script() lua function which will implement all the
	  MD specific talk scripts. At the moment only script #6 has been implemented.
	* Added MD use gate
	* Fixed MD use door
	* Changed Obj x,y,z script variables to update the objects location on the map
	  if changed and the object is currently on the map.
	* Fixed assert crash when walking near an egg with no container objects in MD.
	  (12e, 277, 0)

2014-12-23  Eric Fry <efry at users.sourceforge.net> r1989
	* Added optional flag to Actor.inv_add_obj() to allow qty combining
	  for stackable objects.
	* Added MD use oxium bin, use sledge hammer on broken track and
	  use pliers on spool to tower.
	* Added new alt-code 999. This allows you to search the map for
	  a given object type,frame,quality combo. The party is then teleported
	  to each subsequent location until the player chooses to break out.

2014-12-22  Eric Fry <efry at users.sourceforge.net> r1988
	* Added MD wrench object usecode
	* player_post_move_action() script function hook.
	* Added party_use_entrance() script function.
	* Started work on MD entrance logic.

2014-12-14  Eric Fry <efry at users.sourceforge.net> r1987
	* Added MD look obelisk.
	* Changed canvas_hide() script function to force a full redraw.

2014-12-12  Eric Fry <efry at users.sourceforge.net> r1986
	* Added MD look usecode for light sources and doors.

2014-12-11  Eric Fry <efry at users.sourceforge.net> r1985
	* Added more MD look usecode. Belgian Combine, Sprayer, Weed sprayer,
	  heat ray gun, freeze ray gun, robot sprayer system, tracking motor,
	  switch bar, cabinet and panel.
	* Added tile_get_description() script function.

2014-12-09  Eric Fry <efry at users.sourceforge.net> r1984
	* Added more MD look usecode. martian seed, metal woman and broken strap.
	* Close gumps upon entering conversation mode.

2014-12-08  Eric Fry <efry at users.sourceforge.net> r1983
	* Moved MD look lua script into its own file. look.lua
	* Added script for the following look actions.
	  Pocketwatch, marker flag, martian wheel barrow, rail cart and cannon.

2014-12-06  Eric Fry <efry at users.sourceforge.net> r1982
	* Update MD pocket watch tile based on time.
	* Added new lua script functions for accessing tile animations.
	  anim_get_number_of_entries()
	  anim_get_tile(anim_index)
	  anim_get_first_frame(anim_index)
	  anim_set_first_frame(anim_index, anim_start_tile)

2014-11-30  Eric Fry <efry at users.sourceforge.net> r1981
	* Added mapwindow converse gump for MD / SE. This replaces the mapwindow
	  for conversations when playing in original UI mode.
	* Changed converse gump config to allow gump type selection.
	  You can now select between 'default', 'u7style' or 'wou' conversation
	  gumps.
	* Changed MsgScroll's MsgText class to contain color information. This allows
	  for the blue input text on the new WOU converse gump.
	* Changed script functions to accept signed coordinates. These are then
	  wrapped to the actual map dimensions.

2014-11-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1980
	* Add speech_enabled U6 specific cfg key. This allows FM-Towns speech to
	  be enabled or disabled instead of always being on. This can be changed
	  in the menu, but speech will finish playing if turned off.

2014-11-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1979
	* Increase GameplayDialog height and increase the button_index.
	* Have created food go in the caster's inventory instead of the Avatar's.

2014-11-09  Eric Fry <efry at users.sourceforge.net> r1978
	* Added 'startup game' button to the config menu. You can now change
	  the startup game ('config/loadgame') from within Nuvie. Added a future
	  config option to select the game from a menu at startup. At the moment
	  this just reverts to U6 if selected.

2014-11-08  Eric Fry <efry at users.sourceforge.net> r1977
	* Added MD berry markers to party view.
	* Show adjusted stats on Actor view.
	* Added C script calls for getting adjusted stats from lua script.
	* Lots of work on map x coordinate wrapping for MD
	* Load MD movement points correctly from the objlist
	* Added MD musical instrument usecode. (sfx aren't done yet.)
	* Added MD use hammer on oxium geode.
	* Added new play_md_sfx() stub function.
	* Added MD use gong.
	* Added MD update_all_actors() script function.
	* Added MD perform_worktype() stub function.
	* Added back support for setfenv() lua function. This has been deprecated
	  in lua 5.2

2014-10-08  Eric Fry <efry at users.sourceforge.net> r1976
	* Added methods to Actor class to return stat colours.
	  get_hp_text_color(), get_str_text_color()
	  and get_dex_text_color()
	* Added different colours to the stats on the ActorView
	* MD Added alternate red berry usecode. (battle frenzy)
	* MD Added use spittoon logic
	* MD added adjusted stats logic for str, dex and int
	* MD added remove charm logic
	* MD fixed bug with oxium use in advance_time()
	* Added frenzy field to Actor script object. This is used
	  by the MD red berry logic. object flag bit 7

2014-10-02  Eric Fry <efry at users.sourceforge.net> r1975
	* Added parent field to the lua Obj type. This returns the object's
	  parent. Either another object if in a container or an Actor if
	  held in an inventory.
	* Added in_container field to the lua Obj type. This returns a bool
	  indicating whether the object is in a container.
	* Added MD stackable object check.
	* Added support for altcode functions to be written in lua script.
	* Added MD alt-242 (set actor talk flags) and alt-250 (create object)
	  script functions.
	* Added more logic to MD's advance_time() script function.
	  Update lamp light, decrement berry counters.
	  Deplete oxium blobs, Melt ice, lead box radium logic

2014-09-25  Eric Fry <efry at users.sourceforge.net> r1974
	* Added MD cold and hypoxia flags to script Actor object.
	* Added more logic to MD advance_time() script function.
	* Added generic Actor getter/setters for status_flags/ obj_flags.
	* Load/save MD dream_mode flag in script.
	* Cap max MD berry loading at 10 as per the original game.

2014-09-22  Eric Fry <efry at users.sourceforge.net> r1973
	* Added MD berry counters.
	* Added MD blue berry logic.
	* Added MD eat berry usecode logic.
	* Fixed bug with inventory view not updating properly in original mode.
	* Added MD berry logic to tent usecode.

2014-09-20  Eric Fry <efry at users.sourceforge.net> r1972
	* Updated lua from 5.1 to 5.2.3
	* Added MD Radiation check.

2014-09-16  Eric Fry <efry at users.sourceforge.net> r1971
	* Added MD ready/unready lua usecode script.
	* Added the ability to call ready/unready lua script.
	* Added poison hp update to the MD rest logic.

2014-09-11  Eric Fry <efry at users.sourceforge.net> r1970
	* Added actor leveling up logic to MD rest code.

2014-09-10  Eric Fry <efry at users.sourceforge.net> r1969
	* Added script functions party_hide_all() party_show_all()
	* Added script functions objlist_write1() objlist_read1()
	* More work on MD use tent logic
	* Moved U6Actor::set_poisoned() into Actor class.
	* Update ambience and view manager in script_wait() function.

2014-09-02  Eric Fry <efry at users.sourceforge.net> r1968
	* Finished documenting ScriptActor lua functions.

2014-09-01  Eric Fry <efry at users.sourceforge.net> r1967
	* Documenting ScriptActor.cpp lua functions

2014-08-31  Eric Fry <efry at users.sourceforge.net> r1966
	* Finished documenting lua functions in Script.cpp

2014-08-29  Eric Fry <efry at users.sourceforge.net> r1965
	* Documented some more lua script functions.

2014-08-28  Eric Fry <efry at users.sourceforge.net> r1964
	* Documented more lua script functions.
	* Added generated ldoc html page for script API documentation.

2014-08-28  Eric Fry <efry at users.sourceforge.net> r1963
	* Started to document the Lua script API with LDoc.
	* More work on use tent.

2014-08-26  Eric Fry <efry at users.sourceforge.net> r1962
	* Added search logic to MD when looking at containers.
	* Added player_is_in_solo_mode() script function.
	* More coverity bug fixes.

2014-08-17  Eric Fry <efry at users.sourceforge.net> r1961
	* Bug fixes as a result of Coverity code scan.

2014-08-17  Kirben r1960
	* Add common language script to Windows installer.

2014-08-17  Eric Fry <efry at users.sourceforge.net> r1959
	* Started work on adding multiple language support.
	* Added sample Italian language file to MD for testing multiple language support.
	* Added config_get_game_type() script function. This returns either "U6", "MD"
	  or "SE".
	* Added config_get_language() script function. This returns the currently selected
	  language. This is a two character code. The default is "en" for English.
	* Added lang.lua This is responsible for language translations in script.
	* Added i18n(), printl() and printfl() script functions. These provide language
	  support.
	* Converted MD script files to use the new multiple language system.
	* Changed nuvie_load() script function to return nil if it cannot open the
	  requested file. 

2014-08-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1958
	* Fix MD sky widget offset and don't use it in original+ (at least for now).

2014-08-14  Eric Fry <efry at users.sourceforge.net> r1957
	* Added MD sky widget when using original style.

2014-08-13  Eric Fry <efry at users.sourceforge.net> r1956
	* Added new WOUActor base class.
	* Added MD specific 'new object' op code in the conversation engine.
	  This fixes problems with actors not thinking you've got the object they
	  gave you.
	* Added bool U6Shape::load_from_lzc(std::string filename, uint32 idx, uint32 sub_idx)

2014-07-16  Eric Fry <efry at users.sourceforge.net> r1955
	* Added support for mid-game cut sequences.
	* Added new script functions
	  player_get_gender() - Returns the Avatar's gender
	  game_get_ui_style() - Returns an integer representing the current UI style.
	  play_end_sequence() - Play the end sequence
	  clear_scroll()      - Clear the message scroll.
	* Added new cutscene scripting functions
	  midgame_load()               - load a WOU midgame file. eg MIDGAME1.LZC
	  canvas_set_solid_bg()        - enable / disable solid colour backgrounds
	                                 for cutscenes this is used to display the
                                   mid game cutscenes over the map window in
                                   the original UI.
	  canvas_show()                - Show the cutscene canvas.
	  canvas_rotate_game_palette() - enable/disable the in-game palette rotation
                                   effect. Used for mid-game sequences
	* Added MD ruby slippers usecode.
	* Added gender sprite selection logic to MD end sequence.

2014-07-09  Eric Fry <efry at users.sourceforge.net> r1954
	* More work on MD end sequence.
	* Moved about_martian_dreams() function into common code so it can be 
	  called from both intro and ending logic sequences.

2014-07-08  Eric Fry <efry at users.sourceforge.net> r1953
	* Started work on MD end sequence.
	* Tweaked timings for MD 'Run Introduction' sequence
	* Added more actor stats to MD create player.

2014-06-28  Eric Fry <efry at users.sourceforge.net> r1952
	* Added patch from Yorick Hardy. This removes the use of modulo random
	  logic from FadeEffect::pixelated_fade_core() this should give better
	  randomness on systems with a bad rand() implmentation.
	* Hide console when transitioning from main menu to game window.
	* Removed console error from NuvieFileList.
	* Added ConsoleAddWarning() this prints to the console but doesn't force
	  the console to be displayed if it is hidden.

2014-06-25  Eric Fry <efry at users.sourceforge.net> r1951
	* Added About Martian Dreams 'Credits' sequence.
	* Fixed bug in text_load() script function.
	* Added sub index to image_load() script function.
	* Trim whitespace from player name in MD character creation sequence.
	* Tweaked Freud logic to have him write more often.

2014-06-24  Eric Fry <efry at users.sourceforge.net> r1950
	* Added writing and blinking animation to character creation sequence.

2014-06-18  Eric Fry <efry at users.sourceforge.net> r1949
	* Added player name input logic the to MD character creation sequence.
	* Added new sprite.text_width getter method. This returns the width
	  of the sprite's text field in pixels.
 
2014-06-16  Eric Fry <efry at users.sourceforge.net> r1948
	* Work on MD character creation logic.

2014-06-01  Eric Fry <efry at users.sourceforge.net> r1947
	* More work on 1895 lab sequence. It is complete now. I just need to fix the
	  timings.

2014-05-31  Eric Fry <efry at users.sourceforge.net> r1946
	* Work on 1895 lab sequence for MD.

2014-05-21  Eric Fry <efry at users.sourceforge.net> r1945
	* Work on present day lab sequence for MD.

2014-05-18  Eric Fry <efry at users.sourceforge.net> r1944
	* Added text_load() script function to load MD intro text
	* Added sprite.text_align_centre boolean to allow for centred / wrapped
	  text in the MD intros
	* Tightened up the timings on the first MD intro sequence.
	* Started work on the MD "Run Introduction" sequence.
	* Added Font::getCharHeight() method.

2014-05-11  Eric Fry <efry at users.sourceforge.net> r1943
	* Added MD main menu
	* Added SOS flash to MD intro sequence

2014-05-09  Eric Fry <efry at users.sourceforge.net> r1942
	* Fixed sprite clipping on the "Abount The Savage Empire" menu item
	* Fixed fade logic on about SE menu item.
	* Fade out when quitting from SE start menu.

2014-05-06  Eric Fry <efry at users.sourceforge.net> r1941
	* Added music_stop() script function
	* Added lzc file support to the image_load() script function
	* More work on MD intro sequence

2014-04-28  Eric Fry <efry at users.sourceforge.net> r1940
	* Added sprite_move_to_front() lua function to bring a sprite to the front
	  of the display stack.
	* Added fireworks to the origin fx intro sequence.
	* Started on the MD intro sequence.
	* Added new intro_common.lua script for common cutscene functions.
	* Added MD font to the cutscene class.

2014-04-12  Eric Fry <efry at users.sourceforge.net> r1939
	* Update lighting when actors move.

2014-04-08  Eric Fry <efry at users.sourceforge.net> r1938
	* Fixed bug #293 Lighting calculations are wrong
	  lighting should now show for objects that are just offscreen.
	* Changed actor light logic to use new get_light_level() method.
	  Update light map when twitching wisp actors.
	  Still need to fix actor light update to handle actor movement.
	* Moved lighting code into new method MapWindow::updateLighting()
	* Added 2 tile border to tmp map and shading data to handle offscreen
	  light sources.

2014-03-30  Eric Fry <efry at users.sourceforge.net> r1937
	* Added U6 volcano and fumarole logic.
	* Added PC Speaker earth quake sound effect.
	* Fixed Obj.new(obj) script function. It wasn't referencing the source object
	  correctly.
	* Added find_volcano_near_player() script function. This find the first occurence
	  of either a volcano or fumarole object on the map surrounding the player.

2014-03-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1936
	* Use actor_get_max_magic_points in advance_time when checking for mp regen.

2014-03-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1935
	* Fix wind direction in celestial gump. Add ultima6 specific
	  displayed_wind_dir cfg setting. Values are "from" (default) or "to".
	* Add missing use_new_dolls to generated cfg settings.

2014-03-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1934
	* Fix check for max mp that broke when the actor changes shape (horsed, etc)
	  and have U6Actor use the lua script for max mp
	* Remove no longer used variable in magic.lua.

2014-03-19 Malignant Manor <malignantmanor@users.sourceforge.net> r1933
	* Add custom actor tiles for black-haired female Avatar with a headband by
	  DMagnus.

2014-03-19 Malignant Manor <malignantmanor@users.sourceforge.net> r1932
	* Fix crash on initial save game load cause by player being uninitialized
	  when the party has a light source.
	* Don't show damage or play sfx for actors taking poison damage when they
	  aren't on screen.

2014-03-18  Eric Fry <efry at users.sourceforge.net> r1931
	* Fixed crash when loading save with multi-tile actor at pos (0,0)

2014-03-14 Malignant Manor <malignantmanor@users.sourceforge.net> r1929
	* Remove extra frame in Iolo's custom tile set.

2014-03-14 Malignant Manor <malignantmanor@users.sourceforge.net> r1928
	* Fix copy/paste error on Sentri's tile.

2014-03-14  Eric Fry <efry at users.sourceforge.net> r1927
	* Release 0.5 (And Nuvie's 11th anniversary)

2014-03-14  Eric Fry <efry at users.sourceforge.net> r1926
	* Fixed Actor tile display in party view for MD

2014-03-14 Malignant Manor <malignantmanor@users.sourceforge.net> r1925
	* Use isprint instead of isalnum when determining whether to use custom
	  key bindings in cutscenes and intro menus.

2014-03-13 Malignant Manor <malignantmanor@users.sourceforge.net> r1924
	* Restore an Avatar death check removed in r1890.

2014-03-09 Malignant Manor <malignantmanor@users.sourceforge.net> r1922
	* Fix keyboard cursor position for check marks in gumps that are not
	  backpacks.
	* Add Leodon's musician playing frames by HiPhish.
	* Add outline fixes for Gwenno, Leodon, Leonna, and Jaana by HiPhish.

2014-03-08 Malignant Manor <malignantmanor@users.sourceforge.net> r1921
	* Fix multiuse with telescope. Don't let the telescope be used when not on
	  the map.

2014-03-08 Malignant Manor <malignantmanor@users.sourceforge.net> r1920
	* Add Gwenno's musician playing frames by HiPhish.

2014-03-08  Eric Fry <efry at users.sourceforge.net> r1919
	* Added support for custom avatar tiles.
	* Added Daniel's custom avatar tileset for male portrait 10.
	* Clear custom tiles when loading a new savegame.

2014-03-04 Malignant Manor <malignantmanor@users.sourceforge.net> r1918
	* Add Iolo's musician playing frames by HiPhish.

2014-03-02 Malignant Manor <malignantmanor@users.sourceforge.net> r1917
	* Have use telescope work better in INTERFACE_FULLSCREEN.

2014-03-02  Eric Fry <efry at users.sourceforge.net> r1916
	* Added U6 use silver horn

2014-03-02 Malignant Manor <malignantmanor@users.sourceforge.net> r1915
	* Fix r1828 regression that stopped letters from being accepted in alt-214
	  cheat.

2014-03-01  Eric Fry <efry at users.sourceforge.net> r1914
	* Added use telescope
	* Added the ability to use lua script for U6 usecode.
	* Added script_wait() script function. This cycles the mapwindow for a number
	  of milliseconds.
	* Added map window script functions mapwindow_center_at_location(),
	  mapwindow_get_location(), mapwindow_set_location()
	  and mapwindow_set_enable_blacking()

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1913
	* Add custom tiles for Sentri, Leodon, Leonna, Gorn, and Blaine also by
	  HiPhish, All companions are done except musician frames for Iolo, Gwenno,
	  and Leodon.

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1912
	* Add custom tiles for Julia, Katrina, and Jaana. Apply fix to Dupre's body.

2014-02-24  Eric Fry <efry at users.sourceforge.net> r1911
	* Added custom tiles for Gwenno and Seggallion

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1910
	* Allow actors that use the tile number they died as for their corpse, like
	  Sherry, to display custom dead tiles. They will use the same sprite sheet
	  as when they were alive.
	  This uses inline bool ObjManager::is_corpse(Obj *obj)
	* Improve resurrect.

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1909
	* Revert r1907.

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1908
	* Fix Dupre's first frame.

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1907
	* Add hack to allow actors that use the tile number they died as for their
	  corpse, like Sherry, to display custom dead tiles by duplicating their
	  normal tiles sheet with their corpse obj number in the file name.
	  I.e. actor_009_0354.bmp gets an extra copy named actor_009_0339.bmp.

2014-02-23 Malignant Manor <malignantmanor@users.sourceforge.net> r1906
	* Add some more settings to the menus.
	* Rename vehicles_changes_music to vehicles_change_music and have it work.

2014-02-23  Eric Fry <efry at users.sourceforge.net> r1905
	* Fixed palette cycling issues with new custom actor tiles.

2014-02-22 Malignant Manor <malignantmanor@users.sourceforge.net> r1904
	* Have custom tiles use game specific custom_actor_tiles cfg setting. Values
	  are yes, no, and default. default will use them in new style but not in
	  other styles.
	* Fix missing <string> include.
	* Add conversations_stop_music, stop_music_on_group_change,
	  combat_changes_music, and vehicles_changes_music to the audio section of
	  the cfg.

2014-02-22  Eric Fry <efry at users.sourceforge.net> r1903
	* Added support for custom actor tiles. This can be enabled with the 
	  config config/general/custom_actor_tiles config parameter.
	  Custom tiles are loaded from
	  data/images/actors/<gametype>/actor_<actor_num>_<obj_num>.bmp
	  I haven't included all of Hiphish's tiles yet. There are also some palette
	  cycling issues with the current tiles.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1902
	* Hide command bar and background when showing the ending.
	* Fix NULL pointer crash when viewing ending in new style.
	* More work on SCROLL_DOWN and SCROLL_PAGE_DOWN in ScrollWidgetGump.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1901
	* Have unlink_surrounding_objects always set_actor_obj to false. This
	  stops a bug where you talk to actors at 0,0,0 when using multiuse function
	  on an exited ship's surrounding objects (fore and aft).
	* Have SCROLL_PAGE_DOWN in ScrollWidgetGump better handle page breaks.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1900
	* Have move (push) be able to move objects places that are blocked when
	  interface is INTERFACE_IGNORE_BLOCK.
	* Remove redundant check in MapWindow::can_get_obj.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1899
	* Fix ship attack range (r1841 regression) and have it use the Avatar's
	  targets in combat.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1898
	* Allow ScrollWidgetGump to page up and page down. Don't have it send
	  MouseUp events to Msgscroll. Have SCROLL_DOWN process page breaks.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1897
	* Don't allow casting field spells on water. Don't have them create an
	  object unless they can place it on the map.
	* Don't allow actors in vehicles to take map damage.

2014-02-21 Malignant Manor <malignantmanor@users.sourceforge.net> r1896
	* Fix r492 regression where special symbols weren't being parsed in
	  U6OP_DPRINT. Beh Lem would return $Z instead of what was typed.

2014-02-20 Malignant Manor <malignantmanor@users.sourceforge.net> r1894
	* Allow balloon plans to be read. Taking the created balloon is no longer
	  considered stealing.

2014-02-19 Malignant Manor <malignantmanor@users.sourceforge.net> r1893
	* Fix problem with map_tile_lighting not being right if updateAmbience() was
	  called without updateBlacking().

2014-02-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1892
	* Add innate actor lighting levels like wisp glowing. Wisp glowing currently
	  acts like the original engine and will only change their light level when
	  something else causes the lighting to change, like walking.
	* Reset temp actor light and light_source when clear() is called.
	* Add optional lighting based on map tile data which will allow lava tiles
	  to produce light which wasn't in the original engine but it seems like it
	  was intended to work. It uses the game specific map_tile_lighting cfg
	  setting. Yes is the default for U6 and SE. No is default for MD since the
	  canals are lit up. It is can also be changed in the video options menu. 

2014-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1891
	* Handle permitted input that isn't yes/no only or numbers only properly.
	* Don't allow quicksave during armageddon or when using control cheat.

2014-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1890
	* End Avatar's turn if he dies from map tile damage when teleporting or
	  passing his turn.
	* Fix my poorly implemented way of ending the player's turn if they killed
	  the Avatar and still have more weapons to use.

2014-02-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1889
	* Have infravision work properly on actors that are larger than 1 tile.
	* Fix "Not in solo mode." being displayed when non-party members move to a
	  dungeon entrance.

2014-02-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1888
	* Only add printable characters to save description.
	* Remove useless check in updateAmbience()

2014-02-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1887
	* Fix infinite loop caused by dying in control cheat when the user is paused
	* Move get_LB_to_throne() so that party is healed and moved before advancing
	  time to prevent damage ticks and pause from poison or damaging tile.
	* Fix wrong index and missing text problem in CheatsDialog.
	* Allow save menu to be opened when in control cheat (still disallow saving)

2014-02-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1886
	* Set original light sources to correct size. Try and have smooth lighting
	  be more accurate. (It's hard to do when floor tile color and obj color can
	  greatly change visibility, and it uses circles instead of squares. Smooth
	  ends up being slightly bigger.
	* Handle party members with lit torches more like the original. (Torches
	  magically increase their light radius when held by a party member and that
	  radius moves with the controlled character not the person who holds it. It
	  has the same light level as the light spell. Unlike the original, Nuvie
	  will make sure the person with the light source is within 5 tiles of the
	  player and make sure the area they are in isn't hidden (behind door, etc).
	* Fix double removal of torches when then burn out.

2014-02-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1885
	* Allow sleeping in dungeons like the original and have the in_town check
	  only count tiles 5 tiles away or less.
	* Add Phoenix to the teleport list.
	* Stop joystick repeating when using ConverseGump.
	* Add rune and mantra to ConverseGump keywords.

2014-02-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1884
	* Add kludge to fix an infinite loop crash caused by increase_input_char()
	  and decrease_input_char() being used during the hacky PauseEffect (peer).

2014-02-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1883
	* Fix save dialog adding area.x/y twice when determining the location of the
	  keyboard cursor. (Forgetten when I optimized display updates.)

2014-02-12  Dominik Reichardt <dominus@users.sourceforge.net> r1882
	* Fixed case sensitive plunder in configure.ac (Info.plist not info.plist)

2014-02-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1881
	* Have install call copy_scripts to get rid of redundancy in makefile.mingw.

2014-02-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1880
	* Add forgotten (from r1875) orig_style\doll_bg.bmp to the Windows installer

2014-02-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1879
	* Have the orig_style_cb hidden in new style by default.
	* Allow container view gump to select the check mark with arrow keys.

2014-02-11  Dominik Reichardt <dominus@users.sourceforge.net> r1878
	* Added builds/macosx/Info.plist.in for more automatic Info.plist
	  via configure.ac. Using that in the bundle instead of the XcodeBuild one.
	* nuvie.cfg.sample is added to the nuvie disk image for OS X.

2014-02-11  Dominik Reichardt <dominus@users.sourceforge.net> r1877
	* Fixed configure.ac magic for Joystick support. Instead of appending the 
	  CPPFLAGS it's better to make it an AC_DEFINE. That made it necessary to 
	  add some nuvieDefs.h includes or move them outside of the 
	  #ifdef HAVE_JOYSTICK_SUPPORT condition.

2014-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1876
	* Fix r1871 regression that caused the new msgscroll to cancel action.

2014-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1875
	* Modify the custom dolls to look better in non-new styles.

2014-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1874
	* Fix configure.ac not automatically building joystick support and tools
	  message.

2014-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1873
	* Use pointer cursor when over original+ background/UI.

2014-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1872
	* End character's turn when canceling an attack.
	* Do a better job of selecting when to use the target cursor.

2014-02-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1871
	* Don't have the command bar text block (drag and) drop in non-original
	  styles.
	* Revert r1869 set drop_target change to background since it would allow
	  (drag and) drop onto the UI's background.
	* Have MapWindow ignore clicks over the background in both original+ styles.
	* Have MsgScroll cancel actions when you click on it like the original does.

2014-02-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1870
	* Close gumps when using a peer gem.
	* Allow pants, tunic, and dress to be equipped.
	* Stop cistern and watch from constantly animating in MD.
	* Fix command bar text blocking commands in new style.

2014-02-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1869
	* Go back to handling ungettable objects like other objects as far as
	  pathfinding is concerned.
	* Go back to having MsgScrollNewUI being the size of the game area. This
	  fixes bug #292, Stuck reading signposts (mouse click ignored).
	* Fix lock pick container causing a crash when dropped from inside a
	  container gump to a party member.
	* Set drop_target to false in Background so there is no need to handle it.
	* Fix hackmove toggle not working properly.
	* Don't do anything in save dialog when pressing the do_action key when the
	  keyboard cursor is hidden.

2014-02-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1868
	* Add keyboard support to save menu. You need to press tab to cycle through
	  areas in the menu. Enter can select what's under the keyboard cursor.
	* Fix joystick disabled menu setting not saving correctly.
	* Increase update area on new command bar for new style because the edges of
	  text gets cutoff if enabled in game. Have it update wind on init.
	* Comment out unused function in CommandBar.h.

2014-02-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1867
	* Add #ifdef HAVE_JOYSTICK_SUPPORT to JoystickDialog.* to fix builds without
	  HAVE_JOYSTICK_SUPPORT defined.

2014-02-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1866
	* Use original style command bar in new style. It is mandatory but can be
	  hidden. New command bar is now optional. orig_plus_cb_text_color is now
	  cb_text_color. show_orig_plus_cb is now show_orig_style_cb.
	  toggle_original_plus_command_bar is now toggle_original_style_command_bar.
	* Add game specific cb_position cfg setting to determine orig_style_cb
	  position.
	* use loops when setting default cfg settings instead of having to add lots
	  of repeated settings.

2014-02-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1865
	* Add JoystickDialog files to SVN that I forgot last commit.

2014-02-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1864
	* Add Joystick sub-menu to the game menu.
	* Get rid of auto selection option of joystick in SDL 1.2. It was pretty
	  useless because unplugged controllers in an adapter still got selected.
	* Set max enable_joystick to 9.

2014-02-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1863
	* Fix multi_use keybinding not being able to make a second attack.
	* Have multi_use keybinding center the cursor on the player's combat target
	  if in combat mode. Have multi_use restrict the cursor to combat range if
	  in combat mode. You can still talk to party members in combat with
	  multi_use, if within weapon range.

2014-02-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1862
	* Have InputDialog not leave empty rows when an option isn't available.
	* Increase VideoDialog height.

2014-02-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1861
	* Add some basic joystick (controller/gamepad) mapping support.
	* Change test keybinding to do_nothing.

2014-02-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1860
	* Fix uninitialized variable from last commit.
	* Fix toggle_cursor opening the vehicle's inventory instead of the player's.

2014-02-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1859
	* Add keyboard support to menus (except save menu) and to yes no popup.
	  Directional keys select the button and the first press one before a button
	  is highlighted. You can use the do_action button (enter) to activate them.
	* Comment out debug in ConverseGump.cpp.

2014-01-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1858
	* Have solo key binding toggle through party members if 0 is the parameter.

2014-01-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1857
	* Get rid of most hardcoded key.syms in favor of custom keybindings. When
	  you need to type alphanumeric characters all keybindings that are
	  alphanumeric will be ignored and so will (usually) backspace. Have some
	  keybindings some work in cutscenes and intro menu. (walk_east, walk_west,
	  walk_north, walk_south, cancel_action, and do_action). Keybindings that
	  pretty much always work are toggle_audio, toggle_music_key, toggle_fps,
	  toggle_sfx_key, toggle_fullscreen, decrease_debug, increase_debug, quit,
	  and quit_no_dialog. Those bindings are also available in cutscenes and
	  intro menu. The toggle_fps and quit keys are currently not working before
	  the game map loads so they don't work in the intro and intro menu. They
	  also don't work during the ending if viewed using the cheat.
	* Home and end key select the first and last party member in views and gumps
	* Add previous and next party member keybinding support to gumps and stop
	  them from working when in pickpocket mode.

2014-01-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1856
	* Stop allowing input escape when the guard is trying to arrest you and have
	  it close the portrait properly in new style.

2014-01-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1855
	* Change MsgScrollNewUI height and width to the correct value.
	* Add another min_brightness setting to the cheat menu.

2014-01-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1854
	* Allow all styles except original to change the size of the converse gump
	  through game specific converse_width and converse_height settings. The
	  minimal converse_width is 286 in U6, 298 in MD, and 301 in SE. The minimal
	  converse_height is 152 in U6, 185 in SE, and 181 in MD. They can also be
	  set to default (which is the default). Default will try and size them to
	  what will look best.
	* Allow both original+ styles to use transparent and dithered converse gump
	  backgrounds. For original+ to have a non-solid background, it's game_width
	  minus border_width must be greater than or equal to converse_width.
	  border_width is 158 in U6, 144 in MD, and 142 in SE.

2014-01-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1853
	* Allow dragging objects greater than 1 tile away in interface FULLSCREEN
	  when in combat, but display out of range when dropped.

2014-01-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1852
	* Add forgotten braces missing from r1851.

2014-01-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1851
	* Limit spell range to 7.

2014-01-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1850
	* Don't do anything different for sleep worktype in  handle_lightsources. It
	  should be handled in the lua function actor_wt_walk_to_location. Since no
	  actors that I know of need code for it, there is only a comment about it.
	* Have mass kill explode surrounding objects.

2014-01-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1849
	* Have kal lor advance time to when LB is scheduled to be on the throne.
	* Advancing time by 60 or more minutes will cause npcs to teleport to their
	  schedule location if the schedule is different.
	* Have handle_lightsources extinguish on sleep worktype

2014-01-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1848
	* Fix r1846 regression that caused a crash when moving an object from the
	  inventory to the map.
	* Use proper cancel messages when canceling push mode.

2014-01-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1847
	* Stop actors that have shapes that have use_container usecode from blocking
	  the use of objects. (i.e. Sherry)
	* Have move_in_inventory be set only once.
	* Make command bar clear area in original+ 1 pixel narrower.
	* Fix r1846 regression that caused a crash when moving an object from a
	  container on the map to an actor.

2014-01-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1846
	* Don't have MsgScroll pass mouse wheel motion to views.
	* Fix moving objects to an actor occupying the same tile as the player.

2014-01-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1845
	* Fix r1832 regression where the ConverseGump would mess up when adding
	  keywords by clicking them when permit input.

2014-01-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1844
	* Fix r1829 regression which caused the up arrow to skip characters in
	  character creation.
	* Fix newgame setting always being true if you change settings in the menu
	  after starting a new game.
	* Allow double clicks to use objects in a container on the map.

2014-01-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1843
	* Add U6 specific free_balloon_movement cfg setting that allows you to move
	  the balloon in whatever direction you want as long as someone in the party
	  has a magic fan. This is also in the input menu.
	* Don't have swamps poison actors in vehicles. (Horses are not vehicles.)

2014-01-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1842
	* Use world wrapping for lua attack range. The attack will still try to go
	  the long way though. This doesn't matter for U6 or SE.

2014-01-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1841
	* Don't use the wrong range values in U6ActorTypes.h. Use the lua value.

2014-01-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1840
	* Fix get_movement_direction (mouse pointer) world wrapping.
	* Don't have the text portion of the command bar override mouse clicks in
	  both original plus styles.
	* Fix wizard eye center in original+_full_map style or when using offsets.
	* Drastically lower the size of allowed map roof drawing area to help keep
	  some higher game heights from crashing. 1100x4300 still crashes. 1100x4200
	  doesn't seem to crash. Lower game height is more important than width.

2014-01-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1839
	* Add updated documentation that was forgotten in the last commit.

2014-01-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1838
	* Add alt code 501 to resurrect an actor.
	* Better restrict actors allowed to be used with alt codes.
	* Display party members's name when a solo party member tries to talk to him

2014-01-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1837
	* Fix roof background corruption issues in non-original styles.
	* Change the roof_tiles.bmp index used for transparency to index 255.

2014-01-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1836
	* Add some basic arrow/numpad support to the PortraitViewGump.
	* In DollViewGump, use a setter for cursor_xoff and cursor_yoff instead of
	  calling a function to figure it out.

2014-01-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1835
	* Add some basic arrow/numpad support to the DollViewGump.

2014-01-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1834
	* Have the right mouse button cancel spell view
	* Change selecting_spell to the more accurate selecting_spell_target.
	* Make some minor changes to shorten SpellView::MouseDown.

2014-01-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1833
	* Allow inventory widget to accept objects held by other party members
	* Allow readied items to be moved to another party member's containers in
	  new style.
	* Stop map window sizes that are a perfect fit in width or height from being
	  2 tiles too large

2014-01-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1832
	* Fix r1826 regression that wouldn't allow you to use the right arrow to
	  select keywords in the converse gump when restricted to numbers.
	* Don't allow right arrow to add more than one char when permit_input.
	* Add input_char before text typed after it.
	* Don't allow cursor selection in permit_input unless it is permitted input.

2014-01-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1831
	* Use strcasecmp instead of stricmp for compatibility reasons.
	* Fix bug #260, attack through wall as long as you attack an obj or actor

2014-01-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1830
	* Fix r1815 regression that broke dragging objs inside containers on the map
	  to somewhere other than the container.
	* Have move command work when used on objs inside containers on the map.
	* Fix bug #290, Dragging items in the last row of a corpse container
	  impossible. All container gumps acted as backpacks and were affected.

2014-01-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1829
	* Add space to the arrow key selection in Msgscrolls and converse gump.
	* Restrict U6 intro characters when using arrow keys.
	* Make conversation string comparison case insensitive.

2014-01-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1828
	* Do a better job of telling the MsgScrolls and converse gump that we want
	  only numbers as input. Unfortunately, the conversation code of the
	  original game doesn't tell us that we need to restrict to only numbers
	  when they allow more than one digit.

2014-01-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1827
	* Move MsgScrollNewUI mouse wheel scrolling into map window unless in
	  input_mode so that it doesn't scroll when scrolling gumps.
	* Have msg_scroll_up and msg_scroll_down keys work in new style and get
	  rid of the hard coded keys unless locked into input mode.
	* Have MsgScrollNewUI display the input_char added last revision.

2014-01-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1826
	* Add number support to converse gump arrow key character selection and
	  limit to 0-9 and y/n when appropriate.
	* Add arrow key character selection to MsgScroll. The game can now be
	  played from character creation to ending without a gamepad in
	  non-new styles. (You must still bind keyboard keys to the pad though.)

2014-01-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1824
	* Have mouse wheel scroll in party and inventory widget.
	* Have mouse wheel change actors in actor, party, and inventory views.

2014-01-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1823
	* Have use try using an actor before an object if the actor has use usecode.
	* Fix some new command bar text that didn't update properly.
	* Have cancelAction always close gumps if they are open and do nothing else
	  unless a spell like pickpocket is waiting for an inventory item.

2014-01-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1822
	* The use converse gump setting in the menu no longer requires a restart.

2014-01-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1821
	* The custom dolls can now be used in all game styles. Use the game specific
	  use_new_dolls cfg option or the video menu to allow it for non-new styles.
	  The lines on the new dolls look awful against the off-white background. We
	  will need to have separate images for new and non-new styles or have a
	  separate image overlay with the lines.

2014-01-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1819
	* Rename bag_bg.bmp to backpack_bg.bmp and init_bag to init_backpack
	* Inefficiently stop DraggableViews from causing corruption

2014-01-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1818
	* Add HiPhish's updated Sherry doll.
	* Fix pink pixel in Dupre's doll and make it transparent.

2014-01-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1817
	* Have ScrollWidgetGump handle page breaks better.
	* Fix SunMoonRibbon offsets.

2014-01-15  Eric Fry <efry at users.sourceforge.net> r1816
	* Changed doll gump image background to transparent.
	* Added HiPhish's new doll gump artwork.
 
2014-01-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1815
	* Add excluded_obj parameter to lineTest and testIntersection to keep be
	  able to exclude objs from hitting themselves. It is only used for the
	  LT_HitUnpassable atm. This fixes bug #288, barrel blocks itself when
	  moving
	* Rename can_drop_obj to can_drop_or_move_obj. Have it return error or
	  success messages instead of true and false. Add LT_HitUnpassable and
	  LT_HitActors to ungettable objects so that they behave like the original
	  such as barrels blocking passage on one side in the Moonglow pub. A minor
	  bug with ungettable objs is that they can, at some positions, let the
	  player move them an extra tile further than they should be allowed. This
	  was done to simplify pathfinding that allows them to more than 1 tile.
	* Get rid of drop_with_move variable in MapWindow and always use move(push)
	  when dropping a map obj and always use drop when dropping an inventory obj
	* Fix move command not being able to push an obj 1 block away if the
	  player's path to the destination was blocked but the object wasn't
	* Improve drag and drop/can_drop_obj messages and event messages
	* Remove direction text from drop event since the original doesn't have it

2014-01-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1814
	* Make sure we have an odd number of tiles so the player can be centered
	  on the map.

2014-01-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1813
	* Fix r1811 regression that could cause animated effects, like when casting
	  the light spell, to not display properly because the area.w and area.h
	  didn't match (win_width * 16) and (win_height * 16) respectively.

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1812
	* Bind multi-use keybinding to semicolon ";".
	* Stop MD command bar from being able to open the save menu.
	* There are two new game styles, original+ and original+ full map. Original+
	  allows the game to use the original UI and have resolutions greater than
	  320x200. It gets rid of some useless background to show more of the game
	  map. Original+ will have will stop drawing the map when the UI begins.
	  Original+ full map will draw the map underneath UI if the gane height is
	  greater than 200, else it will use Original+ instead.
	* Fullscreen map has been renamed to new and the general/fullscreen_map cfg
	  option has been replaced by video/game_style. The options are original,
	  new, original+, and original+_full_map, and they can be set in the video
	  options menu.
	* A new cfg setting, ultima6/cb_text_color, will select the
	  palette index color to use when displaying the text on the U6 command bar
	  in both original+ styles.
	* The command bar in both original+ styles can be hidden and shown by
	  pressing the period "." key, The show_orig_style_cb cfg setting in each
	  game specic setting will control whether it is displayed on startup. The
	  period key also changes the cfg setting.

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1811
	* Fix clip_rect and screen->update area for new style. Unfortunately, the
	  roofs are still wrongly drawn outside of the map window clip_rect and it
	  will corrupt the NULL background that exists when the game size is larger
	  than the screen size. The left border of the upcoming original+ UI also
	  has this roof corruption issue.

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1810
	* Fix improper centering of the map window when using variable screen sizes.

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1809
	* Remove accidental code added in r1806 that would use the cfg screen size
	  for offsets in original style

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1808
	* Fix drawRain() for new style

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1807
	* Change most is_orig_style function calls to !is_new_style in preparation
	  for two new additional styles

2014-01-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1806
	* Get rid of needless x_off and y_off values in game.h and related changes
	* Properly center cutscenes

2014-01-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1805
	* Fix ScrollWidgetGump position when using game offsets
	* Allow ScrollWidgetGump to be scrolled with the left mouse button

2014-01-11  Eric Fry <efry at users.sourceforge.net> r1804
	* Fixed bug when using the mapwindow overlays in fullmap mode.
	  Changed the Screen copy_area16/32() methods to clip to the screen surface
	  while copying.

2014-01-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1803
	* Add load_WoU_background function to U6Shape

2014-01-10  Dominik Reichardt <dominus@users.sourceforge.net> r1802
	* Fixed compiling with clang against OS X SDK 10.9 (thanks wjp).

2014-01-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1801
	* Stop container view gump from defaulting to the party leader as the actor.
	  It will now default to the container obj owner or NULL if not one. This
	  fixes bug #289.
	* Have container view gump show the name and carrying capacity of the owner
	  when using a container in someone's inventory.
	* Replace local variable usage of a private variable with an actual local
	  variable in ContainerWidget.cpp.

2014-01-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1800
	* Fix r1785 regression that caused a crash in new style when using a
	  container inside a gump.

2014-01-05  Eric Fry <efry at users.sourceforge.net> r1798
	* Added support for custom doll images for other actors. Any actor can have a
	  custom doll gump image now. You simply create a bmp file with the following
	  name 'data/images/gumps/doll/actor_<gametype>_<actor_num>.bmp'
	  So Dupre would be data/images/gumps/doll/actor_U6_002.bmp
	* Changed DollViewGump to use the new NuvieBmpFile class.
	* Resaved all the existing doll images as indexed bmp files with the standard
	  U6 palette.
	* Added HiPhish's doll images for Dupre, Shamino and Iolo.

2014-01-04  Eric Fry <efry at users.sourceforge.net> r1797
	* Added Use 'on' 'to' actions to new MD usecode script.
	* Added use shovel on pile to hole usecode.
	* Simplified the MD usecode script table. Removed excess tables.

2014-01-02  Eric Fry <efry at users.sourceforge.net> r1796
	* Changed MD usecode to select target with direction cursor.
	* Fixed user input cancellation when using new usecode scripts.
	* Added new common/common.lua script
	* Moved more script functions into common script files.
	* Added MD missc text only usecode function.
	* Added MD digging object on ground usecode function. You can now dig holes
	  with a shovel.
	* Changed new usecode script logic to allow using an object on a map location
	  target instead of a target object. The digging usecode is an example of
	  this.
	* Added UseCode::is_script_running()
	* Added map_get_tile_num() script function.

2014-01-01  Eric Fry <efry at users.sourceforge.net> r1795
	* Removed useless code and assert from Actor::attack()
	* Fixed Nellie Bly's name in new UI font. replaced underscore with space.

2014-01-01  Kirben r1794
	* Fixed mingw build

2014-01-01  Eric Fry <efry at users.sourceforge.net> r1793
	* Added MD actor_init() function. Temp actors should spawn with correct stats
	  now.
	* Added MD actor stats script data.
	* Added new data/scripts/common directory for common script functions.
	* Added common actor.lua script and refactored some common code.

2013-12-31  Eric Fry <efry at users.sourceforge.net> r1792
	* Fixed prompt string for MD/SE
	* Added correct object number for MD eggs.
	* Don't load magic/spellbook classes in MD/SE
	* Fixed converse portrait display for MD/SE when using the new UI.

2013-12-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1791
	* Rename can_displayed_prompt to can_display_prompt.
	* Remove a semicolon at the end of an include.

2013-12-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1790
	* Add null check for portrait data in get_portrait_data.

2013-12-29  Eric Fry <efry at users.sourceforge.net> r1789
	* Fixed segfault when launching with new UI and show console selected.
	  The new ribbon shouldn't be visible while the console is active.

2013-12-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1788
	* Fix sun/moon strip display problem in fullscreen_map mode
	* Show the doll in U6 when looking at an actor with equipment in
	  fullscreen_map mode

2013-12-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1787
	* Don't play music when ending conversations when music or audio is disabled
	* Fixed a bug where the song could change when music or audio was disabled

2013-12-24  Eric Fry <efry at users.sourceforge.net> r1786
	* Fixed player name for MD while in conversations. It now returns Sir/Madam
	  instead of milord/milady
	* Added usecode script stubs for SE. Ready for usecode functions to be added.
	* Added MD use sextant usecode function.
	* Deleted MDUseCode and SEUseCode C++ classes. All WoU usecode should go in
	  script now. :)

2013-12-23  Eric Fry <efry at users.sourceforge.net> r1785
	* Added usecode lua script logic. Started work on MD usecode script. The usecode
	  class now calls has_usecode() and use_obj() lua scripts.
	* Added MD use prybar script so the player can leave the capsule.
	* Added a state variable  to the ScriptThread class so it can report on the lua
	  yield state.
	* Added Actor.get_talk_flag() script function
	* Added Actor.clear_talk_flag() script function
	* Improved text wrapping on new MsgScrollUI. It now wraps right up to the widget
	  border.
	* Reduced the default width of the new MsgScrollUI so it doesn't obscure the player.
	* Added correct objlist offset for MD talk flags.
	* Added Actor::get_flag() which returns actor talk flags.

2013-12-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1784
	* Make ethereal part of the base actor class.
	* Fix MD ethereal mode not allowing you to walk through actors.

2013-12-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1783
	* Remove actor parameter from Player::check_moveRelative since it is a
	  private pointer
	* Have Player::get_walk_delay() only check for object number for U6

2013-12-15  Eric Fry <efry at users.sourceforge.net> r1782
	* Added Daniel's new U6 celestial ribbon to the new UI.
	  It shows the sun/moon locations and the current wind direction.
	  It can be minimised by clicking. It will also maximise when other gumps
	  are on screen and minimise once all gumps are closed.
	* Added blocking for Actor movement in MD.

2013-12-11  Eric Fry <efry at users.sourceforge.net> r1781
	* Fixed avatar's gender when showing portrait in MD
	* Added support for MD party doll graphics
	* Load correct time/date for MD/SE games.

2013-12-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1780
	* Fix WoU inventory widget icon selection's x offset

2013-12-09  Eric Fry <efry at users.sourceforge.net> r1779
	* Added backgrounds to SE portraits.
	* Fixed layout on SE views.
	* Changed SE to use the font in system.lzc
	* Fixed buffer overflow bug in WOUFont class.

2013-12-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1778
	* Restrict SE jar contents to one object and change its frame when adding or
	  removing an object.

2013-12-07  Eric Fry <efry at users.sourceforge.net> r1776
	* Moved Portrait class to portraits directory.
	* Refactored Portrait class. Made it an abstract class.
	* Created new U6/MD/SE specific portrait classes.
	* Added background support to MD portraits.
	* Fixed up some of the MD views.
	* Fixed MD font. It now uses the correct font from system.lzc
	* Refactored PartyView class and moved sun moon strip logic into new
	  class. SunMoonStripWidget.
	* Enabled four row inventory for MD.

2013-12-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1775
	* Restrict INTERFACE_FULLSCREEN to INTERFACE_NORMAL if in combat mode. This
	  check can easily be exploited but would be annoying if it checked for
	  nearby enemies.

2013-12-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1774
	* Fix backwards orb of the moons inventory check from r1772 and also not
	  allow it to be used from new container gumps of npc corpses.
	* Don't allow teleporting with red moongates if the party doesn't have the
	  orb of the moons. (The original game engine let you teleport.)
	* Fix orb of the moons solo mode error text.

2013-12-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1772
	* Show failed when targeting an inventory obj for orb of moons location.
	* Don't allow orb of moons to be used when not in the party's inventory.
	* Add more space between save, load, and cancel buttons in the save menu

2013-11-26  Eric Fry <efry at users.sourceforge.net> r1771
	* Refactored Font and made the class an abstract class.
	* Created new WOUFont class and moved the code from Font.
	* Fixed text colour on the ContainerViewGump when displaying party inventory.

2013-11-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1770
	* Fix r1652 regression where eggs that weren't visible could block dropping

2013-11-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1769
	* Stop spells and attacks when the Avatar dies. The original allowed party
	  members that killed the Avatar with multiple attacks left to keep
	  attacking until the end of their turn. Nuvie will not allow them. Doors
	  explode after kal lor in the original. They will explode before in Nuvie.

2013-11-16  Eric Fry <efry at users.sourceforge.net> r1768
	* Fixed some transparency issues with U6 bmp font.

2013-11-16  Eric Fry <efry at users.sourceforge.net> r1767
	* Removed hardcoded font data from ConvFont. The fonts are now stored in bmp
	  files. The files are stored in data/images/gumps/fonts
	* Fixed up font support for SE and MD in the new UI mode.
	* Added new 8/24 bit bmp file loader class. NuvieBmpFile.
	* Moved U6 gargoyle font into FontManager class
	* Fixed bug in Screen::create_sdl_surface_from() method.

2013-11-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1766
	* Fix bug #286, diagonally move check for player is wrong. U6 blocks player
	  diagonal movement between blocked tiles (non-party members block). SE and
	  MD don't have this restriction.

2013-11-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1765
	* Allow walking with the mouse to move only one direction if diagonal
	  movement is blocked in only one of the directions

2013-11-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1764
	* Don't assign palette color for converse font. It doesn't use a palette

2013-11-09  Eric Fry <efry at users.sourceforge.net> r1763
	* Started work on a new long text gump. This will be used to display large
	  blocks of text in the new fullscreen UI. eg looking at pictures, books etc.
	* Fixed a few code warnings.
	* Updated eclipse build config to Kepler.
 
2013-11-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1762
	* Stop gumps and inventory view from being displayed when playing the ending

2013-11-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1761
	* Inefficiently stop container gump from corrupting original style games
      when dragged

2013-11-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1760
	* Change container gump pop up location in original style games

2013-11-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1759
	* Get rid of Text class and use Font class instead. This allows SE and MD
	  view text to be visible without U6.CH being copied into their directory.

2013-11-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1758
	* Use pointer to game_type in ScriptCutscene instead of reading from cfg

2013-11-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1757
	* Add mouse and arrow key answer selection in SE character creation
	* Add some SDL keysym constants to SE's intro.lua

2013-10-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1756
	* Allow all buttons and mouse clicks to bypass SE conductor and intro

2013-10-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1755
	* Add mouse and shortcut key support in SE main menu. There's still no mouse
	  or gamepad selection of creation answers.
	* Have successfully created SE character start a new game
	* Add copy_scripts option to Makefile.mingw
	* Add mouse input comments in U6 intro and update Win32 installer copyright

2013-10-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1754
	* Show and hide mouse cursor in SE intro
	* Fix crash caused by uninitialized char_index in SE's intro
	* Refactor SE main menu code so mouse controls can be more easily added
	* Fix SE not quitting when the quit key is pressed in the main menu
	* Remove unneeded loop checking for returned main_menu value in U6 intro
	* Comment out unreachable code in SE intro

2013-10-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1753
	* Fix regression where the --end command line crashed from NULL script
	* Add --reset_video command line to reset to default video setting for
	  scale_method, scale_factor, fullscreen, screen_width, screen_height,
	  game_width, and game_height.
	* Make original lighting the default since it can be changed in game.

2013-10-29  Eric Fry <efry at users.sourceforge.net> r1752
	* Changed SE character creation logic to be more like the original.
	* Split out new save game logic to allow for SE changes.

2013-10-24  Mikey Alexander r1751
	* Add text_color attribute to CSSprite
	* Add image_copy function and SE Font to ScriptCutScene
	* Add first pass on most of the SE intro/menu scripts

2013-09-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1750
	* Add forgotten ChangeLog entry.

2013-09-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1749
	* Add quick save and quick load to CommandBarNewUI. It only uses slot 0 atm
	* Merge quick_save from KeyActions.cpp into quick_save in SaveManager.cpp

2013-09-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1748
	* Fix CommandBarNewUI running Init twice in new style games
	* Limit command bar setting on load to maximums depending on game_type. It
	  was only using the U6 limit.

2013-09-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1747
	* Fix ending not showing if the intro was played
	* Fix no darkness cheat reading from the cfg (which can now be changed)
	  Add old_lighting_style to denote previous lighting setting instead

2013-09-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1746
	* Add QUICK_SAVE and QUICK_LOAD key bindings. They need a parameter of the
	  save file number. Example: QUICK_LOAD 0 loads nuvieU6qs000.sav

2013-09-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1745
	* Fix obj manager corruption on trying to load non-existent save file or
	  one with the wrong version.
	* For GUI_TextInput, allow KP_ENTER to callback to its parent

2013-09-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1744
	* Fix problems with the cursor not showing up when using tab while in input
	  or attack mode.
	* Stop cursor from disappearing from inventory or actor view every time a
	  key passes through.

2013-09-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1743
	* Add MULTI_USE key binding that brings up a target cursor and behaves like
	  you double clicked something (talks to npcs, looks at readable objs, uses
	  items, and attacks objs and non-good npcs when in combat mode).
	  The MULTIUSE_MODE event was created to handle this.

2013-09-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1742
	* Fix crash when trying to load a non-existent portrait.

2013-09-20  Willem Jan Palenstijn <wjpalenstijn@users.sourceforge.net> r1741
	* Remove U6Lib assumption that data entries are ordered. This fixes loading
	  SE's faces.lzc.

2013-09-20  Eric Fry <efry at users.sourceforge.net> r1740
	* Fixed bug #287 "[Tried to print control char.]" error (and others).
	  FM-Towns keyword commands are now handled in fullmap mode. They are
	  added to the list of selectable keywords if the player has already
	  met the actor who is referenced in the keyword command. These keywords
	  take the format +actor_numKeyword+ eg. +5runes+ Would add the keyword
	  'runes' to the list if the player has met Lord British. 

2013-09-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1739
	* Navigate ActorView with keyboard when selected in equip mode
	* Cancel out of equip mode when going to party view

2013-09-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1738
	* Have Event::cancelAction() close gumps if in move mode
	* Allow Event::close_gumps() to work in original style games
	* Cancel out of equip mode when going to save menu
	* Change no_fullscreen bool from private to local variable in VideoDialog

2013-09-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1737
	* Add VideoDialog menu options. Scaler and scale settings are not compiled
	  by default since I don't know how to change them in game.

2013-09-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1736
	* Changes to make roof mode togglable

2013-09-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1735
	* Rename set_lighting_style to set_lighting_style_from_config
	* Add is_fullscreen(), get_scaler_index(), and get_scaler_reg()

2013-09-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1734
	* have GUI_TextToggleButton update selection before callback
	* Delete new_command_bar when disabled from the menu
	* GameplayDialog.cpp: unneeded index changes

2013-09-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1733
	* Fix converse bg menu setting

2013-09-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1732
	* Add gameplay menu content.

2013-09-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1731
	* Add interface menu. Remove ~ from some Audiodialog text. Add forgotten
	  doubleclick_enabled check in MapWindow::MouseDouble.

2013-09-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1729
	* Add menus system. (Video and gameplay options are just stubs.)

2013-09-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1728
	* Allow right clicks on GUI_Buttons. GUI_TextToggleButton will cycle
	  backwards when right clicked. Other GUI_Buttons will do the same as a left
	  click.
	* Fix GUI_Dialog ignoring the is_moveable parameter (it was always true)

2013-09-13  Willem Jan Palenstijn <wjpalenstijn@users.sourceforge.net> r1727
	* Add GUI_TextToggleButton: a button that cycles through a set of
	  captions when clicked.

2013-07-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1726
	* Allow up, down, KP2, and KP8 to cycle through alphanumeric characters
	 (and space) in the save description (gamepad support)

2013-07-27  Eric Fry <efry at users.sourceforge.net> r1725
	* Added Dom's commit message to the ChangeLog.

2013-07-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1724
	* Add placeholder graphics for SE and MD new command bars

2013-06-23  Dominik Reichardt <dominus@users.sourceforge.net> r1723
	* Added $(REVISION) variable for versioning the OS X snapshot disk images.

2013-06-16  Eric Fry <efry at users.sourceforge.net> r1722
	* Added Daniel's new paperdoll art for the third female portrait.

2013-06-15  Eric Fry <efry at users.sourceforge.net> r1721
	* Fixed bug with bubbling liquid in U6 Gypsy intro sequence.
	* Added stub intro.lua script for md to prevent a crash on startup.
	* Added optional third argument to image_new() script function. This allows
	  you to set a fill colour on the newly created image. If the argument is
	  omitted then you get a transparent 0xff image.

2013-06-15  Eric Fry <efry at users.sourceforge.net> r1720
	* Added Daniel's new Avatar doll gump art. At the moment only male avatars
	  are available.
	* Refactored the way you get the avatar Actor object.
	* Started adding support for AdLib based sfx in MD/SE.
	* Cleaned out the CmidPlayer class so it only contains code relevant to
	  Origin midi files.
	* Added a new C++ class based version of the Opl2 emulator code. This is used
	  by the new AdLib sfx.
	* Removed mididata.h

2013-05-27  Eric Fry <efry at users.sourceforge.net> r1719
	* Added new 'native' config option for game sound effects. This is needed to
	  support SE and MD sfx which are AdLib notes.
	* Added has_fmtowns_support() this is used by the sound manager to determine
	  if towns sfx should be used when 'native' is selected and fm-towns files are
	  detected.
	* Moved SE/MD adlib code into new OriginFXAdLibDriver.
	* Started work on new AdLib sfx support for SE

2013-05-21  Eric Fry <efry at users.sourceforge.net> r1718
	* More work on SE music support. Cleaned up reading sint16 tim data.

2013-05-14  Eric Fry <efry at users.sourceforge.net> r1717
	* More work on SE music support.

2013-05-09  Eric Fry <efry at users.sourceforge.net> r1716
	* More work on SE/MD music support. rewriting music driver to be more like the
	  original game engine.
	* Added new tool unpack_lzc. This explodes an lzc file into its parts.

2013-03-31  Eric Fry <efry at users.sourceforge.net> r1715
	* Started work on SE/MD music support.
	* Added has_file_extension() function.
	* Added second argument to music_play() script function to allow it to play
	  songs from library files. eg. MUSIC.LZC

2013-03-31  Eric Fry <efry at users.sourceforge.net> r1714
	* Added MIDI play back classes from AdPlug 2.2.1

2013-03-25  Eric Fry <efry at users.sourceforge.net> r1713
	* Started work on Savage Empire intro sequence.
	* Added U6Shape::blit() for blitting shapes onto each other.
	* Added scale to cutscene CSImage objects. You can now scale them
	  up or down in size. The scale value is a percentage.
	* Added support for MD and SE cutscene palettes.
	* Changed image_load_all() script function to load MD and SE image tables.

2013-03-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1712
	* Add input/new_command_bar cfg setting that allows the new command bar in
	  original style games. fullscreen_map ignores the setting (gamepad support)
	* Stop new command bar from using the currently selected command when
	  clicking on the transparent area in the last row.

2013-03-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1711
	* Allow move command to walk the player/party a tile (gamepad support)
	* Add input/direction_selects_target cfg setting to stop directional input
	  from automatically selecting a target when you press a direction key and
	  the setting is "no". (gamepad support)
	* Softcode centering of mouse on push_obj/push_actor
	* Don't allow tabbing into the inventory or targeting it when you are
	  moving an actor
	* Fix bad blocking check

2013-03-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1710
	* Make intro more joypad friendly (arrows and enter are all the keys needed)

2013-03-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1709
	* Fix r1693 regression that caused create character to return to the menu
	* Hide mouse during gypsy intro. Fix mouse colors during gypsy questions.
	* Fix cursor's save_backing in cutscenes so that a full redraw isn't needed

2013-03-15  Eric Fry <efry at users.sourceforge.net> r1708
	* Add game mouse cursor support to intro / main menu script.
	  This fixes "The SDL cursor is used in U6 menu instead of U6 mouse" [3606990]
	* Added mouse_cursor_visible() and mouse_cursor_set_pointer() script 
	  functions.

2013-03-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1707
	* Make FadeEffect use map window size to determine fade speed

2013-03-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1706
	* Fix r1665 regression that broke autowalk because invisible party members
	  weren't ignored
	* Fix bad check for moongate in TimedPartyMove::change_location()
	* Comment out unused code in MapWindow::moveLevel
	* Don't have cross try to use the sign gump anymore

2013-03-12  Eric Fry <efry at users.sourceforge.net> r1705
	* Added star field effect to end sequence.
	* Added image_new_starfield(), image_set_transparency_colour()
	  and image_update_effect() script functions.
	* Changed CSImage from struct to class.

2013-03-09  Eric Fry <efry at users.sourceforge.net> r1704
	* Fixed text formatting on end congratulation message.

2013-03-08  Malignant Manor <malignantmanor@users.sourceforge.net> r1703
	* Fix broken game size restriction check

2013-03-08  Malignant Manor <malignantmanor@users.sourceforge.net> r1702
	* Get rid of offset cfg settings and replace them with game_position setting

2013-03-08  Eric Fry <efry at users.sourceforge.net> r1701
	* Added proper time to complete string to the end sequence.
	* Added clock_get_year() clock_get_month() and clock_get_day() script
	  functions.

2013-03-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1700
	* Fix default drop quantity and rest selection when pressing enter
	  without input
	* Allow cursor targeting for guard selection when resting

2013-03-07  Eric Fry <efry at users.sourceforge.net> r1699
	* Fixed bug "Quitting from the Ultima 6 menu doesn't quit Nuvie" [3606989]

2013-03-06  Eric Fry <efry at users.sourceforge.net> r1698
	* Fixed text alignment in the end sequence.

2013-03-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1697
	* Fix walking mode not canceling on mouse up when the user is paused

2013-03-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1696
	* Reset the row offset in ContainerWidget when selecting a container
	* Fix two instances of drag and dropped items corrupting the background

2013-03-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1695
	* Properly make menu_idx global and change old_menu_idx usage

2013-03-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1694
	* Soft-code the mouse motion input pulling in ScriptCutscene
	* Fix cutscene text not using offsets

2013-03-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1693
	* Have the mouse work in the intro and menu. It uses the wrong pointer.

2013-03-05  Eric Fry <efry at users.sourceforge.net> r1692
	* More work on the ending sequence.
	* The end sequence now displays when you complete the game.

2013-03-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1691
	* Use game size to determine if a background is needed for fullscreen_map
	* Fix dragging from doll widget when the screen size is larger than default

2013-03-05  Eric Fry <efry at users.sourceforge.net> r1690
	* Started work on ending sequence. It can be accessed by using the "--end"
	  commandline argument.

2013-03-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1689
	* Add Ctrl-A toggle audio key binding
	* Add CTRL-M toggle music key binding
	* Add Ctrl-S toggle sfx key binding

2013-03-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1688
	* Fix wrong SpellViewGump offset from r1684
	* Have fps counter update properly in original style

2013-03-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1687
	* Add forgotten SaveDialog offsets
	* Clicking the scroll bar can now page up and page down

2013-03-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1686
	* Fix bug where non-stackable objects were stacked
	* Fix bug where non-grabbable objs could be added to container gumps

2013-03-04  Eric Fry <efry at users.sourceforge.net> r1685
	* Added Daniel's Gargoyle corpse container gump.

2013-03-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1684
	* Allow the game size to be adjustable in fullscreen_map mode. The game size
	  is slightly larger if the game_width is smaller than the screen_width or
	  the game_height is smaller than the screen_height

2013-03-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1683
	* Have more objects use the new container gumps.

2013-03-02  Eric Fry <efry at users.sourceforge.net> r1682
	* Added Daniel's new art gump artwork for corpse containers and barrels.
	* Fixed cursor bug in ContainerViewGump when using a container widget that
	  wasn't 4 items wide.
	* Removed unused buttons from container gumps.

2013-02-28  Malignant Manor <malignantmanor@users.sourceforge.net> r1681
	* Fix some SDL_VideoModeOK checks that were wrong and caused problems when
	  trying to run Nuvie fullscreen
	* Add Alt-Enter toggle fullscreen key binding

2013-02-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1680
	* Remove use item key binding's ability to check for a specific quality or
	  frame number. They weren't used, and I would need to increase the
	  parameter limit on all key bindings (a little more memory) just for them.

2013-02-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1679
	* Add Ctrl-T teleport to mouse cursor cheat
	* Add more teleport cheat locations (alt code 314)

2013-02-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1678
	* Allow casting selected spells from the new spell gump by clicking on the
	  map window. Note that clicking on the spell book anywhere other the arrow
	  will mess this up.

2013-02-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1677
	* Swap Gate Travel and Energy Wind filenames in the new spell book
	* Fix Magic Trap graphic (used to display Detect Magic)

2013-02-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1676
	* Use inventory_drop_all for Armageddon (fixes several issues)

2013-02-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1675
	* Don't close gumps when dragging and dropping

2013-02-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1674
	* Move toggle_unlimited_casting key bindings to u6keys.txt and sekeys.txt
	  the cheat isn't currently implemented in SE.

2013-02-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1673
	* Do unready code on actor death or when leaving the party
	* Don't stack objects when moving them all to the body or ground

2013-02-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1672
	* Fix typo that broke Makefile.am

2013-02-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1671
	* Add Alt-F1 through Alt-F9 show doll gumps (fullscreen_map only)

2013-02-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1670
	* Use game specific keybindings (u6keys.txt, mdkeys.txt, and sekeys.txt).
	  Each game has its own game_specific_keys cfg entry. (default) will load
	  the appropriate file from the data folder.
	* Add new Martian Dreams key bindings
		P	use pry bar
		r	use tent
		w	use watch

2013-02-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1669
	* Preserve X-ray mode cheat when cheats are off and an X-ray effect ends
	* Round down floating point division in spell_poison_actor (Thanks Eric)

2013-02-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1668
	* Add X toggle X-ray mode cheat

2013-02-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1667
	* Stop extra command prompt from coming up when you use the mouse to finish
	  displaying text

2013-02-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1666
	* Have charm change the party leader (charmed follow logic is broken)
	* Don't switch to a solo actor who is disabled

2013-02-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1665
	* Don't ignore invisible actors when moving
	* Don't allow dropping objects onto actors

2013-02-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1664
	* Disable don't spawn actors cheat after toggling cheats off
	* Don't show_eggs after toggling cheats off

2013-02-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1663
	* Restrict sign gump to 20 characters until it can span multiple lines
	* Add general/use_text_gumps cfg setting to use Ultima 7 style pop up
	  graphics like signs, books, and sctolls instead of displaying text in the
	  bottom right corner. Only signs are implemented (and only partially)

2013-02-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1662
	* Ignore use item keys if not in move or equip mode
	* Add Alt-E toggle ethereal mode (walk through walls) cheat
	* Add alt code 222 to toggle ethereal mode
	* Set old alignment to good when adding a charmed party member
	* Disable unlimited casting when cheats are disabled

2013-02-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1661
	* Go with what the manual says for reagents (Mass Dispel, Poison Field, and
	  Sleep Field) even though my version, Complete Ultima 1-6, is different

2013-02-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1660
	* Add looking inside spell books with look command

2013-02-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1659
	* Fix crash when using a spellbook with the mouse in the doll view gump
	* Don't close gumps when trying to cast and the spell book is not equipped

2013-02-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1658
	* Fix reagents needed for a bunch of spells
	* Get rid of unneeded c_str() call in display_prompt
	* Have spells that don't require reagents display 1 for spell count

2013-02-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1657
	* Fix spell display text when casting from a spell slot
	* Allow casting during anti-magic storm when using unlimited casting cheat

2013-02-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1656
	* Try to show actor name when talking to someone who gives "No response"
	* Show "Tangle vine killed!" when attacking a tangle vine that is not alive

2013-02-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1655
	* Add MOVETYPE_U6_NONE to keep tangle vine pods from walking (for now)
	* Give reaper a dead body instead of blood. Make that body a container.

2013-02-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1654
	* You can now use the mouse wheel to scroll text in original mode
	* Reset the new message scroll rollback timer if you are manually scrolling

2013-02-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1653
	* Add "Original Game Save" file slot at the end of the save list

2013-02-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1652
	* Fix show eggs toggling when you don't start Nuvie with eggs showing
	* Fix crash when equipping a ring or storm cloak from a container on the map
	* Have tangle vine bodies stay the same frame as they died

2013-02-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1651
	* Don't allow saving, resurrection, actor spawning, or talking after casting
	  Armageddon

2013-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1650
	* Add Alt-Ctrl-G god mode cheat
	* Change slime actor_int_check due to r1649 parameter change

2013-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1649
	* Fix summon alignment
	* Give clones combat worktype if their wt <= player
	* Fix backwards parameters in actor_int_check
	* Alt-Ctrl-P pickpocket cheat (need to double click actors)

2013-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1648
	* Improve hack move
	* Add Alt-I no darkness cheat
	* Alt-W toggle unlimited casting cheat

2013-02-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1647
	* Add cheats/enabled cfg option that must be enabled to use cheats
	* Add use item keybinding support
	* Add Ctrl-C toggle cheats enabled
	* Add Alt-H toggle hack mover cheat
	* Add E toggle display egg cheat
	* Add Alt-Ctrl-E toggle actor spawning
	* Add Alt-Ctrl-H heal party cheat
	* Add O use orb of moons command
	* Add P use lock pick command
	* Adjust anti-magic message display 

2013-02-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1646
	* Show message for switches and levers that don't do anything
	* Hack a fix for Covetous switch that doesn't work in the original
	* Stop sign gump from displaying again when left clicking to close
	* Fix hack mover not displaying the actor name of object recipient

2013-02-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1645
	* Remove unnecessary parameter
	* Add join text in the converse gump even without party_all_the_time enabled

2013-02-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1644
	All changes are for fullscreen_map mode mode
	* Show the actors doll when using pickpocket
	* Don't allow cycling of non-party members' gumps
	* Show gump of control cheat actor when double clicked
	* Hide portrait view if nothing is being shown
	* Hide heart button on non-party members
	* Hide party_button since it doesn't do anything atm

2013-02-14  Eric Fry <efry at users.sourceforge.net> r1643
	* Updated Daniel's sign gump font.

2013-02-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1642
	* Use a new cursor for container gumps that lets you see items better

2013-02-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1641
	* Comment out TextEffect calls (text pop up)

2013-02-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1640
	* Handle attacking the inventory better.
	* Close gumps when attacking or after selecting an object to drop
	* Allow deer to show their inventory when carried

2013-02-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1639
	* Restrict sign gump usage.

2013-02-09  Eric Fry <efry at users.sourceforge.net> r1637
	* Added missing SignViewGump class.

2013-02-09  Eric Fry <efry at users.sourceforge.net> r1636
	* Added Daniel's new wooden sign gump graphics. You now get a nice wooden
	  sign gump when viewing signs in full map mode.
	* Added new BMPFont class. This allows for fonts specified by a bmp image file.
	* Added the ability to select objects in container gumps with the keyboard
	  'Enter' key.
	* Added the ability to 'G'et objects from container gumps. This is handy for
	  getting objects out of a chest with the keyboard in full map mode.

2013-01-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1633
	* Fix bug where a missed projectile still targeted the same actor instead of
	  the actor in the tile it lands in

2013-01-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1632
	* Enforce const-ness in KeyBinder class and on key actions

2013-01-13  Dominik Reichardt <dominus@users.sourceforge.net> r1629
	* fixed autotools warnings, changed version number

2012-12-29  Eric Fry <efry at users.sourceforge.net> r1628
	* Added Daniel's new Chest and Crate gumps.
	* Changed ContainerWidget to allow an arbitary number of rows and columns.
	* Started adding keyboard support to the ContainerWidgetGump.
	* Added Daniel's new border images for GUI dialogs.

2012-12-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1627
	* Make converse_solid_bg game specific instead of general
	* Improve SE and MD MsgScrollNewUI default colors
	* Update default cfg settings
	* Update documentation

2012-12-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1626
	* Add check on loading the command bar setting to prevent segfault.

2012-11-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1625
	* '+', '=', and '-' now also change the party member's actor view
	* '*' now switches between inventory and party view
	* 'ctrl-1' through 'ctrl-9' will show that party members stat view

2012-11-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1624
	* Fix block check when using the move action to move more than one tile away
	* Remove always_throw and force_throw options from enabled_dragging cfg
	  setting. The interface setting being fullscreen will replace force_throw

2012-11-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1623
	* Have move, use, and get work on the whole screen when using a keyboard and
	  fullscreen interface.
	* Allow move to move objects anywhere on screen in fullscreen interface.
	  Actors can still only be moved one tile (by design).

2012-11-05  Eric Fry <efry at users.sourceforge.net> r1622
	* Changed 'i' command to cycle through party member doll gumps when pressed repeatedly.

2012-11-05  Eric Fry <efry at users.sourceforge.net> r1621
	* Fixed some memory leaks in gump logic.

2012-11-05  Eric Fry <efry at users.sourceforge.net> r1620
	* You can now use the F-keys to show party member inventory gumps in fullmap mode.

2012-11-05  Eric Fry <efry at users.sourceforge.net> r1619
	* Make sure the new message scroll is always on top. This helps actions that require
	  interaction with the scroll while gumps are open.
	* Added shortcut button to doll gump from container inventory gump.
	* Display inventory weight on new container gump.
	* Added scroll wheel to scroll party members on container gump.
	* Disable player movement when gumps are active.
	* Refactored cursor tile logic. Moved it to TileManager.
	* Add 'z' key to the 'close all gumps' action.

2012-11-04  Eric Fry <efry at users.sourceforge.net> r1618
	* Added keyboard cursor into spellbook gump.

2012-11-02  Eric Fry <efry at users.sourceforge.net> r1617
	* Fixed bug when closing spellbook gump with right mouse click.

2012-11-01  Eric Fry <efry at users.sourceforge.net> r1616
	* Fixed bug when closing doll gump.
	* Added scroll wheel support to spell view gump.
	* Tweaked the screen startup positions for the gumps.

2012-10-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1615
	* Close gumps when using LOAD_LATEST_SAVE hotkey
	* Add CLOSE_GUMPS keybinding option (currently unused)

2012-10-31  Eric Fry <efry at users.sourceforge.net> r1614
	* Added ViewManager::close_all_gumps()
	* Reset row offset when cycling through party member inventories.
	* Close gumps when opening save/load/quit dialogs.
	  This fixes "The game can crash  if you load with a container gump open" [3557811]

2012-10-31  Malignant Manor <malignantmanor@users.sourceforge.net> r1613
	* Fix a couple of torch lighting crashes

2012-10-31  Eric Fry <efry at users.sourceforge.net> r1612
	* Fixed bug with an endless loop when using the "party all the time" cheat in
	  fullmap mode.
	* Added left/right arrow buttons to PortraitGump.

2012-10-30  Eric Fry <efry at users.sourceforge.net> r1610
	* Fixed segfault when dragging from player's inventory in fullmap mode.
	* Added left/right buttons to inventory gump.
	* Added actor name to inventory gump.

2012-10-28  Eric Fry <efry at users.sourceforge.net> r1609
	* Fixed bug "horsed Avatar doubles movement speed for all party members" [3547478]
	  The party only moves at horse speed if all members are horsed.

2012-10-24  Eric Fry <efry at users.sourceforge.net> r1608
	* Added load/save icon to the new command bar widget.

2012-10-16  Eric Fry <efry at users.sourceforge.net> r1607
	* Fixed typo bug in monster invisible spell (128).

2012-10-16  Eric Fry <efry at users.sourceforge.net> r1606
	* Fixed bugs with non-standard screen size. The background wasn't blanking
	  properly. The MapWindow wasn't clipping correctly when a x/y offset was used.
	* Refactored code to use a common shared instance of ConvFont. This is sourced
	  from FontManager.

2012-10-14  Eric Fry <efry at users.sourceforge.net> r1605
	* Added new Action QUIT_NO_DIALOG, Alt-q. This allows you to quit 
	  without confirmation.
	* Added new Action TOGGLE_FPS_DISPLAY, Ctrl-f. This shows the current fps.
	* Added new keyboard controls to the ConverseGump. This allows for keyboard 
	  based keyword selection.
	* Added the ability to enter free text input into ConverseGump without a
	  qwerty keyboard. Up/Down arrows select a letter. Right arrow to select.
	  Left arrow to remove.
	* Added more info to Console when loading a game.
	* Commented out dbg() calls in actor.lua
	* Re-worked actor_update_all() logic to remove a loop that iterated through
	  all actors.
	* update_actor_flags() was updating n+1 times. It should be n times.


2012-10-10  Eric Fry <efry at users.sourceforge.net> r1604
	* Added ctrl, alt and shift keys to the key binding system

2012-10-09  Eric Fry <efry at users.sourceforge.net> r1603
	* Added mouse event handling to the new Command Bar.

2012-10-08  Eric Fry <efry at users.sourceforge.net> r1602
	* Added new CommandBar for fullmap mode. This is activated by pressing the
	  comma ',' key. Commands can be selected with the arrow keys. This should
	  allow command selection for devices without a keyboard. Eg Dingoo a320
	* Fixed bug in stipple_8bit().
	* Changed ConsoleAddInfo() to use printf style varargs.

2012-10-03  Eric Fry <efry at users.sourceforge.net> r1601
	* A small fix for the new message scroll when scrollback_height is reached.
	* Fixed nil reference in actor.lua

2012-10-01  Eric Fry <efry at users.sourceforge.net> r1600
	* Changed the new message scroll to show the correct position when
	  coming back from the hidden state.
	* Added mouse wheel up/down events to the GUI_ScrollBar widget.
	* Free GUI_Button image memory.
	* Fixed bug with mouse wheel events in the double click logic.
	* Other memory cleanups on object deletion.

2012-09-30  Eric Fry <efry at users.sourceforge.net> r1599
	* Move gump to top when clicked.
	* Added scroll wheel support to gumps.
	* Gumps don't respond to mouseDown events when the mouse is clicked on a
	  transparent part of the their background image.
	* Fixed bug with Drag and Drop while using new message scroll.
	* Added container gump management to ViewManager class.
	* Added config entries for new message scroll functionality.
	* Added range checks to the Screen::fill() method.

2012-09-28  Eric Fry <efry at users.sourceforge.net> r1598
	* Added safety checks to stipple_8bit()

2012-09-27  Eric Fry <efry at users.sourceforge.net> r1597
	* Added stippled background to new fullmap msg scroll.

2012-09-26  Eric Fry <efry at users.sourceforge.net> r1596
	* Fixed bug with activate_city_guards() not checking for temp actors.
	* Changed fullmap mode message scroll to retain scrollback buffer. You can now
	  access this by using the mouse scroll wheel or the page up/down keys.

2012-09-26  Eric Fry <efry at users.sourceforge.net> r1595
	* Fixed bug when exiting Sherry's converse script. She would always leave the party
	  when in fullmap mode.

2012-09-25  Eric Fry <efry at users.sourceforge.net> r1594
	* Added new MsgScrollNewUI class which is used in the fullscreen map mode.
	  This scroll shows text then removes all rows with a rollup animation after
	  2 seconds of inactivity.
	* Fixed bug with converse scripts not exiting properly with fullmap mode.
	* Fixed display of gargoyle/runic font with the new ConvFont class.
	* Added MsgScroll::display_fmt_string() which accepts a var args printf style.

2012-09-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1593
	* Fix uninitialized z var when not looking on left click (r1592 regression)

2012-09-16  Eric Fry <efry at users.sourceforge.net> r1592
	* Started work on the Look function in Full map mode. Left click the map
	  to look at an object.

2012-09-16  Eric Fry <efry at users.sourceforge.net> r1591
	* Fixed memory leak regression from 1506. Added new Portrait::has_portrait() method.

2012-09-16  Eric Fry <efry at users.sourceforge.net> r1590
	* Fixed bug with pushme-pullyu converse portrait switching in full map mode.

2012-09-14  Eric Fry <efry at users.sourceforge.net> r1589
	* Fixed display of end conversation text when in full map mode.

2012-09-13  Eric Fry <efry at users.sourceforge.net> r1588
	* Fixed bug "Missing dialog with Mondain, Minax, and Exodus" [3563186]

2012-09-12  Eric Fry <efry at users.sourceforge.net> r1587
	* Added some missing converse variables. $34 the value of $Y
	  $25 the player name. $23 the name of the npc.
	  This fixes bugs in the arm wrestling logic in script 56.
	* Changed the equals opcode to handle string equality.
	  This fixes bug "Player's name isn't recognized in conversation" [3557490]

2012-09-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1586
	* Allow changing combat strategy with DollViewGump (fullscreen_map)

2012-09-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1585
	* Increase the number of temporary actors in Ultima 6 by 21

2012-09-05  Eric Fry <efry at users.sourceforge.net> r1584
	* Added support for spawning mutant (two headed) actors.

2012-09-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1583
	* Separate some original style and fullscreen_map code. This should stop
		the views from popping up when not needed.

2012-09-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1582
	* Fix experience display in fullscreen_map's PortraitViewGump

2012-09-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1581
	* Fix crash in fullscreen_map when looking at an actor (r1567 regression)

2012-09-02  Eric Fry <efry at users.sourceforge.net> r1577
	* Official release 0.4

2012-09-02  Eric Fry <efry at users.sourceforge.net> r1576
	* Fixed bug "Trinsic stable only front of horse is created by egg" [3564008]
	  Changed U6 actor detection logic in spawn_egg().
	* Allow eggs to spawn actors with worktype 0.

2012-09-02  Eric Fry <efry at users.sourceforge.net> r1575
	* Fixed bug "new save labeled save slot can load without gargoyles" [3547487]

2012-09-02  Malignant Manor <malignantmanor@users.sourceforge.net> r1573
	* Fix warnings about using a signed integer instead of an unsigned integer

2012-09-02  Eric Fry <efry at users.sourceforge.net> r1572
	* Fixed issue with explosion effect not unpausing animations once done.

2012-09-02  Eric Fry <efry at users.sourceforge.net> r1571
	* Fixed bug in SleepEffect class.
	* Fixed some memory leaks when shutting down.

2012-09-01  Malignant Manor <malignantmanor@users.sourceforge.net> r1570
	* Fix page_break doubling command prompts
	* Fix spell book look description showing the weight twice

2012-09-01  Malignant Manor <malignantmanor@users.sourceforge.net> r1568
	* Add check for can_laydown when setting sleep flag

2012-09-01  Malignant Manor <malignantmanor@users.sourceforge.net> r1567
	* Add torch lighting/dousing on actor creation or hour change
	* Show sky strip when talking or looking at an actor

2012-09-01  Eric Fry <efry at users.sourceforge.net> r1566
	* Fixed bug "Party members get hit by damage tiles more than they should" [3561801]

2012-09-01  Eric Fry <efry at users.sourceforge.net> r1565
	* Fixed bug "Stuck in dialog when sleeping at an inn" [3562326]
	* Added party healing when resting at inn.

2012-09-01  Malignant Manor <malignantmanor@users.sourceforge.net> r1564
	* Fix reintroduced bug where the skiff actor is blocked in tight areas
	* Fix WITHOUT_DEBUG compiler option and remove some debugging printouts

2012-09-01  Eric Fry <efry at users.sourceforge.net> r1563
	* Allow diagonal movement between damage tiles.

2012-09-01  Eric Fry <efry at users.sourceforge.net> r1562
	* Ignore danger tiles if 'force move' is set.

2012-09-01  Eric Fry <efry at users.sourceforge.net> r1561
	* Changed PartyPathFinder to make party members avoid damaging tiles.
	  They will attempt to avoid damaging tiles unless there is no other way
	  to follow the leader without walking on a damaging tile.
	* Changed ObjManager::is_damaging() to use original tile for damage check.
	  This fixes an issue with the log saw not being marked as damaging.

2012-09-01  Malignant Manor <malignantmanor@users.sourceforge.net> r1560
	* Fix missing newline before display_condition() call in obj_is_damaging

2012-08-31  Eric Fry <efry at users.sourceforge.net> r1558
	* Added missing code for schedule fix from r1550

2012-08-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1557
	* Fix name displayed by shrines and statues actors
	* Allow book of circles to be read

2012-08-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1556
	* Randomly generate the frame for dead bodies that are blood
	* Fix crash from balloon usecode passing a null pointer to can_drop_obj

2012-08-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1555
	* Revert previous commit since it causes constant clean up of already free
		actor. Disable visibility check if x, y, or z is not equal to zero
	* Have inventory_drop_all() make items temporary for temp actors

2012-08-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1554
	* Remove visibility check from temporary actor cleanup

2012-08-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1553
	* Have weather be set to calm when going into a dungeon.
	* Add bodies for cat, dog, deer, mongbat, and wolf.
	* Don't use actors that have a container type.
	* Fix item drop for actors without a proper body. It was broken by temp
		actor removal happening too soon (r1548 regression)
	* Fix teleport bool not being used in player_move (r1548 forgotten)

2012-08-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1552
	* Set Gargoyle worktype to 0xC 'WANDER' when Beh Lem is in the party

2012-08-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1551
	* Make fire fields temporary when from an oil flask or cast by a sea serpent
	* Fix not using a signed integer when comparing relative coordinates [r1549]

2012-08-29  Eric Fry <efry at users.sourceforge.net> r1550
	* Added map_is_on_screen() lua function.
	* update actor schedules on load.
	* Teleport actors to schedule location if it is off screen. This fixes bug
	  "npc schedules don't update properly -teleport (orb of moons)" [3556231]

2012-08-28  Malignant Manor <malignantmanor@users.sourceforge.net> r1549
	* Stop seizure inducing canal animation in Martian Dreams
	* Make usability check go before other checks (use obj event)
	* Don't print a condition with display_condition() if not injured. This
		makes the get text of a cookfire and fence like the original
	* Add drop check for water. Add back some removed drop checks
	* Fix printed shovel direction. Have pick use the shovel usecode, make dug
		up objects temporary, and only dig on dirt tiles. Fix digging for party
		members that aren't the leader. Disable digging on the surface except
		the one spot due to false positives
	* Fix crash when calling tmpBufTileIsBlack from tile_is_black when a
		location is not in the buffer. (r1522 started calling it)

2012-08-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1548
	* Tweak temp obj removal, actor removal, and egg spawning
	* Add check so eggs closer than 9 tiles away don't spawn unless teleporting
		or the game is full screen map style
	* Free a temp actor's slot upon its death
	* Fix crash when a shovel is used on a widget
	* Fix accidental use of unsigned integer instead of signed (KeyActions)
	* Fix doll widget selecting an object when it shouldn't

2012-08-27  Eric Fry <efry at users.sourceforge.net> r1547
	* Changed the egg logic a bit to try and fix the all slots full issues.
	* Spawn eggs every 8 tiles instead of 32. Remove temp actors/objects > 20 tiles away

2012-08-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1546
	* Fix Sitting position for musicians playing a lute.
	* Add checks for being immobile, alignment, in combat with the party, or
		retreating when trying to talk.
	* Have damaging objects default to move when dragging and dropping now that
		they don't have get usecode.
	* Add command bar selection hotkeys

2012-08-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1545
	* Fix attacking with double click (r1535 regression)
	* Fix lit torch weight and description by not making it not stackable

2012-08-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1544
	* Have the command prompt display when regaining control of a party member
		if the command prompt isn't already displayed. This fixes bug [3550547]
	* Add a HACK to set walking to false when in combat and the player changes.
		This should reduce problems with bug [3551056] but not eliminate them.

2012-08-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1543
	* Fix ranged weapons being inaccurate if targeting an empty tile [3547524]
	* Remove needless inventory background color filling. (Fixes MD background)
	* Don't have actors yell for help if they are killed by the initial attack

2012-08-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1542
	* Fix minor memory leak (r1540 regression)
	* Fix bug "Actor view not working right after casting pickpocket" [3550076]
	* Fix bug "tab into inventory doesn't cancel in several instances" [3544896]
	* Fix door being blocked by itself
	* Refactor command bar
	* Add ability to use tab to activate command bar actions on the map window

2012-08-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1541
	* Fix bug where actors without a normal body didn't drop items
	* Fix mimic not having an open chest as a body
	* Refactor some view event selection code

2012-08-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1540
	* Allow commands to be used on the doll widget
	* Fix drag and drop, move, and drop command not unreadying items. WARNING:
	   Do not remove_from_engine with unready usecode without unreadying first
	* Add experience point loss for Avatar on death
	* Don't display unready messages on Avatar death
	* Delete lit torches on actor death
	* Use ignore_block for a check instead of hackmove
	* Don't search plant

2012-08-22  Eric Fry <efry at users.sourceforge.net> r1539
	* Reset experience points when resurrecting actors. This is done using a
	  call to the actor_resurrect() script function from Actor::resurrect()

2012-08-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1538
	* Fix move command distance and blocking check of multi-tiled actors
	* Initialize variables

2012-08-21  Eric Fry <efry at users.sourceforge.net> r1537
	* Changed temp actor cleanup to > 20 tiles away
	* Fixed bug where temp actors weren't cleaned on player teleport.

2012-08-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1536
	* Exclude U6 specific hardcoding from other games.

2012-08-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1535
	* Have the use command employ the tile selected when dealing with actors
	* Allow Sherry to be resurrected by npc healers

2012-08-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1534
	* Improve double click use obj under player and attack logic.
	* Improve attack logic so that the currently targeted actor is used instead
		of selecting it from the targeted actor's location
	* magic.lua: cleanup and comment
	* Get change is_book to is_readable and get rid of functions that return it

2012-08-19  Dominik Reichardt <dominus@users.sourceforge.net> r1533
	* Less hackish configure.ac for codesigning. Thanks wjp.

2012-08-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1532
	* Fix party members attacking each other or themselves with weapons when
		trying to attack an actor that is in the same tile. (Magic will still
		target party members on the same tile as another actor.)

2012-08-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1531
	* Fix resurrect not removing corpse and adding inventory items
	* Fix resurrect location being wrong for objects in inventory or container

2012-08-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1530
	* Remove forgotten line from r1529
	* Fix Spells don't work right when casting in the inventory/doll [3547537]
		(DollWidget isn't done yet)
	* Container Widget: Select objects with events

2012-08-18  Eric Fry <efry at users.sourceforge.net> r1529
	* Set Gargoyle worktype to 0xC 'WANDER' when the avatar has the
	  Amulet of submission.

2012-08-18  Malignant Manor <malignantmanor@users.sourceforge.net> r1528
	* Tweak message display
	* Fix chest and lockpick not being thrown (drop) with drag and drop
	* Don't drop or move raft or skiff if there is an object at the new
		location. (Rafts and skiffs display underneath objects.)
	* Don't use skiff or raft when it isn't in the water.
	* Allow skiff and raft to be moved in the water with the move command.
	* Fix instance where vehicle might be blocked from use during double click
	* Fix book quality 0

2012-08-18  Dominik Reichardt <dominus@users.sourceforge.net> r1527
	* added --with-macosx-code-signature=identity to configure to allow code 
	  signing on Mac OS X. By default it uses "Developer ID Application" with
	  which an identity generated by Apple should begin with.

2012-08-18  Eric Fry <efry at users.sourceforge.net> r1526
	* Changed Actor::init_from_obj() to allow changing the base_obj_n.
	  This is needed when using vehicle actors as they need to change their
	  base_obj_n to allow changing from different vehicle types.

2012-08-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1524
	* Fix converse gump portrait when using a vehicle or loading a game with a
	  different Avatar portrait
	* Fix clicking to equip items in containers being blocked (1518 regression)
	* Allow the torch to be equipped and used when inside a container
	* Fix objects in containers not stacking [3550551]
	* Allow container gump and doll widget to receive unreadied items from other
	  party members

2012-08-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1523
	* Fix segmentation fault from partially initialized value (thanks WJP)

2012-08-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1522
	* Don't accept drops onto map or 414 teleport when in a vehicle
	* Call tmpBufTileIsBlack from tile_is_black to prevent a crash

2012-08-16  Eric Fry <efry at users.sourceforge.net> r1521
	* Fixed bug "Dragon body parts left behind" [3556227]

2012-08-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1520
	* Fix problems with the mouse selecting spells with a fake keyboard event

2012-08-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1518
	* Drag and drop from containers on the map to the map (container gump)
	* Fix 1501 regression where targeting a container with move moved to
		the actor holding the container instead
	* Search vortex cube
	* Fix check for getting traps now that they don't have get usecode

2012-08-16  Eric Fry <efry at users.sourceforge.net> r1517
	* Remove Gargoyle egg when freeing shrine. bug [3556852]
	* Play magic effect when removing force field on shrine.
	* Removed usecode for snake venom. It wasn't in the original

2012-08-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1516
	* Allow objs to be dragged onto doll widget when inside a container and fix
		readying items inside a container
	* Add inventory weight check to event->equip

2012-08-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1515
	* Fix forgotten local lua variable from actor_map_dmg change
	* Fix swamp boots, invisibility ring, and storm cloak checks

2012-08-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1514
	* Add missing out of ammo messages
	* Converse gump: Add more to the list of keywords not to remove
	* Fix false keybinding error message

2012-08-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1513
	* Fix vehicle actors showing a portrait when looked at
	* Allow hole to be used. Disallow long range use of objects that trigger
		autowalk (hole, vehicle, ladder, etc.) when enemies are nearby
	* Disallow move of double tile actors.
	* Limit range of key and lock pick in normal interface

2012-08-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1512
	* Don't allow statues and altars to join the party.
	* Fix converse reading past page breaks (converse gump still does this)
	* Fix converse get_obj_weight when dealing with reduced weight items
	* Fix cannon not stopping when hitting a blocking obj
	* Fix cannon projectile stopping on tiles that aren't missile boundaries
	* Fix hackmove trying to move items when drag and dropping from inventory

2012-08-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1511
	* Converse gump: add default keywords, don't remove buy or sell keywords,
		and fix dangling pointer regression from 1506
	* Disable look on left click in certain situations

2012-08-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1510
	* Fix secret door being blocked
	* Allow numbers to be selected in conversations

2012-08-13  Eric Fry <efry at users.sourceforge.net> r1509
	* Fixed bug "bars visible through darkness" [3556239]

2012-08-12  Eric Fry <efry at users.sourceforge.net> r1508
	* Fixed bug with Event::get_input() It should have been returning a pointer.
	  Otherwise it tries to double free the input buffers. This was causing segfaults
	  when tabbing between map and inventory.
	* Refactored actor_map_dmg() to create new actor_tile_dmg() function
	* Added call to actor_tile_dmg() lua function when trying to get damaging
	  tiles. eg. get trap, poison field etc.
	* Added paused variable to NuvieAnim class. Changed TossAnim to be pauseable
	* Changed CannonEffect to use actor_hit() lua script instead of Actor::hit()
	  This allows the avatar to die from cannon fire.
	* Set party mode upon avatar death.
 
2012-08-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1507
	* Fix loading portrait 0 and the name for it (Pushme Pullyu)
	* Allow double click to talk to Pushme Pullyu

2012-08-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1506
	* Fix converse gump crash when talking to an actor without a portrait

2012-08-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1505
	* Fix putting objects into containers that block pathfinding
	* Add crate to container list and don't move trap into containers
	* Call can_get_obj_override from lua when calling obj_manager->can_get_obj
	* Fix weight check when quantity is 0 (should also fix display problem)

2012-08-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1504
	* Fix look_on_left_click when clicking to cast a spell you cannot cast
	* Check if there is a path to ungetable items now that range has increased
	* Add dropping into containers for fullscreen interface

2012-08-11  Malignant Manor <malignantmanor@users.sourceforge.net> r1503
	* Add drake to the list of objects to search
	* Fix invisibility wearing off while wearing an invisibility ring

2012-08-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1502
	* Fix disabled walk_with_left_button causing look_on_left_click on a failed
		drag
	* Fix crash when using the balloon inside a container

2012-08-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1501
	* Fix drag and drop from map to map deleting leftover quantity
	* Add interface setting that controls how far you can drag, drop, get, use,
		and move objects and actors.
	* Add walk_with_left_button settings (disable or enable walking)
	* Fix look on left click having the wrong cursor location for search range.
	* Fix drag and drop with readied items (1458 regression)
	* Fix bug where move command from map to container in inventory didn't
		check weight
	* Give feedback on why drag and drop doesn't work when dropping onto map
	* Don't allow using items in solo mode if the party member isn't on screen

2012-08-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1500
	* Fix drag and drop from inventory for objs with get usecode (1490 regression)
	* Fix weight not being checked when readying items [3550550]
	* Don't round get_inventory_equip_weight or get_inventory_weight in function
	* Round up inventory display values

2012-08-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1499
	* Add TILEFLAG_WALL to the through walls check

2012-08-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1498
	* Don't move, get, or use objects through walls.
	* Allow drag and drop to move a getable object if it cannot be dropped but
		can be moved to the drop location
	* Allow enable_hackmove to work in darkness or through walls
	* Don't draw roofs when cur_y is negative. This stops a crash but is not a
		proper fix
	* Don't trigger get usecode unless within range

2012-08-08  Malignant Manor <malignantmanor@users.sourceforge.net> r1497
	* Set can_move when removing sleep on a sleeping worktype
	* Prevent actors made of more than 2 tiles from being moved (dragons, etc)

2012-08-08  Malignant Manor <malignantmanor@users.sourceforge.net> r1496
	* Fix Moving a person in bed moves the actor in bed tile [3554707]
	* Fix dispel magic doesn't awaken sleeping schedule actors [3555166]

2012-08-08  Eric Fry <efry at users.sourceforge.net> r1495
	* Added parentheses to clarify alignment logic.

2012-08-08  Eric Fry <efry at users.sourceforge.net> r1494
	* Fixed some issues with berserk and flank combat types. Fixed ranged weapon
	  handling.
	* Changed script actor_get_weapon to return non-readied weapons for actors
	  that aren't in the avatar's party.

2012-08-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1493
	* Fix charm never being removed [3554617]
	* Make sure charmed party members that leave have their old alignment set
	* Fix alt-500 controlled npcs hang on schedule update [3539775]

2012-08-07  Malignant Manor <malignantmanor@users.sourceforge.net> r1492
	* Fix game hangs on control cheat npc death [3554396]
	* MapWindow, Event - fix some redundant or inefficient code

2012-08-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1491
	* Fix left_click_looks when you move the actor and look (plus code cleanup)

2012-08-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1490
	* Fix poison field not working when wearing swamp boots
	* Fix being able to get trap, removed usability of trap, and allow
		non-party members to be moved onto trap. Changed damage to match script
	* Revert use, get, attack, and move not working on invisible objects since
		the original seems to allow it
	* Fix party mode not updating on reload

2012-08-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1489
	* Fix crash when using a moonstone on the map or inside a container
	* Fix Sherry not being able to go through bars or portcullis
	* Use object owner for drag and drop inventory to actor on map

2012-08-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1488
	* Fix obj manager can get obj (r1485 regression)
	* Fix loading a game with charmed party members (r1480 regression)

2012-08-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1487
	* Fix assuming that an obj is on the map for look, attack, and use checks.

2012-08-05  Eric Fry <efry at users.sourceforge.net> r1486
	* Fixed bug "Segmentation fault on game load" [3554453]
	  Don't load multi-tile actors like hydras when they are dead.

2012-08-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1485
	* Removed the ability to move, get, look, use, and drag objects that are on
		the blacked out side of a wall.
	* Stopped invisible and blacked out actors and objects displaying their
		name when attacked and fixed attack not displaying the tile name
	* Stopped using, looking, and moving invisible objects. Stopped moving and
		using of invisible actors
	* Stopped dragging invisible or blacked out objects
	* Fixed frame 2 secret door not opening on search
	* Hacked work around for secret door frame 2 when objects are on the other side

2012-08-05  Eric Fry <efry at users.sourceforge.net> r1484
	* Fixed bug "time doesn't update when player movement is blocked" [3542999]
	  This bug should really be renamed to time should update for vehicle actors
	  when they are blocked. The original didn't deduct movement points for blocked
	  actors which causes problems for stuck rafts or balloons as the wind direction
	  never changes in Nuvie. To fix this I zero out the player's movement points
	  when the vechicle gets stuck. This forces another game turn which increments
	  the game clock.
	* Added proper movement point deductions for U6 vehicle actors.
	* Added get_original_dir_code() which maps nuvie direction codes back
	  to original direction codes.

2012-08-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1483
	* Fix inventory and actor view on death (mostly caused by control cheat)
	* Fix visibile_flag for actors and add some checks for it
	* Fix mouse selection returns obj in black tiles for move and get
	* Add check to not allow invalid npcs for teleport or control cheat

2012-08-04  Malignant Manor <malignantmanor@users.sourceforge.net> r1482
	* Allow talking to Smith with double click
	* Add look_on_left_click option. It only works in the map area.

2012-08-04  Eric Fry <efry at users.sourceforge.net> r1481
	* Added keybinding files to Xcode and eclipse build configs.

2012-08-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1480
	* Fix actor alignment not changing on join or leave. It fixes itself on
		when the save loads up so you don't need to do anything. [3552309]

2012-08-03  Malignant Manor <malignantmanor@users.sourceforge.net> r1479
	* Page up and page down now scroll through the message scroll (anytime)
	* Add a slightly modified version of Exult's keybinding system

2012-08-02  Eric Fry <efry at users.sourceforge.net> r1478
	* Fixed bug "party members get stuck on trap mouse movement" [3550251]
	* Changed async effect to pause user when not polling input.

2012-07-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1477
	* Fix show right button equation in spell view  (r1476 regression)
	* Don't allow already included spells to be added to the spell book
	* Add some more messages
	* Add more containers and MD data

2012-07-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1476
	* Fix right button in spell view showing when there are no more spells
	* Fix not being able to search items after they have been saved in the
		inventory, placed back on the map, and the game hasn't been saved
		since then

2012-07-30  Malignant Manor <malignantmanor@users.sourceforge.net> r1475
	* Exclude quantity from getable weight limit check
	* Fix randomly generated food from using wrong table index bug [3550549]
	* Add can_get_obj check to can_store_obj. This fixes another move case
	* Add dropped items to containers like the original did
	* Fix mouse being used as a container when alive

2012-07-29  Eric Fry <efry at users.sourceforge.net> r1474
	* Fixed bug "actors on a sleep field never wake up" [3551055]

2012-07-29  Eric Fry <efry at users.sourceforge.net> r1473
	* Added new attack target memory system. Each party member has their
	  own attack target memory.
	* Fixed bug "target memory is broke on mult-tiled actors" [3547431]
	  If the actor main tile goes out of range then multiple tile actors
	  will be searched for surrounding tiles that are within weapon range.
	* Fixed bug "objects don't stay targeted when attacked" [3539292]

2012-07-29  Malignant Manor <malignantmanor@users.sourceforge.net> r1472
	* Fix fishing pole not setting fish okay to take if you can't carry it
	* Fix using move being able to move objects to a non-party actor
	* Fix blocking check when moving items between party members
	* Have blacked out areas be displayed as darkness instead of Nothing
	* Stop double click from selecting objects in blacked out areas
	* Fix look not showing names underneath actor portraits

2012-07-28  Malignant Manor <malignantmanor@users.sourceforge.net> r1471
	* Double click now talks to shrines and statue actors
	* Look now shows statue actor portraits
	* Don't open new container gump for ship container

2012-07-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1470
	* Fix some inventory targeting issues

2012-07-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1469
	* Fix view background obscuring the pillars in MD
	* Fix pickpocket display bug
	* Fix spells that need two targets from selecting both at once if you
		clicked on the map window to activate the spell
	* Fix button display when you control cheat a party member

2012-07-27  Eric Fry <efry at users.sourceforge.net> r1468
	* Fixed bug "cannon should change direction even if blocked" [3548081]
	* Don't allow movement of ungetable items into containers.
	  eg. moving a cannon into a bag.

2012-07-27  Malignant Manor <malignantmanor@users.sourceforge.net> r1467
	* Fix last_view pointer being set in wrong place in converse
	* Make converse_bg_color a per game setting due to different color palettes

2012-07-27  Eric Fry <efry at users.sourceforge.net> r1466
	* Fixed bug "combat continues if you cancel it and then go into solo mode" [3547477]

2012-07-26  Malignant Manor <malignantmanor@users.sourceforge.net> r1465
	* Allow the fullscreen_map conversation gump in other game styles
	* Add converse_solid_bg cfg option. Yes means the conversation gump uses
		a solid background. No means the the background will be a pattern of
		dots. This choice is only for fullscreen_map. Original style must have
		a solid background.
	* Fix mouse cursor changing on the edge of fullscreen_map
	* Load command bar selected action (right click command bar highlight)
	* SE command bar is now fully functional
	* MD command bar works except for lever toggling

2012-07-26  Eric Fry <efry at users.sourceforge.net> r1464
	* Fixed bug "can move with mouse during talk" [3548040]
	* Fixed hard coded screen size in ConverseGump.

2012-07-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1463
	* Search ship for items (needed for map piece)

2012-07-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1462
	* Fix blood not disappearing
	* Use unlink_from_engine instead of move_to_inventory for map to map drop

2012-07-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1461
	* Fix drag and drop for objects without get usecode (1460 regression)

2012-07-25  Malignant Manor <malignantmanor@users.sourceforge.net> r1460
	* Fix using a skiff you have a deed for not set it as okay to take
	* Fix using a skiff or ship you have a deed for not setting quality to 0
	* Have look, get, and drag and drop do the two previously mentioned things
	  The original didn't do this for get, but that should be considered a bug
	* Fix double click on actor vehicle (1450 regression)

2012-07-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1459
	* Revert revision 1456 since it was based on false info I gave.

2012-07-24  Malignant Manor <malignantmanor@users.sourceforge.net> r1458
	* Prevent Amulet of Submission from being unreadied by drag and drop
	* Have Amulet of Submission be placed on Avatar's neck instead of inventory
	* Fix spiked collar being equipped in body slot instead of neck
	* Add drag and drop movement deductions

2012-07-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1457
	* Fixed bug where flank or berserk actors would only attack at range 1

2012-07-23  Eric Fry <efry at users.sourceforge.net> r1456
	* Fixed bug "new game starts in combat with other npcs taking turns first" [3547485]

2012-07-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1455
	* Limit range of drop to the original screen length
	* Added enabled_dragging cfg setting (full_screen_map ignores it)
	* For left mouse button to walk without a delay dragging also needs disabled
	* Double click in the inventory widget will now read books, etc.

2012-07-23  Malignant Manor <malignantmanor@users.sourceforge.net> r1453/r1454
	* Actually fix 1450 problem with mixing drag and drop and drop command

2012-07-23  Eric Fry <efry at users.sourceforge.net> r1452
	* Fixed bug "get,drop, use, and move should deduct movement points" [3546091]
	* Fixed Hydra fade bug. It was fading to a white tile.

2012-07-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1451
	* Fix last commit

2012-07-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1450
	* Allow double click to bypass the party leader so you can use objects
		underneath him. Single left click no longer passes when double click
		is enabled
	* Fix Shamino talking when entering a dungeon and he isn't there
	* Drag and drop to the same spot on the map now cancels drop
	* Left mouse button walks without a delay if you don't enable double click

2012-07-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1448
	* Fix clicking on the map in cast mode to cast preselected targeted spells
		requiring an extra click

2012-07-22  Eric Fry <efry at users.sourceforge.net> r1447
	* Fixed game lockup when magic npcs fadeout on death.
	* Fixed some uninitialised variables.

2012-07-22  Malignant Manor <malignantmanor@users.sourceforge.net> r1446
	* Double click now attacks objects in combat mode
	* Fix drop going through walls
	* Fix chain bolt using player instead of caster
	* Fix move in inventory

2012-07-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1445
	* Fix typo that used talk instead of look
	* Double click while in combat mode will attack evil or chaotic actors

2012-07-21  Dominik Reichardt <dominus@users.sourceforge.net> r1444
	* some more changes for "Building for OSX with autotools"

2012-07-21  Eric Fry <efry at users.sourceforge.net> r1442
	* Added patch "Building for OSX with autotools" [3546509]
	* Fixed bug when hitting right arrow in inventory view on the last party member.

2012-07-21  Malignant Manor <malignantmanor@users.sourceforge.net> r1441
	* Add right click uses of selected command bar commands in inventory,
		party view, and the game map.
	* Fix look not selecting actor icons

2012-07-21  Eric Fry <efry at users.sourceforge.net> r1440
	* Fixed issue with mouse movement not waiting for npcs to finish.
	* Fixed issue with cutscene scripting fade_out() function overriding in-game
	  fade_out() function. I've made the intro.lua functions local. We might need to run the
	  cutscene script inside its own lua state.

2012-07-20  Eric Fry <efry at users.sourceforge.net> r1438
	* Fixed more clang warnings.
	* Fixed bug "background border doesn't redraw on failed drag and drop" [3546137]

2012-07-20  Malignant Manor <malignantmanor@users.sourceforge.net> r1437
	* Added some teleportation checks to fix some crashes
	* Have generated nuvie.cfg setup SE and MD settings
	* Fix generated nuvie.cfg fullscreen setting
	* Don't try to use gargoyle font in SE or MD (214 cheat)

2012-07-20  Eric Fry <efry at users.sourceforge.net> r1436
	* Removed reference to struct Obj. It is a class now.
	* Fixed return in MapWindow::make_thumbnail()
	* Fixed bug "items in containers are still flagged as stolen in new game" [3545763]

2012-07-19  Eric Fry <efry at users.sourceforge.net> r1435
	* Fixed compile on Mac OS X.
	* Chnaged inline to static inline in fmopl.c

2012-07-19  Malignant Manor <malignantmanor@users.sourceforge.net> r1434
	* Add drag and drop/move map to map functionality
	* Undo revision 1430 and add range check before actor_get_obj
	* Add range, blocking, and weight check to party members obj exchanges
	* Don't allow drag and drop, drop, move, and get while in a vehicle
	* Fix player icon not showing party view if in a vehicle

2012-07-19  Eric Fry <efry at users.sourceforge.net> r1433
	* Fixed bug "Changing combat mode doesn't work until combat is toggled" [3545175]

2012-07-18  Eric Fry <efry at users.sourceforge.net> r1432
	* Moved player movement point update to Player::moveRelative()
	* Update actors after all player attacks are finished.
	* Added new script function player_set_actor()
	* Implemented 'Command' combat work type. This needs a bit of testing before
	  I close the bug tracker ticket. [3538909]

2012-07-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1430
	* Fix get not checking for range

2012-07-17  Malignant Manor <malignantmanor@users.sourceforge.net> r1429
	* Fix targeting the actor or container icon in inventory view.
		Attack mode was left out
	* Add optional party view targeting with input/party_view_targeting setting
	* Fix + and - inventory hot keys that were broken by control cheat changes

2012-07-17  Eric Fry <efry at users.sourceforge.net> r1428
	* Fixed up xcode build.

2012-07-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1427
	* Fix regression in 1420 that broke drag and drop with stackable containers
	* Rolling pin now drops from the lock pick container with get, search,
		drag and drop, or the destruction of the last lock pick.

2012-07-16  Malignant Manor <malignantmanor@users.sourceforge.net> r1426
	* Allow container widget to display empty tiles for containers that are NULL
	* Add NULL check to inventory widget
	* Allow more containers to have objects moved into them

2012-07-16  Eric Fry <efry at users.sourceforge.net> r1425
	* Added nuvie_game_t get_game_type(Configuration *config)
	* Fixed bug "SE and MD load u6.set from ScriptCutscene.cpp" [3543890]

2012-07-15  Malignant Manor <malignantmanor@users.sourceforge.net> r1424
	* Allow inventory widget to display empty tiles for containers that are NULL
	* Fix Vortex cube not being openable as a container
	* Add some more containers that can be opened or searched with double click

2012-07-15  Eric Fry <efry at users.sourceforge.net> r1423
	* Removed use of WAIT_MODE event. Replaced with Game user pause functions.
	* Fixed issue with fading out multi-tile actors.
	* Fixed bug "attack with two weapons broken" [3542245]
	* Fixed bug "poison field doesn't poison" [3544288]
	* Fixed bug "sleep field causes the game to loop" [3544287]
	* Removed some dead code from ActorManager

2012-07-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1422
	* Fix scrolling inside of containers
	* Allow more objects to be opened in fullscreen_map
	* Allow double clicking option to open fullscreen_map container in original mode

2012-07-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1421
	* Fix being unable to get chests that aren't open

2012-07-14  Malignant Manor <malignantmanor@users.sourceforge.net> r1420
	* Fix chests drag and drop on map causing a target cursor to come up
	* Fix chests being usable in inventory
	* Fix chests not closing when dragged into inventory
	* Fix closed chests not accepting items in the inventory
	* Fix chests not showing their inventory
	* Fix problem with non-U6 games not equipping objects

2012-07-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1419
	* Remove useless check to see if unsigned int is >= 0
	* Fix conversion warning
	* Make sure SE and MD max hp don't overflow

2012-07-13  Eric Fry <efry at users.sourceforge.net> r1418
	* Code clean up in Actor classes. Dead code removal.

2012-07-13  Malignant Manor <malignantmanor@users.sourceforge.net> r1417
	* Add nuvie.cfg options to Linux and OSX build
	* Remove some dead code.

2012-07-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1416
	* Remove some dead code.

2012-07-12  Malignant Manor <malignantmanor@users.sourceforge.net> r1415
	* home/end scroll to the beginning and end of the roof tiles in roof edit mode
	* keypad 7,9,1, and 3 move diagonally (but do not wrap) in roof edit mode
	* Stopped the main actor from walking when the save or quit menu is opened
	* Added stubs for MD and SE actors

2012-07-12  Eric Fry <efry at users.sourceforge.net> r1414
	* Fixed bug "alt-414 and alt-500 crash the game when given invalid #" [3539092]

2012-07-12  Eric Fry <efry at users.sourceforge.net> r1413
	* Fixed bug "roof mode corrupts map window background when moused over" [3539089]
	* Remove roof when standing next to an open door.

2012-07-10  Eric Fry <efry at users.sourceforge.net> r1412
	* Fixed bug "raft gets stuck" [3541909]

2012-07-10  Eric Fry <efry at users.sourceforge.net> r1411
	* Added Player::is_in_vehicle()
	* Fixed bug "Avatar can attack from raft, balloon, and skiff" [3541933]
	* Fixed bug "Party should need to eat during rest in order to heal" [3541920]
	* Fixed bug "wilderness detection is off" [3541916]

2012-07-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1410
	* Actor view now changes hp color based on status

2012-07-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1409
	* Home/end now properly go to beginning and end.
	* Update documents

2012-07-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1408
	* Remove accidental commit of leftover code
	* Keypad (KP) 8 and KP 2 now scroll save slots
	* Page up/down, left/right, and KP 4/KP 6 now move 3 save slots at a time
	* Home/end move to the beginning and end of save slots

2012-07-10  Malignant Manor <malignantmanor@users.sourceforge.net> r1407
	* Fix the sun and moon going through the bottom of the landscape
	* Mouse wheel, page up/down, and up/down now scroll through the save files
	* Expand save menu and not allow mouse or keys to pass to the map window

2012-07-10  Eric Fry <efry at users.sourceforge.net> r1406
	* Fixed bug "Some windows aren't usable" [3541709]
	* Removed stray tile from roof tile map.

2012-07-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1405
	* Fix x-ray in roof mode
	* Fix some needless view changes.
	* Fix intro main menu exiting if you input a key before the loop starts
	* Use Grave '`' (SDL_BACKQUOTE) to change combat mode when in inventory view
	* Use forward slash '/' (SDLK_KP_DIVIDE) to change to party view
	* Don't allow control cheat in combat mode

2012-07-09  Eric Fry <efry at users.sourceforge.net> r1404
	* Added Daniel's latest roof tileset. We now have a roof on LB's castle and walls around Trinsic.

2012-07-09  Eric Fry <efry at users.sourceforge.net> r1403
	* Fixed typo when unpacking thrown container object.
	* Fixed bug "Character creation is borked" [3541458]
	* Removed check for game type from Font class. This was causing a segfault
	  when it was called by the Cutscene scripting. This is called before Game is instanciated.

2012-07-09  Malignant Manor <malignantmanor@users.sourceforge.net> r1402
	* Fix inventory up arrow not working in U6 because of missing return
	* Add SE move command inside the inventory containers (unfinished),
		breaking items, stackable items, and reduced weight items

2012-07-08  Eric Fry <efry at users.sourceforge.net> r1400
	* Fixed compiler warning about inventory_font being unused.
	* Fixed some cppcheck warnings.
	* Added rest counter. This is used make sure the party only heals once every 12 hours
	  while resting. It is stored at offset 0x1bf2 in objlist.
	* Create path finders for actors that are in worktype 0x86 WALK_TO_LOCATION when the game loads.
	* Removed old worktype code from U6Actor. This code has now been moved into lua script.
	* Added party healing while resting. Sleeping party members will heal when resting. See ~TimedRest()
	* Fixed bug "actors are still pissed at party even after the avatar dies" [3540936]

2012-07-08  Malignant Manor <malignantmanor@users.sourceforge.net> r1399
	* Fix more SE and MD inventory display
	* Add more can't sleep messages
	* Change save/load of combat_mode bits for SE and MD

2012-07-08 <smatthews at users.sourceforge.net> r1398
	* Fixed it's-darkest-just-after-the-dawn bug.

2012-07-07 <smatthews at users.sourceforge.net> r1397
	* Made minimum ambient light configurable without messing up dusk/dawn transitions
	* Dawn now occurs between 5:00 and 5:45 instead of between 5:00 and 5:59
	* Increased size of smooth lighting globes to better approximate original lighting globe sizes

2012-07-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1396
	* GUI, pathfinder, save, screen, sound, and usecode directories: initialize
		member variables in the constructor

2012-07-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1395
	* nuvie and actors directories: initialize member variables in the constructor

2012-07-06  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net> r1394
	* Remove unnecessary const keywords

2012-07-06  Eric Fry <efry at users.sourceforge.net> r1393
	* Removed return references to local variables that were introduced in r1390.

2012-07-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1392
	* views directory: initialize member variables in the constructor

2012-07-06 <smatthews at users.sourceforge.net> r1390
	* Added Visual Studio 11 (2012) solution and project files
	* Fixed several uninitialized variable crashes
	* Fixed several STL variable scoping crashes in MSVC regarding using an out-of-scope std::string
	* Fixed several implicit cast disambiguation compilation errors (MSVC)
	* Fixed STL array compilation errors (MSVC)
	* Changed named variadic macro arguments to __VA_ARGS__ for compatibility with MSVC (should retain compatibility with gcc)
	* Added MSVC-compatible workarounds for variable-length arrays (alloca)
	* Added MSVC-compatible workaround for gcc-specific strftime parameter
	* Added descriptive DEF names to lighting modes (LIGHTING_STYLE_NONE, LIGHTING_STYLE_ORIGINAL, LIGHTING_STYLE_SMOOTH)

2012-07-06  Malignant Manor <malignantmanor@users.sourceforge.net> r1387
	* Fix pathfinding typo that counted moving on the y axis as being diagonal
	* Remove stray and test roof tiles from the map

2012-07-05  Malignant Manor <malignantmanor@users.sourceforge.net> r1385
	* Fix regression in r1381 that messed up actor vehicles. Fix some control cheat issues.

2012-07-05  Eric Fry <efry at users.sourceforge.net> r1384
	* Added nuvie_realloc() wrapper around realloc. This should make cppcheck happy.

2012-07-05  Eric Fry <efry at users.sourceforge.net> r1383
	* Fixed bugs outlined in "errors shown by Cppcheck tool" [3540270]
	  I haven't done anything about the realloc issues.

2012-07-04  Eric Fry <efry at users.sourceforge.net> r1382
	* Fixed bug "Actor targets himself with the attack cursor and does damage" [3539293]

2012-07-03  Eric Fry <efry at users.sourceforge.net> r1381
	* Added malignantmanor's patch "SE and MD display fixes and more" [3539957]
	* Fixed bug "Party member rested on top of the campfire" [3539302]

2012-07-03  Eric Fry <efry at users.sourceforge.net> r1380
	* Fixed bug "party member stuck at entrance of dungeon on exit" [3539315]
	* Fixed bug with sacred quest barrier not working. We needed to search ignore
	  tiles in the Actor::move() get_obj() call.

2012-07-03  Eric Fry <efry at users.sourceforge.net> r1379
	* Fixed bug "Can't destroy the campfire" [3539307]

2012-07-03  Eric Fry <efry at users.sourceforge.net> r1378
	* Fixed bug "Ribs and meat can't be taken" [3539346]
	  Needed to override toptile check for these objects.
	* Added Actor.can_carry_obj_weight() script function.
	* Fixed bug "Smooth lighting is way off from the original" [3539076]

2012-07-02  Eric Fry <efry at users.sourceforge.net> r1377
	* Fixed bug "Explosion doesn't blow up doors" [3539291]

2012-07-02  Eric Fry <efry at users.sourceforge.net> r1376
	* Fixed bug "log saw doesn't cause any damage" [3539294]
	  Needed to reference original tile not animated tile.

2012-07-01  Eric Fry <efry at users.sourceforge.net> r1375
	* Fixed bug "Temporay actors are deleted even when in the party" [3539081]
	* Fixed bug "Party members will drop charges upon leaving" [3539235]
	* Fixed bug "double click on horse causes target cursor to show" [3537890]

2012-07-01  Eric Fry <efry at users.sourceforge.net> r1374
	* Fixed bug "infravision doesn't work" [3537070]

2012-07-01  Eric Fry <efry at users.sourceforge.net> r1373
	* Fixed bug "Blood blocks items from being moved or picked up" [3535335]
	  ignore objects that have the ignore tile flag set in ObjManager::get_obj()

2012-07-01  Eric Fry <efry at users.sourceforge.net> r1370
	* Fixed bug "Can't use items that are in a space occupied by actors" [3539091]
	* Added UseCode::has_usecode(Actor *actor, UseCodeEvent ev)

2012-07-01  Eric Fry <efry at users.sourceforge.net> r1369
	* Unblock input when requested from script. eg arrested by guards.
	* Fixed bug "locked and trapped chest contents can be viewed in inventory" [3539083]
	  Containers are also shut when gotten into inventory.

2012-06-30  Eric Fry <efry at users.sourceforge.net> r1368
	* Fixed several issues with vehicles.
	* Clean out vehicle actor on startup is not currently the player actor.
	* Include vehicle actor in several script functions.
	* Fixed issues with PartyView display when a member dies in a party of more than 5
	  members with the view scrolled down.
	* Added Actor::set_dead_flag() this replaces direct bitwise operations on the status_flag
	* Fixed bug "Using a horse while in a skiff will delete the skiff." [3539088]
 
2012-06-30  Eric Fry <efry at users.sourceforge.net> r1367
	* Changed actor_wt_timid() to stop endless loop when fleeing actor
	  was blocked. This should fix bug "Segmentation fault and hanging" [3538556]

2012-06-29  Eric Fry <efry at users.sourceforge.net> r1366
	* Added Malignant Manor's seance patch [3538839]
	  This sets bit 7 on Quenton's talk flags. This can be used to add additional
	  seance dialog to his character.
	* Added Malignant Manor's patch for SE/MD script values. [3538840]
	* Added Actor.set_talk_flag(actor, flag_num) to script system.
	* Call obj_get_readiable_location() script function from Actor to determine readiable
	  object loction. MD and SE will use this to ready objects.

2012-06-29  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net> r1365
	* Fix temp object deletion

2012-06-28  Eric Fry <efry at users.sourceforge.net> r1364
	* Fixed bug "Mouse movement doesn't properly wait for combat turns" [3537295]
	  The user is paused while Script::call_actor_update_all() is being run.

2012-06-27  Eric Fry <efry at users.sourceforge.net> r1362
	* Don't deduct movement points from party members in Actor::move() when in
	  combat mode.

2012-06-26  Eric Fry <efry at users.sourceforge.net> r1361
	* Fixed bug "Repel Undead causes the game to hang" [3537064]
	  It was using the wrong actor flag.
	* Fixed bug "move and then pressing a number key cause a crash" [3537950]
	* Fixed bug in timid 0x13 worktype.
	* Don't show save dialog unless we are in move mode.

2012-06-26  Eric Fry <efry at users.sourceforge.net> r1360
	* Added support for in-game mouse cursors in MD and SE
	* Added in-game fonts for MD and SE
	* Moved Book object from Event into Game. Only load when playing U6.
	* Added assert() to make sure Actor.get script function cannot get an actor
    greater than 255
	* Added Malignant Manor's patch for mouse targeting on new spellviewgump.
	* Fixed bug "Spellbook has wrong next page buttons if opened again" [3537050]

2012-06-25  Eric Fry <efry at users.sourceforge.net> r1357
	* Fixed bug with actor scripts where we were trying to index actor 256
	  which doesn't exist.

2012-06-24  Eric Fry <efry at users.sourceforge.net> r1356
	* Fixed targeting on multi-tile actors. Winged Gargoyles and cyclops'

2012-06-24  Eric Fry <efry at users.sourceforge.net> r1355
	* Added new actor object status flag to objects that are owned by an actor
	  eg. The back of a horse.
	* Changed ActorManager::get_actor() to search for actor objects as well as the
	  actor themselves.
	* Don't revert to base obj_n for party members when witching out of combat mode.
	* Added Malignant Manor's patch for fixing mouse mode in the spellview. This fixes
	  bug "Original spellbook: mouse targets wrong spell" [3537049]
	* Lots of improvements to horse logic. Actors now dismount upon death or when put to
	  sleep. This fixes bug "Horse Bugs" [3537285]
	* You can now target target actors that have surrounding objects. eg horses etc.
	  I still need to fix targeting for 4x4 actors, winged gargoyles and cyclops'
	* Added script function party_dismount_from_horses()
	* Added Actor.use() function. This is used to dismount an actor from a horse
	  with usecode.

2012-06-24  Eric Fry <efry at users.sourceforge.net> r1353
	* Add check for datadir on startup.
	* Fixed bug "Animated items disappear when killed" [3537287]
	* Added void stringToLower(std::string &str) to u6misc

2012-06-23  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net> r1351
	* Fix Linux build

2012-06-23  Eric Fry <efry at users.sourceforge.net> r1350
	* Added Malignant Manor's hack move patch. [3536149]
	* Fixed bug "Combat AI doesn't start until the Avatar moves" [3535036]
	* Fixed bug "Party members say shape name on death if not talked to" [3537298]
	* Fixed bug "Party members will throw ranged weapons when not equipped." [3537296]
	* Fixed bug "Alt-215 doesn't advance time twice in a row" [3537293]
	  Disabled active check on GameClock.
	* Don't allow party members to cast magic during combat mode.

2012-06-23  Eric Fry <efry at users.sourceforge.net> r1349
	* Added Malignant Manor's patch to enable fullscreen mode.
	* Fixed bug "spell items kept after death" [3537046]
	* Fixed bug "can't drag powder keg onto  party members on the map" [3537077]
	* Fixed bug "Mouse targeting no longer works with attack command" [3537041]
	* Fixed issues when loading game data files on case sensitive filesystems.

2012-06-22  Eric Fry <efry at users.sourceforge.net> r1348
	* Fixed bug when targeting with mouse in dungeon levels.
	* Force screen redraw when dragging object to a widget that
	  doesn't accept dragging.
	* Don't allow clicking on command icons when another action is running.

2012-06-21  Eric Fry <efry at users.sourceforge.net> r1347
	* Fixed bug 'Drag and drop container onto itself causes self delete' [3535859]

2012-06-21  Eric Fry <efry at users.sourceforge.net> r1346
	* Fixed bug when loading egg tile for Savage Empire.
	* Fixed bug 'tab key assert when clicking the map' [3535894]
	* Fixed bug 'Crash when using a potion on the ground' [3536162]

2012-06-20  Eric Fry <efry at users.sourceforge.net> r1345
	* Added Malignant Manor's patch
	  Set minimum brightness level (see better in dark) [3536130]
	* Set all inventory items as ok to take when loading. This should
	  fix the comment in bug [3535807]

2012-06-19  Eric Fry <efry at users.sourceforge.net> r1344
	* Added Malignant Manor's patches
	  'Allow + and - hotkeys to work in party view' [3535914]
	  'Fix function key inventory hotkey.' [3535912]
	* Fixed bug 'Have to hit function key twice to see inventory' [1624969]

2012-06-19  Eric Fry <efry at users.sourceforge.net> r1343
	* Added Malignant Manor's consolidate config patch. [3536084]
	* Added obj.temporary set var in lua script.
	* Mark thrown weapons as temporary objects.
	* Mark thrown weapons as ok to take.
	* Double-clicking on the player opens the inventory gump in fullmap mode.

2012-06-17  Eric Fry <efry at users.sourceforge.net> r1342
	* Fixed bug "Can't pickup items with Drag'n'drop" [3526054]
	  You can now drag and drop items from the map onto party members.
	* Fixed bug where toss animation wasn't showing correct tile for
	  objects with a frame_n other than 0.

2012-06-17  Eric Fry <efry at users.sourceforge.net> r1341
	* Added support for dragging objects from map window to the party roster.

2012-06-17  Eric Fry <efry at users.sourceforge.net> r1340
	* Added Obj::set_ok_to_take()
	* Added call to lua script function actor_get_obj() when getting
	  an object either with the keyboard get command or via drag and drop.
	* Added 'Stop thief!' logic. Nearby NPCs will attack party when an object
	  is stolen. Nearby guards will also try to arrest the player.
	* Removed double drag_accept_drop check from drag and drop logic.
	* Fixed bug 'Dragging objects into the inventory doesn't trigger stealing'[3535340]

2012-06-16  Eric Fry <efry at users.sourceforge.net> r1339
	* Implemented idea from patch
	  'Optional message saying whether taking an item is stealing'
	  by malignantmanor. You can turn it on with the following config
	  value. config/ultima6/show_stealing
	* Added config_get_boolean_value() to lua script. You can
	  use this function to get boolean config values.
	* Fixed bug 'using drop on the tiled area of the screen causes assert'[3535037]
	* Fixed crash when party members die while pathfinding.
	* Added object get vars 'getable' and 'ok_to_take' to the scripting
	  system.

2012-06-15  Eric Fry <efry at users.sourceforge.net> r1338
	* Fixed bug "save game name isn't saved" [3535034]
	* Fixed bug "ctrl-save and alt-x ignore y/n input" [3535038]

2012-06-14  Eric Fry <efry at users.sourceforge.net> r1337
	* Don't show eggs by default. Bug [3535033]
	* Call unready usecode when unreadying objects from lua script.

2012-06-13  Eric Fry <efry at users.sourceforge.net> r1336
	* Removed wrong assert in extinguish_torch()
	* Set torch qty to 1 when getting lit torch from map.

2012-06-11  Eric Fry <efry at users.sourceforge.net> r1335
	* Use actor base alignment if egg set to default alignment.
	* Stop walking when new event actioned. eg when the player
	  hits 'r' to rest. Thanks to Micro Magic for reporting the bug.
	* Fixed bug when iterating through a list of objects. The list pointer
	  could become corrupted if the object was removed from the list.
    

2012-06-10  Eric Fry <efry at users.sourceforge.net> r1334
	* Fixed bug. 'Can walk away while talking with Finn' [3526052]

2012-06-09  Eric Fry <efry at users.sourceforge.net> r1333
	* Changed Nuvie fps from 15 to 20.
	* Did some work on projectile animation timing.
	* Added +y shifting to tile rotation. This is needed when rotating
    bolt or arrow tiles.

2012-06-09  Eric Fry <efry at users.sourceforge.net> r1332
	* Added spinning ankh characters to new converse font.

2012-06-08  Eric Fry <efry at users.sourceforge.net> r1331
	* Tweaked the full screen converse layout a little.

2012-06-06  Eric Fry <efry at users.sourceforge.net> r1330
	* Added Daniel's new converse font.
	* Added stippled background while in fullscreen converse mode.
	  You can select the colour with config/general/converse_bg_color
	  The default colour is 218. The numbers correspond to entries in the
	  U6 ingame palette. A value of 255 disables the background effect.
	* Fixed tools compile problem under Linux.
	* Added frame around portraits when in fullscreen converse mode.
	* Return font width from Font::drawString()
	* Added Font::getCharWidth()

2012-05-22  Eric Fry <efry at users.sourceforge.net> r1329
	* Moved freetext input to under keywords. In full map converse mode.
	* Added spinning cursor. In full map converse mode.
	* Clear freetext intput when selecting keyword with mouse. In full map
    converse mode.

2012-05-21  Eric Fry <efry at users.sourceforge.net> r1328
	* Fixed bug [3528034] Conversations not displaying correctly

2012-05-21  Eric Fry <efry at users.sourceforge.net> r1326
	* Added mouse based keyword selection to conversation system when talking in
	  fullmap mode. By default all npcs have 'name', 'job' and 'bye' keywords. New
	  keywords are added whenever a @keyword is seen in the conversation text.
	* Moved string_i_compare() into U6misc.cpp
	* 'yn' permitted input is replaced with 'yes', 'no' keywords when in fullscreen
	  converse mode.


2012-05-17  Eric Fry <efry at users.sourceforge.net> r1325
	* Added ConvFont class to Xcode build.

2012-05-15  Eric Fry <efry at users.sourceforge.net> r1323
	* More work on fullscreen converse mode.
	* Added new font for conversations in full map mode.

2012-05-08  Eric Fry <efry at users.sourceforge.net> r1321
	* Started work on fullscreen map talk mode.
	* Added new ConverseGump class.

2012-05-01  Eric Fry <efry at users.sourceforge.net> r1320
	* Added Daniel c. W�rl to the AUTHORS file.
	* Reorganised the AUTHORS file to list active and inactive team members.
	* Added new grey roof tiles.

2012-04-28  Eric Fry <efry at users.sourceforge.net> r1319
	* Changed roof_tiles.bmp from 32x32 to 5x204 tiles.
	* Constrain tile selection in mapeditor to tiles in roof_tiles.bmp.
	* Updated roof map data to show current WIP.

2012-04-21  Eric Fry <efry at users.sourceforge.net> r1318
	* Use crosshairs mouse cursor in mapeditor.
	* Fixed cutscene timing. Bug [3511125]

2012-04-20  Eric Fry <efry at users.sourceforge.net> r1317
	* Added the ability to page up/down in the mapeidtor tileset.
	  You can use the pageup/down keys or gui buttons.

2012-04-17  Eric Fry <efry at users.sourceforge.net> r1316
	* Added PortraitViewGump to XCode build env.
	* Use the view manager to close gumps when right-clicking.

2012-04-15  Eric Fry <efry at users.sourceforge.net> r1315
	* Added new Portrait gump.
	* Free up objects when closing gumps.

2012-04-04  Eric Fry <efry at users.sourceforge.net> r1314
	* Added grid lines to the map editor. hit 'g' to toggle them on/off.
	* Changed map editor background colour from black to blue.

2012-04-04  Eric Fry <efry at users.sourceforge.net> r1313
	* Don't load map editor when roof_mode = no
	* Wrap coord when loading temp map with blacking disabled.

2012-04-03  Kirben r1312
	* Add data/images/roof_tiles.bmp to install target for mingw

2012-04-03  Eric Fry <efry at users.sourceforge.net> r1311
	* Disable blacking when in map editor.
	* Always display roof tiles when in map editor.
	* Added more roof tiles.
	* Added some roofs to buildings in Britain.
	* Exit map editor with ESC key.

2012-04-03  Eric Fry <efry at users.sourceforge.net> r1310
	* Added files to XCode build environment.
	* Added data/images/roof_tiles.bmp to win32 installer script.

2012-04-03  Kirben r1309
	* Win32 compile fixes

2012-04-03  Eric Fry <efry at users.sourceforge.net> r1308
	* Added roof mode support. /config/ultima6/roof_mode = true
	* Started work on in-game map editor. Alt-600 to activate. right-click to
	  close. Arrow keys to move cursor. Alt-arrow keys to change selected tile.
	  Enter to place a tile and 's' to save the map.

2012-03-27  Eric Fry <efry at users.sourceforge.net> r1307
	* Right-click to close gumps.
	* Wired up arrow buttons in Container Gump.

2012-03-26  Eric Fry <efry at users.sourceforge.net> r1306
	* Added new files to XCode build environment.

2012-03-25  Eric Fry <efry at users.sourceforge.net> r1305
	* Started working on new inventory / doll gumps.
	* Hit 'i' to bring up the new doll gump. Then click the bag button
	  to view the actor's inventory.
	* Bring up new Bag gump when searching objects with 'U'se in fullmap mode.
	* Only move gump views while a mouse button is pressed.

2012-03-18  Eric Fry <efry at users.sourceforge.net> r1304
	* Added new GUMP font.
	* Added Armageddon spell to new spellbook.
	* Fixed spell backgrounds on 8th circle.
	* Added spell qty's to new spellbook GUMP.

2012-03-16  Eric Fry <efry at users.sourceforge.net> r1303
	* Fixed wait loop logic. Thanks to wjp for the suggestion. It should
	  be smoother now.
	* Fixed input polling in the cutscenes. Not consuming all available events
	  was causing extreme slowdown on Linux.
	* Fixed bug when party member dies in fullmap mode.

2012-03-13  Eric Fry <efry at users.sourceforge.net> r1302
	* Click on spells in the spellbook gump to select them.

2012-03-12  Eric Fry <efry at users.sourceforge.net> r1301
	* Added circle text to new spellbook gump.
	* Added files to XCode build environment.
	* Fixed spell images on new spellbook gump.

2012-03-11  Kirben r1300
	* MinGW installer fix.

2012-03-10  Eric Fry <efry at users.sourceforge.net> r1299
	* Started work on newlook spellbook gump for fullscreen mode.
	  Thanks to Daniel c. W�rl for his awesome artwork.

2012-03-06  Eric Fry <efry at users.sourceforge.net> r1298
	* Started work fullscreen map mode.
	  You can enable it with the following config switch
	
	  config/general/fullscreen_map yes|no
	
	* Changed MapWindow to allow negative widget offset.
	* Changed alpha map darkness to handle non 11x11 map window.
	* Don't show party view when in fullscreen map mode.
	* Show/hide spell view when in fullmap mode.
	* Added Game::is_new_style(), Game::is_orig_style() to tell if we are in
	  fullscreen map mode.
	* Don't draw light globes if tile is blacked out.

2012-03-01  Eric Fry <efry at users.sourceforge.net> r1296
	* Official release 0.3

2012-02-29  Eric Fry <efry at users.sourceforge.net> r1295
	* Fixed crash when 1x scaling used. There was a typo in Background.cpp

2012-02-29  Eric Fry <efry at users.sourceforge.net> r1294
	* Added U6Font and ScriptCutscene to xcode build environment.

2012-02-28  Eric Fry <efry at users.sourceforge.net> r1293
	* More work on Introduction sequence. It now plays the whole way through.

2012-02-26  Eric Fry <efry at users.sourceforge.net> r1292
	* Started work on Introduction sequence.

2012-02-25  Eric Fry <efry at users.sourceforge.net> r1291
	* Play ultima.m on main menu
	* Added the ability to cycle through all songs on main menu by pressing
	  number keys or '-' or '='.
	* Added acknowledgements to main menu.

2012-02-25  Eric Fry <efry at users.sourceforge.net> r1290
	* Fixed build scripts for unpack_portraits tool.

2012-02-24  Kirben r1289
	* MinGW compile fix.

2012-02-23  Eric Fry <efry at users.sourceforge.net> r1288
	* Added Screen::draw_line().
	* Added draw_line_8bit()
	* Added U6Shape::draw_line()
	* Added line under name in character creation sequence.
	* Allow user to skip scroll when showing gypsy caravan.
	* Hide scroll when fading out flask in gypsy sequence.
	* Added image_draw_line() script function

2012-02-21  Eric Fry <efry at users.sourceforge.net> r1287
	* Added the ability to fade to a given colour in the cutscene scripting.
	* Added canvas_set_bg_color() script function.
	* Fade to blue when drinking from flask in gypsy sequence.

2012-02-20  Eric Fry <efry at users.sourceforge.net> r1286
	* Added gypsy vial animations.
	* Fixed crash in intro when audio is disabled.

2012-02-13  Eric Fry <efry at users.sourceforge.net> r1285
	* Added gypsy bubbling liquid effect.
	* Added image_bubble_effect_add_color() and image_bubble_effect() script
	  functions.

2012-01-16  Eric Fry <efry at users.sourceforge.net> r1284
	* Fixed compile error on some versions of gcc.

2012-01-11  Eric Fry <efry at users.sourceforge.net> r1283
	* Work on gypsy animation.

2012-01-07  Eric Fry <efry at users.sourceforge.net> r1282
	* Added more text to gypsy sequence.
	* Added comma,period,minus and quote chars to character name input.
	* Changed type checking order in config_set() to check for strings before
	  checking for numbers. Incase a string contains a valid number.

2012-01-05  Eric Fry <efry at users.sourceforge.net> r1281
	* The create character data is now loaded into the new game upon startup.
	* Added config_set() script function which writes data to the config object.
	  This is used to pass data between the create player cutscene script and the
	  savegame class.
	* Added SaveManager::load_save() which creates a new game if new game data
	  has been injected into the config.

2012-01-03  Eric Fry <efry at users.sourceforge.net> r1280
	* Added canvas_string_length() script function.
	* Fixed bug with image_print() script function.
	* More work on create character logic.
	* Started work on gypsy questions.

2011-12-26  Eric Fry <efry at users.sourceforge.net> r1279
	* Added arrow key navigation to U6 main menu.

2011-12-24  Eric Fry <efry at users.sourceforge.net> r1278
	* Added text property to cutscene sprite.
	* Added ScriptCutscene::hide_sprites() which hides all sprites.
	* Added canvas_hide_all_sprites() script function.
	* Added support for uppercase input in cutscene scripting.
	* Font::drawChar() now returns char width.
	* Font::drawString() has correct kerning when printing U6 intro font.
	* Added input key repeat to cutscene scripting.
	* Started work on U6 main menu.

2011-12-17  Eric Fry <efry at users.sourceforge.net> r1277
	* Finished the intro sequence.

2011-12-16  Eric Fry <efry at users.sourceforge.net> r1276
	* Added endless road anim to tv intro sequence.
	* Added clipping rect to cutscene sprites.
	* Started on the moonstone part of the intro sequence.

2011-12-14  Eric Fry <efry at users.sourceforge.net> r1275
	* Added remote keypress to tv animation.
	* Added channel change static to tv animation.
	* Added U6Shape::init() for creating a new blank shape.
	* Added image_new() and image_static() cutscene script functions.

2011-12-13  Eric Fry <efry at users.sourceforge.net> r1274
	* Added palette rotation effect to tv animation.
	* Added pledge now text to tv animation.
	* Added canvas_rotate_palette() script function.

2011-12-12  Eric Fry <efry at users.sourceforge.net> r1273
	* More work on intro sequence tv animations.

2011-12-09  Eric Fry <efry at users.sourceforge.net> r1272
	* Started work on TV animation in opening intro sequence.

2011-12-06  Eric Fry <efry at users.sourceforge.net> r1271
	* Added fade to black when exiting from the intro sequence.
	* Added canvas_set_opacity() script function.
	* Added the ability to fade the cutscene canvas from/to black.

2011-11-28  Eric Fry <efry at users.sourceforge.net> r1270
	* Fixed inline compile bug.
	* Added canvas_set_update_interval() script function. This sets the cutscene
	  framerate. It is the loop interval measured in milliseconds.
	* You can now escape from all points in the intro sequence. Bug [3432868].

2011-11-22  Eric Fry <efry at users.sourceforge.net> r1269
	* Added backingstore support to GUI_Dialog.
	* Screen copy_area/restore_area to reuse copy buffer.
	* Fixed lighting when mapwindow isn't located at 0,0.
	* Fixed redraw issues when GUI_Dialog's are dragged outside background.
	* Console now fills entire screen when non 320x200 resolution is used.
	* Hide console when starting introduction sequence.

2011-11-18  Eric Fry <efry at users.sourceforge.net> r1268
	* Added config/video/screen_width config/video/screen_height for setting screen
	  dimensions.
	* Added config/video/x_offset config/video/y_offset for centering nuvie display
	  when a non 16:10 ratio is used. e.g. 800x480 or 320x240.
	* Fixed screen clipping when trying to clip to the edges of the screen.
	* Reworked nuvie GUI widgets to allow arbitary x/y postiion. Removed 
	  MapWindow's dependance of being positioned at screen coords (0,0).

2011-11-12  Eric Fry <efry at users.sourceforge.net> r1267
	* Remember previous attack target when attacking with player.

2011-11-09  Eric Fry <efry at users.sourceforge.net> r1266
	* Added chests to use_key/lockpick logic.
	* Don't allow lock picks to unlock key locked doors. eg doors with non-zero
	  quality.
	* Automatically unlock chests when using if the corresponding key is in
	  the player's inventory.
	* Don't unlock magically locked doors/chests with keys or lockpicks.

2011-11-07  Eric Fry <efry at users.sourceforge.net> r1265
	* Fixed assert crash when moving objects between party members. Bug [3432314]
	* Fixed bug with Obj::is_on_map() method. It wasn't working correctly on readied items.

2011-11-05  Eric Fry <efry at users.sourceforge.net> r1264
	* Added 'U'se lock pick. Bug [3433606].

2011-11-04  Eric Fry <efry at users.sourceforge.net> r1263
	* Added new cutscene script function image_load_all(). This loads all images
	  from a given file and returns them in a lua table starting at index 0.
	* Fixed assert() when double clicking a sign. Bug [3432913] Thanks to angelox
	  and qbradq.

2011-11-01  Eric Fry <efry at users.sourceforge.net> r1262
	* More work on U6 intro sequence.
	* Added Screen::set_palette_entry()
	* Added canvas_set_palette_entry() script function.
	* Use U6Shape hotpoints when update cutscene sprites.

2011-10-14  Eric Fry <efry at users.sourceforge.net> r1261
	* Added new Font class for intro style fonts. Moved existing u6 font
	  into U6Font class.
	* Added the ability to blit text to a U6Shape.
	* More work on u6 intro sequence.
	* Added image_print() script function.


2011-10-01  Eric Fry <efry at users.sourceforge.net> r1260
	* Added sound support to cutscene scripting.
	* Fixed screen blitting where dest x/y < 0
	* Added SoundManager::musicPlay(filename) for playing songs individually.
	* Added cutscene script functions music_play() and input_poll().
	* Added new optional arguments to sprite_new() script function. x, y, visible.
	* Changed cutscene display() to only blit visible sprites that have an
	  image assigned.
	* Allow negative coords for cutscene sprites.

2011-09-28  Eric Fry <efry at users.sourceforge.net> r1259
	* Added u6 intro.lua file to win32 installer script.

2011-09-28  Eric Fry <efry at users.sourceforge.net> r1258
	* Started work on cutscene scripting.
	* Started work on u6 intro cutscene.
	* Added the ability to blit to Screen with opacity.
	* Fixed typo bug with 16bit smooth lighting.
	* Added get width/height methods to Screen. They return the 
	  un-scaled dimensions.
	* Added GamePalette::set_palette() to reset palette after cutscene.
	* Pass alignment from eggs into actor_init() script function.
	* Added get width/height methods to GUI class.
	* Added Script::run_lua_file()

2011-09-19  Eric Fry <efry at users.sourceforge.net> r1257
	* Added map impedence to actor script movement.

2011-09-19  Eric Fry <efry at users.sourceforge.net> r1256
	* Added map impedence to actor movement point calculation.
	* Look at all objects at a map location when calculating impedence.
	* Added map_get_impedence() script function.
	* Don't update movement points for non party actors outside script.

2011-09-16  Eric Fry <efry at users.sourceforge.net> r1255
	* Added powder keg logic.
	* Added new find_obj(level, obj_n, frame_n, quality) function to script.
	  eg.
	  for obj in find_obj(loc.z, 223, 1) do --keg obj, frame_n = 1
	     --do something.
	  end
	* Reworked ObjManager::find_obj() to allow searching by frame_n
	* Added the ability to search frame_n, quality from Actor.inv_get_obj() script
	  function.

2011-09-03  Eric Fry <efry at users.sourceforge.net> r1254
	* Fade out magical creatures when they die.
	* Added Actor.fade_out(actor, speed) script function.
	* Reworked TileFadeEffect class to fade out an actor.

2011-09-03  Kirben r1253
	* MinGW compile fix.

2011-09-03  Eric Fry <efry at users.sourceforge.net> r1252
	* Moved 'can rest' logic from Event to Party.
	* Update sun/moon strip when the player passes a turn.
	* Fixed ship resting.
	* Added Actor::is_in_vehicle()
	* Added actor.in_vehicle get variable to lua script.
	* Don't create body when party member dies on raft/skiff.
	* Changed lua script party_move() into player_move().
	* Added new party_move() script function which actually calls Party::move().
	* Don't run hit animation twice when attacking raft.
	* Don't add blood when attacking vehicle.
	* Relaxed 'enough room' check when resting in a ship.

2011-09-02  Eric Fry <efry at users.sourceforge.net> r1251
	* Added ship combat logic. The party now flees in a raft when
	  their ship is destroyed.
	* Ships and silver serpents should not turn to face target when
	  attacking.
	* Show avatar name on prompt when using vehicle.
	* Don't poison vehicles.
	* Update actors when player passes a turn.
	* Unready avatar's equipment upon death.
	* Added script functions party_exit_vehicle(x, y, z),
	  Actor.inv_unready_obj(actor, obj)
	  and Actor.unlink_surrounding_objs(actor, make_objs_temp)

2011-08-24  Eric Fry <efry at users.sourceforge.net> r1250
	* Added logic for readied double handed weapons.
	* Added correct readied object error messages.

2011-08-24  Eric Fry <efry at users.sourceforge.net> r1249
	* Added attack with ship cannon.
	* Fixed attack with magic bow.
	* Removed some old FIXME comments.
	* Turned off converse debug output.

2011-08-23  Eric Fry <efry at users.sourceforge.net> r1248
	* Fixed converse bug where db values weren't being assigned.
	  Thanks to angelox for spotting the bug!

2011-08-19  Eric Fry <efry at users.sourceforge.net> r1245
	* Added Balloon, Raft movement.
	* Fixed darkness shading tiles in SE.
	* Removed data/spells.nsl

2011-08-17  Eric Fry <efry at users.sourceforge.net> r1244
	* Added lua script stubs for MD and SE.

2011-08-17  Eric Fry <efry at users.sourceforge.net> r1243
	* Fixed bug where parts of ship were disappearing when party disembarks.

2011-08-17  Eric Fry <efry at users.sourceforge.net> r1242
	* Added lens animation when lenses are placed in correct locations.

2011-08-14  Eric Fry <efry at users.sourceforge.net> r1241
	* Hooked up trap effects to use container and open door.

2011-08-13  Eric Fry <efry at users.sourceforge.net> r1240
	* Added stacktrace to lua error output.
	* Removed unused argument to magic_get_spell_list() script function.

2011-08-09  Eric Fry <efry at users.sourceforge.net> r1238
	* Official release 0.2

2011-08-09  Eric Fry <efry at users.sourceforge.net> r1237
	* Updated XCode build environment.

2011-08-09  Eric Fry <efry at users.sourceforge.net> r1236
	* Fixed mouse based spell selection when in event mode.
	* Align pointer with center of crosshair cursor when in spellview.

2011-08-09  Eric Fry <efry at users.sourceforge.net> r1235
	* Added the ability to select spells from spellbook with the mouse.

2011-08-05  Eric Fry <efry at users.sourceforge.net> r1234
	* Added 'U'se Crystal Ball.
	* Script::call_actor_hit() can now display the actor hit message.

2011-08-04  Eric Fry <efry at users.sourceforge.net> r1233
	* Added Wizard Eye (pow) spell.
	* Added wizard eye mode to MapWindow class.
	* Added wizard_eye_effect() script function.

2011-08-02 kirben r1232
	* MinGW compile fix

2011-08-01  Eric Fry <efry at users.sourceforge.net> r1231
	* Finished Hail Storm (kdy) spell.
	* Added pc speaker sfx to hail storm animation. It's not correct. :-(
	* Fixed bug in QueuingAudioStreamImpl. It was never finishing.
	* Added the ability to play silence from PCSpeakerFreqStream by
	  setting the frequency to 0.

2011-07-29  Eric Fry <efry at users.sourceforge.net> r1230
	* Hit actors in hail storm effect.
	* Increased the probability that a hailstone will be made in the
	  hail storm animation.

2011-07-28  Eric Fry <efry at users.sourceforge.net> r1229
	* Started work on Hail Storm spell.
	* Added TileAnim::remove_tile(PositionedTile *p_tile)
	* Added hail_storm_effect() script function.

2011-07-25  Eric Fry <efry at users.sourceforge.net> r1228
	* Pause wing strike animation while hitting target.

2011-07-24  Eric Fry <efry at users.sourceforge.net> r1227
	* Added Wing Strike (kox) spell.
	* Added WingAnim and WingStrikeEffect classes.
	* Added wing_Strike_effect() script function.
	* Added MapWindow::get_windowSize().
	* Added Script::call_actor_hit().

2011-07-22  Eric Fry <efry at users.sourceforge.net> r1226
	* Fixed bug when escaping from spell view.
	* Make sure that we use the correct spellbook object if player has more
	  than one object readied in his/her hands.
	* Fixed actor comparison in chain bolt spell.
	* Started work on wing strike spell.

2011-07-21  Eric Fry <efry at users.sourceforge.net> r1225
	* Added 'U'se staff usecode.

2011-07-19  Eric Fry <efry at users.sourceforge.net> r1224
	* Added Enchant (ioy) spell.
	* Advance time to 8:00am when sending party to jail.
	* Added clock_get_hour() script function.
	* Added the ability to select a spell from the active spell book from
	  magic scripts.

2011-07-15  Eric Fry <efry at users.sourceforge.net> r1223
	* Added actor hit flag. bit 4 in actor movement flags. We use this to make
	  sure we don't hit from map tile damage if the actor has already been hit
	  this turn.
	* Added regeneration ring healing.
	* Added map tile damage in advance_time()

2011-07-14  Eric Fry <efry at users.sourceforge.net> r1222
	* Restore magic points for party members in advance_time() function.
	* Reimplemented alcohol logic. Alcohol units now decrease hourly.
	* Game time is now updated from advance_time() script function.
	* Removed ActorManager::updateTime()
	* Created new ActorManager::updateSchedules()
	* Changed GameClock::inc_minute() to allow increments of more than 1 minute.
	* Added Player::dec_alcohol()
	* Moved schedule updates to advance_time() script function.
	* Added script functions clock_get_minute(), clock_inc(), update_actor_schedules()
	  and player_dec_alcohol().
	* Added Script::call_advace_time(). Used by the alt 215 cheatcode.

2011-07-13 kirben r1221
	* Updated win32 installer script.

2011-07-11  Eric Fry <efry at users.sourceforge.net> r1220
	* Fixed bug where the rain effect was corrupting the map window border when
	  game cursors are enabled.

2011-07-11  Eric Fry <efry at users.sourceforge.net> r1219
	* Added rain effect to MapWindow. This is used by the dispel magic spell and
	  the storm cloak. The effect in nuvie differs a bit from the original.
	* Readied (lit) torches now burn out.
	* Invisibility/regeneration rings can now disappear while being worn.
	* Added readied storm cloak logic. It now rains when a party member wears the
	  storm cloak.
	* Added timer_update_all() script function. This allows us to decrement all
	  timers by a given value from script.
	* Added Screen::put_pixel() method
	* Added new advance_time() script function this is used to trigger time based
	  events.
	* Moved timer updates from C code into advance_time()

2011-07-05  Eric Fry <efry at users.sourceforge.net> r1218
	* Added new USE_EVENT_INPUT_CANCEL usecode event type. This is sent when the
	  usecode input request has been canceled by the user.
	* Added input canceled messages to use_orb, use_shovel and use_potion.

2011-07-01 Pieter Luteijn <luteijn at users.sourceforge.net> r1217
	* check before following potential null spell pointer

2011-07-01 kirben r1216
	* mingw makefile adjusted

2011-07-01  Eric Fry <efry at users.sourceforge.net> r1215
	* Moved 'buried moonstone' location data from Weather class into lua script.
	* Added logic to create moongates on top of buried moonstones if the moon is
	  the sky. The moongates are removed from the map when the moons are no 
	  longer visible.
	* Don't do anything with the gate travel spell if trying to travel to a phase
	  that doesn't have a corresponding buried moonstone.

2011-06-29  Eric Fry <efry at users.sourceforge.net> r1214
	* Added map tile check when burying moonstone.

2011-06-29 Pieter Luteijn <luteijn at users.sourceforge.net> r1213
	* updated revision number in previous changelog entry below to r1212
	* some reminders placed around moonstone locations in lua..

2011-06-28  Eric Fry <efry at users.sourceforge.net> r1212
	* Fixed some bugs with flank combat worktype
	* Fixed some bugs with rear combat worktype

2011-06-27 Pieter Luteijn <luteijn at users.sourceforge.net> r1211
	* added #include <stdlib.h> (for the random functions) to 
	  sound/mixer/decoder/PCSpeakerStream.cpp to get the
	  SFX_SLUG_DISSOLVE Soundeffect to compile.

2011-06-27  Eric Fry <efry at users.sourceforge.net> r1210
	* Turned on message scroll autobreak while in conversation. This should fix
	  the bug with missed text when saying 'job' to Finn.
	* Fixed some issues with berserk combat worktype.
	* Added corpser check to actor_ok_to_attack()

2011-06-25  Eric Fry <efry at users.sourceforge.net> r1209
	* Added the ability to spin a projectile animation. Combat projectiles spin
	  now.
	* Added SFX_SLUG_DISSOLVE PC Speaker sound effect.
	* Added chance of being poisoned by actors with a poisonous actor type.
	* Acid slugs can now dissolve metal objects when attacking.
	* Gremlins now steal food when attacking.
	* Added new form of TileManager::get_rotated_tile() which accepts a destination
	  tile to perform the rotation on.

2011-06-24  Eric Fry <efry at users.sourceforge.net> r1208
	* Fixed bug where sleeping actors would disappear when killed.
	* Show base object name for dead actors. This fixes the bug where nuvie
	  would print 'A dead body killed!'
	* Fixed left arrow button on spell view.

2011-06-22  Eric Fry <efry at users.sourceforge.net> r1207
	* Added spellbook view.
	* Removed spells.nsl from Magic class.
	* Magic class now loads its spell list from magic.lua via new
	  magic_get_spell_list() script function.
	* Removed unused code from Magic class.
	* Moved creation of Magic class into Game class.
	* Added num and removed script from Spell class.
	* Changed magic.lua magic table to index from 1 instead of 0.

2011-06-15  Eric Fry <efry at users.sourceforge.net> r1206
	* Added Brawling worktype.
	* Added Begging worktype.
	* Added Actor.talk() script function used with begging worktype.
	* Fixed bug with actor_find_target() so actors don't target themselves.

2011-06-14  Eric Fry <efry at users.sourceforge.net> r1205
	* Fixed bug where musician wouldn't play lute while sitting on a chair.
	* Added 'local' directives to several variables in actor.lua that were missed.
	* Fixed worktype 0x80. It now sets actor to worktype.
	* Fixed function name typo in wt_timid.
	* set all actor's movement points to zero when the avatar dies. Don't perform
	  worktype if movement points are 0. This fixes a bug where actors were trying
	  to attack the party even after they had teleported back to LB's castle. This
	  caused a very long unseen projectile to be fired off, freezing the game.

2011-06-12  Eric Fry <efry at users.sourceforge.net> r1204
	* Removed old poison damage code from U6Actor class.
	* Update view manager when changing party member poison state.
	* Update view manager when changing party member hp.
	* Removed old defend code from Actor class.
	* Removed party_heal script function and replace with pure script version.
	  This version also removes poison, charm etc from party members.
	* Added Actor.show_portrait() Actor.hide_portrait() script functions.
	* Added input yes/no select to guard arrest player logic.
	* Removed unused script functions actor_poison(), actor_add_hp() and
	  actor_add_mp().

2011-06-11  Eric Fry <efry at users.sourceforge.net> r1203
	* Fixed bug when loading a savegame where the avatar is incapacitated.
	* Removed old eclipse logic from Weather class. Replaced with timer in
	  GameClock.
	* Fixed bug when saving actor alignment.
	* Clear actor flags when creating new temp actor.
	* Removed alive variable from actor. Alive flag is now back in status_flags.
	* Added new TextInputEffect class which waits for input from msgscroll.
	* Changed Game::update_once loop to allow polling of events by gui widgets.
	  This allows effects to receive input from msgscroll.
	* Added Peer (vwy) spell.
	* Added Time Stop (at) spell.
	* Added phase select to Gate Travel spell.
	* Reworked Eclipse spell to use timers.
	* Added damage to Tremor spell.
	* Fixed some bugs with flank worktype.
	* Added input_select() input_select_integer() and peer_effect() script
	  functions.
	* Removed eclipse_start() script function.
	* Fixed bug with boomerang when avatar dies.

2011-06-09  Eric Fry <efry at users.sourceforge.net> r1202
	* Added Chain Bolt (vog) spell.
	* Added Energy Wind (gh) spell.
	* Added Fear (qc) spell.
	* Added Gate Travel (vrp) spell. Note this still needs the phase selection
	  logic.
	* Added Mass Curse (vas) spell.
	* Added Mass Invisibility (vsl) spell.
	* Added Death Wind (ch) spell.
	* Added Mass Charm (vaxe) spell.
	* Added Mass Kill (vc) spell.
	* Moved wind spells into common function.

2011-06-03  Eric Fry <efry at users.sourceforge.net> r1201
	* Added Replicate (iqy) spell.
	* Added Web (idp) spell.
	* Fixed typo bug in lightning spell.
	* Fixed bug in actor.lua where player loc was being referenced incorrectly.

2011-06-03  Eric Fry <efry at users.sourceforge.net> r1200
	* Added Mass Protect (vis) spell.
	* Added Negate Magic (ao) spell.
	* Added storm logic. Disable casting magic during storm. Still need to
	  implement storm effect.
	* Added timer_get() script function.

2011-06-02  Eric Fry <efry at users.sourceforge.net> r1199
	* Added Flame Wind (fh) spell.
	* Added Poison Wind (nh) spell.
	* Added new magic_wind() script function. This provides the wind effect and
	  returns the hit items.
	* Moved and renamed triple_crossbow_offset_tbl into init.lua
	* Moved movement_offset_* tables into init.lua
	* Added nscript_new_hit_entities_tbl_var() which constructs return hit_items
	  table for projectile effects.
	* Return hit items from projectile_anim_multi() script function.

2011-06-01  Eric Fry <efry at users.sourceforge.net> r1198
	* Added clone (iqx) spell.
	* Added Confuse (vq) spell.
	* Added fade_actor_in() script function.
	* Fixed bug when creating musician actors.
	* Added missing local declaration to conjure spell script.

2011-05-27  <luteijn> r1197
	* Fixed case when including file in the script system.
	* Removed inline statement from external function.

2011-05-27  Eric Fry <efry at users.sourceforge.net> r1196
	* Added Charm (axe) spell.
	* Added actor old_align get/set script variables.
	* Hooked up old alignment to correct position in actor movement_flags.

2011-05-24  Eric Fry <efry at users.sourceforge.net> r1195
	* Added Seance (kmc) spell.
	* Added X-ray (wy) spell.
	* Added actor_talk(actor) script function.
	* Added XRayEffect class.
	* Added xray_effect(dur_ms) script function.
	* Added Actor.can_carry_obj(actor, obj) script function.
	* Added weight check to pickpocket spell.
	* Subtract karma from player when pickpocketing.
	* Fixed escaping while waiting for magic to resume in Event class.
	* Simplified / moved game logic out of Event 'get' logic.
	* Added ObjManager::can_get_obj(Obj *obj)
	* return false from nscript_get_location_from_args() if no arguments were
	  supplied.

2011-05-23  Eric Fry <efry at users.sourceforge.net> r1194
	* Added Pickpocket (py) Spell.
	* Added Reveal (asl) Spell.
	* Added blue fade to invisibility spell.
	* Added special monster only spell number 128. This is used by monsters to turn
	  invisible.
	* Added the ability to select item from actor's inventory then resume magic
	  spell.
	* Fixed spell numbering on the 8th circle.

2011-05-19  Eric Fry <efry at users.sourceforge.net> r1192
	* Added Invisibility (sl) spell.
	* Fixed up Energy field, explosion, insect swarm, lightning and paralyze spells

2011-05-18  Eric Fry <efry at users.sourceforge.net> r1191
	* Added Wind Change (rh) spell.
	* Added the ability to select direction from lua magic scripts.
	* Tweaked event code to differentiate direction from target.
	  Added new EVENTINPUT_MAPCOORD_DIR input type
	* Added get_direction_code() which gives direction from relative map coords.
	* Added Map::can_put_obj() function.
	* Added the ability to move objects to the telekinesis spell.
	* Added wind_set_dir(), wind_get_dir() script functions.
	* Added map_can_put_obj() script function.

2011-05-16  Eric Fry <efry at users.sourceforge.net> r1190
	* Fixed bugs with loading sleeping actors.
	* Allow actors without a base_actor_type. Used in the Animate spell.
	* Added Animate (oy) spell.
	* Added Conjure (kx) spell.
	* Added Disable (avm) spell.
	* Added Great Heal (vm) spell.
	* Added Mass Dispel (vajo) spell.
	* Added g_readiable_objs_tbl and obj_is_readiable() function to script system.
	* Don't try to create inventory for Animated objects.
	* Fixed forth circle spells.

2011-05-13  Eric Fry <efry at users.sourceforge.net> r1189
	* Fixed up third circle spells.
	* Added Fireball (pf) spell.
	* Added Great Light (vl) spell.
	* Added Repel Undead (axc) spell.
	* Print actor dmg in spell_take_fire_dmg() script function.

2011-05-11  Eric Fry <efry at users.sourceforge.net> r1188
	* Fixed up second circle spells.
	* Script obj.name now returns object name including frame_n.
	* Print object name when attacking.
	* Added Vanish (ay) spell.
	* Added fade_obj_out() and fade_obj_in() script functions.
	* Fixed sleep spell dice roll.
	* Added tile_get_flag(tile_num, flag_set, bit) script function.


2011-05-10  Eric Fry <efry at users.sourceforge.net> r1187
	* Added Reappear (iy) spell
	* Added game_load(), game_save() lua script functions in init.lua These are
	  called when a game is loaded/saved.
	* Added objlist_seek(), objlist_read2(), objlist_write2() script functions
	  these functions are used to read/write to the objlist from script and can
	  only be called from load_game() or save_game() functions.

2011-05-06  Eric Fry <efry at users.sourceforge.net> r1186
	* Added Magic Arrow spell (oj)
	* Fixed up Poison spell
	* Added actor_hit_msg() script function to print actor damage text
	* Changed projectile() script function to internalise the tile rotation offset.
	* Disabled actor_poison() lua function
	* Added global script variable g_vanish_obj for upcoming vanish/reappear
	  spells.

2011-05-04  Eric Fry <efry at users.sourceforge.net> r1185
	* Added support for game timers. They are handled by the GameClock class and
	  are loaded/saved to the objlist file.
	* Added magic light spell support.
	* Added timer_set(timer_num, val) script function
	* Added infravision magic script. (ql) This only sets the infravision spell timer.
	  The infravision effect needs to be coded in MapWindow.

2011-05-03  Kirben r1183 r1184
	* Added Win32 installer build config

2011-05-02  Eric Fry <efry at users.sourceforge.net> r1182
	* Fixed target selection bug when casting magic in the dungeon levels.
	* Don't twitch actors that aren't visible.
	* Hide surrounding objects for multi-tile actors when visible_flag = false.
	* TileBlackFadeEffect can now fade multi-tile objs/actors.
	* Fixed target selection in fire field spell logic.

2011-05-02  Eric Fry <efry at users.sourceforge.net> r1181
	* Added Detect Magic spell (wo)
	* Added Dispel Magic spell (ajo)
	* Added better compatibilty to all first circle spells. Added projectile logic
	  and fades.
	* Added fade_obj() script function
	* Added script actor.max_hp get variable
	* Added new convenience routines to magic.lua
	* Added script functions select_actor_with_projectile(projectile_tile, caster) and
	  select_obj_with_projectile(projectile_tile, caster) These functions are used
	  by magic scripts that fire a projectile at an actor/obj.
	* Reworked resurrect spell to increase compatibility with original game.

2011-04-29  Eric Fry <efry at users.sourceforge.net> r1180
	* Added spell casting red fade effect.
	* Added TileFadeAnim class.
	* Changed Actor::change_base_obj_n() to zero frame_n.
	* Added TileFadeEffect class.
	* Added TileBlackFadeEffect class.
	* Moved Game::update_once() into two calls. Split out display functions.
	  This was needed to end an effect without redrawing the screen.
	* Added magic script function magic_casting_fade_effect(caster)
	* Moved tile Animation display under toptiles.
	* Added script functions fade_tile(x,y,z,from_tile_num, to_tile_num) and
	  Actor.black_fade_effect(actor,color,speed)
	* Added tile_num get variable to actor in script.

2011-04-26  Eric Fry <efry at users.sourceforge.net> r1179
	* Automatically create ~/.nuvierc config file on Unix systems.
	* Added new Actor::change_base_obj_n() method. This allows us to change the
	  underlying base object type for an actor. This is ued in the slime spell.
	* Added actor.base_obj_n set field to script system.
	* Added 8th circle Slime spell (vrx).

2011-04-22  Eric Fry <efry at users.sourceforge.net> r1177
	* Updated Mac SDLMain files to SDL 1.2.14
	* Updated Mac build config changed base SDL to 10.4u sdk

2011-04-21  Eric Fry <efry at users.sourceforge.net> r1174
	* Fixed build error when compiling tools from automake.

2011-04-20  Eric Fry <efry at users.sourceforge.net> r1173
	* Official release 0.1
 
2011-04-20  Eric Fry <efry at users.sourceforge.net> r1172
	* Updated README
	* Updated MAC OS X dmg creation script to include README.txt
	* Updated nuvie.cfg.sample

2011-04-17  Eric Fry <efry at users.sourceforge.net> r1171
	* Added Armageddon spell
	* Changed Actor::die() to include switch to not drop dead body. Used in the Armageddon spell.
	* Fixed bug in mkdir_recursive() when the path started at the root directory.
	* Updated XCode build config.

2011-04-12  Eric Fry <efry at users.sourceforge.net> r1170
	* Fixed smooth lighting colour on MACOSX.

2011-04-12  Eric Fry <efry at users.sourceforge.net> r1169
	* Fixed vortex cube container. You can now move moonstones into the vortex cube
	* Fixed talking to shrines/statues. Bug [1534935] We talk to the object not
	  the actor.
	* Fixed MsgScroll autobreak functionality when looking at books/signs. 
	  Added MsgSroll token '\t' which means set autobreak off.
	* Fixed bug in actor_wt_attack() script function

2011-04-10  Eric Fry <efry at users.sourceforge.net> r1168
	* Fixed tangle vine spawning logic.
	* Moved vine creation into actor_init() script function.
	* Fixed tangle vine pod twitching. Bug [1534721]
	* Find monster spawn location befrore creating temp actor.

2011-04-09  Eric Fry <efry at users.sourceforge.net> r1167
	* Removed C++ exception code. A future port might not support it. ;-)
	* Fixed bug in tangle vine attack logic

2011-04-07  Eric Fry <efry at users.sourceforge.net> r1166
	* Added the ability to break objects when dropping. Bug [1527605]
	* Added bool ObjManager::is_breakable(Obj *obj)

2011-04-07  Eric Fry <efry at users.sourceforge.net> r1165
	* Added MinGW windows icon
	* Show gamedir path on Console under windows.

2011-04-06  Eric Fry <efry at users.sourceforge.net> r1163
	* Create default config for Windows if no config file found.
	* Fixed bug in mkdir_recursive()
	* Handle error when save_manager::load_latest_save() fails.
	* Removed -lSDL_mixer from Makefile.mingw

2011-04-06  Eric Fry <efry at users.sourceforge.net> r1162
	* Added more console messages.
	* Fixed redraw bug with party view when launching
	* Added ConsoleDelete() function
	* Continue from Console pause if SDL_QUIT event received.
	* Added filename() method to Configuration class.

2011-04-06  Eric Fry <efry at users.sourceforge.net> r1161
	* Added new Nuvie boot console. Fatal errors can now be shown to the user on screen.
	* Added GUI_Console class
	* Added Console class
	* Moved creation of GUI object into Nuvie class
	* Added new config option "config/general/show_console" default = true
	* Added new 6x8 font to the GUI
	* Changed GUI_Font class constructor to take font type argument.
	  Either GUI_FONT_DEFAULT or GUI_FONT_6X8
	* Show console on error

2011-04-01  Eric Fry <efry at users.sourceforge.net> r1160
	* Fixed bug when recursively calling TimedEvents.

2011-04-01  Eric Fry <efry at users.sourceforge.net> r1159
	* Constrain range attacks to within missile boundaries. (still need to do triple crossbow)
	* Changed ObjManager::is_boundary() to allow checking for missile boundaries.
	* Added missile boundary checking 'LT_HitMissileBoundary' to Map::LineTest()
	* Added Map::is_missile_boundary()
	* Moved actor asleep call to before party move in avatar death script.
	* Added script functions map_can_reach_point() and map_line_hit_check().

2011-03-30  Eric Fry <efry at users.sourceforge.net> r1158
	* Moved avatar death logic into lua script.
	* Hooked up actor_map_dmg() lua script to all actor movement.
	* Added Script::call_actor_map_dmg(Actor *, MapCoord)
	* Added flags to Actor::moveRelative method.
	* Set actor direction before moving. This means the actor is facing the right
	  way if we need to play the hit animation.
	* Fixed bug with new poision tile script logic.
	* Added actor.actor_num "get" variable to script system.

2011-03-29  Eric Fry <efry at users.sourceforge.net> r1157
	* Added map damage logic into script. At the moment this is not hooked up to player/party movement.
	* Added Tile *ObjManager::get_obj_dmg_tile(uint16 x, uint16 y, uint8 level)
	* Don't set direction on immobile or dead actors.
	* Removed map damage logic from C code actor move function.
	* Added Avatar death tune PC Speaker sfx
	* Added Kal Lor PC Speaker sfx
	* Don't remove party flag from actor when dead. We need it to resurrect the
	  member when the Help spell is cast.
	* Removed PCSpeakerGlassSfxStream class. Replaced it with a queued audio stream
	* Added PCSpeakerStutterStream class
	* Added magic casting PC Speaker sfx
	* Added Bell ringing PC Speaker sfx
	* Added Tile *Map::get_dmg_tile(uint16 x, uint16 y, uint8 level); This returns
	  the first tile that can do damage. It is either a map tile or an object tile.
	* Added first circle Help spell. (Kal Lor)
	* Added magic_casting_effect() lua convenience routine. Added it to correct spells
	* Don't change alignment if actor not created in 'insect swarm; spell logic.
	* Changed magic script invocation logic to always use magic_cast_spell() function
	* Added g_magic_spell_num variable to magic scripts.
	* Fixed bug in 'Use Shovel'
	* Added party_resurrect_dead_members() and party_heal() functions to script system.
	* Added map_get_dmg_tile_num() function to script system.
	* Added object "invisible" set variable to script system.
	* Added void nscript_new_obj_var(lua_State *L, Obj *obj) use this when returning an obj
	  in a script C call.
	* Added Actor.inv_get_obj(actor, obj_n) to script system.


2011-03-25  Eric Fry <efry at users.sourceforge.net> r1155
	* Added SFX_CASTING_MAGIC PC Speaker sfx. (Hooked it up to 'insect swarm' Kal Bet Xen spell)
	* Cleanup pc speaker object when closing audiostream

2011-03-23  Eric Fry <efry at users.sourceforge.net> r1154
	* Added SFX_CORPSER_REGURGITATED PC Speaker sfx.
	* Added getLengthInMsec() method to PCSpeakerGlassSfxStream class.

2011-03-23  Eric Fry <efry at users.sourceforge.net> r1153
	* Added SFX_CORPSER_DRAGGED_UNDER PC Speaker sfx.

2011-03-23  Eric Fry <efry at users.sourceforge.net> r1152
	* Added the ablility to wait while a sfx plays. (Still need to add support for
	  custom wav files.)
	* Added the ability to get the duration of the last played sfx from the
	  SfxManager. This value is expressed in milliseconds.
	* Added getLengthInMsec() to AudioStream class.
	* Added play mode to SoundManager::playSfx() to allow asynchronous play.
	* Changed lua script attack logic to wait while attack sfx is playing.
	* Added callback method to TimedEffect class. (replacing pure virtual).
	  This allows us to make an effect that does nothing but wait for a given
	  amount of time.
	* Changed lua script play_sfx() function to take optional argument play_async.


2011-03-21  Eric Fry <efry at users.sourceforge.net> r1150
	* More work on PC Speaker SFX
	* Added PCSpeakerRandomStream and PCSpeakerGlassSfxStream classes
	* Reworked PCSpeaker class to incorporate speaker cone speed.
	* Added NUVIE_SFX_HIT and NUVIE_SFX_BROKEN_GLASS PC Speaker sfx.
	* Changed PC Speaker output rate to 22050 Hz


2011-03-09  Eric Fry <efry at users.sourceforge.net> r1148
	* MACOSX: Changed development build config to use 10.5 SDK and target 10.4 (Thanks
	  to Dominus for working on the build config)
	* Cleaned up ConverseSpeech::play_speech() to remove some unused variables.

2011-03-07  Eric Fry <efry at users.sourceforge.net> r1147
	* MACOSX: Check for config in $HOME/Library/Preferences/Nuvie Preferences
	* MACOSX: If no config can be loaded try to create config with default values in
	  $HOME/Library/Preferences/Nuvie Preferences
	* MACOSX: If running from app bundle, change the default working directory to
	  Resources/ directory inside the app bundle. This enables us to move the data/
	  directory inside the app bundle.
	* MACOSX: Changed XCode build setup to copy data/ dir into app bundle.
	* MACOSX: Updated DMG build script and README file with new app paths.
	* Try to create savegame directory if specified in cfg file but does not exist
	  on disk.
	* Added new mkdir_recursive() function.
	* Changed the formatting on the config XML when it is written to the disk.
	* Don't try to use FM-Towns conversation logic if the townsdir specified in the
	  config does not exist.
	* MACOSX: Added eclipse build files.


2011-02-15  Eric Fry <efry at users.sourceforge.net> r1142

	* Started work on PC Speaker SFX
	* Added new PCSpeakerSfxManager class
	* Added new PCSpeaker streaming classes
	  PCSpeakerFreqStream - plays a given frequency for a set time.
	  PCSpeakerSweepFreqStream - Plays a sound sweeping from one frequency to another
	* Added PCSpeaker SFX. Blocked, Attack swing, success, failure and rubber ducky.
	  I'm not really happy with the sound repoduction at the moment but it's a start.
	* Added success sfx to magic insect swarm spell.
	* Added failure sfx when trying to cast a spell with no reagents.


2011-02-11  Eric Fry <efry at users.sourceforge.net> r1141

	* Set scummvm endian to SDL endian
	* Return NULL to makeADPCMStream()


2011-02-10  Eric Fry <efry at users.sourceforge.net> r1140

	* Added Custom SFX manager class.
	  To use it you'll need a directory containing numbered wav files and a sfx_map.cfg file
	  The sfx_map.cfg file should contain entries that look like this
	  001;005
	  002;002
	  003;001
	  The first number is the nuvie sfx_id. See sfx.h for those
	  The second number corresponds to your wav file eg '2.wav'

	  You then need to set the config/ultima6/sfxdir value to your new custom sfx dir.
	  You will also need to set the config/ultima6/sfx value to "custom"
	 


2011-02-08  Eric Fry <efry at users.sourceforge.net> r1139

	* Fixed Fm-Towns fire sfx. It now plays samples 6, 7 and 8 from sounds1.dat
	  in a random order
	* Added Audio::RandomCollectionAudioStream to implement the fm-towns fire effect.
	* Added Audio::QueuingAudioStream class from scummvm for future use.
	* Disabled FM-Towns clock sfx until I can find out how it works.


2011-02-07  Eric Fry <efry at users.sourceforge.net> r1138

	* Updated autoconf build environment. Thanks to WJP.


2011-02-07  wjpalenstijn r1137

	* Fix warnings

2011-02-07  wjpalenstijn r1136

	* Fix warning (from last commit)

2011-02-06  wjpalenstijn r1135

	* Add consts to many GUI constructors.

	  This is necessary because string literals are passed to them,
	  which are constant.



2011-02-06  wjpalenstijn r1134

	* Fix warnings

2011-02-06  wjpalenstijn r1133

	* Fix compilation/warning

2011-02-06  Eric Fry <efry at users.sourceforge.net> r1132

	* Added music and sfx volume settings. config/audio/sfx_volume and
	  config/audio/music_volume
	* Removed old SDL_Mixer code
	* Removed mixer/algorithm.h
	* Removed old custom obj/tile sound loader code. Need to replace this with
	  CustomSfxManager class


2011-02-06  Eric Fry <efry at users.sourceforge.net> r1131

	* Don't bump/move immobile party members
	* Actors now lay down while sleeping
	* Added circle 2, sleep spell


2011-02-06  Eric Fry <efry at users.sourceforge.net> r1130

	* Fixed bug [1624976] Cant talk to anyone in solo mode


2011-02-06  Eric Fry <efry at users.sourceforge.net> r1129

	* Fixed bug [888112] Can't move stuff out of bags


2011-02-05  Eric Fry <efry at users.sourceforge.net> r1128

	* Added missle, explosion, water wheel, protection field and attack swing sfx
	* Changed some instaces of uint16 to SfxIdType
	* Added new convenience script functions explosion() and projectile() which
	  play sfx along with the animation.
	* Added rubber ducky sfx when you use the rubber duck.


2011-02-04  Eric Fry <efry at users.sourceforge.net> r1127

	* Fixed bug [852844] Rafts go crazy when used; morph to new things
	* Added the ability to (m)ove objects between actor inventories.


2011-02-04  Eric Fry <efry at users.sourceforge.net> r1126

	* Added support for background sfx in new mixer.
	* Added fountain, fireplace, clock sfx.
	* Changed FmtownsDecoderStream into a rewindable stream.
	* Added SfxManager::playSfxLooping(SfxIdType sfx_id, Audio::SoundHandle *handle)
	* Added NUVIE_SFX_NONE as as way to pass back 'no sfx found' status.
	* SoundManager::update_map_sfx() uses SoundManangerSfx objects not Sound classes
	  for processing background sfx.
	* FM-Towns SOUNDS1.DAT has 12 sounds not 13.
	* Combined towns decoder playsample functions.
	* Fixed bug [1624965] Can use skiff from inventory


2011-02-02  Eric Fry <efry at users.sourceforge.net> r1125

	* Added player blocked sfx.
	* Added mirror smashed sfx.
	* Don't change mirror frame_n when it's broken.
	* Added the ability for the FMtownsDecoderStream class to read uncompressed
	  u6lib files.
	* Added support for loading sfx from FM-Towns Sounds2.dat file.
	* Added play_sfx(sfx_id) function to lua script system.
	* Fixed bug when iterating an empty container in script.


2011-02-02  Eric Fry <efry at users.sourceforge.net> r1124

	* Started work on FM-Towns SFX.
	* Hooked up sound efect to hit effect.
	* Added new SfxManager abstract class.
	* Started work on TownsSfxManager class. PCSpeaker and Custom classes to follow.
	* Fixed potential double free on NuvieIOBuffer class.
	* Added SoundManager::playSfx(uint16 sfx_id) method.
	* Added the ability to play fm-towns streams from inmemory buffer.


2011-02-01  Eric Fry <efry at users.sourceforge.net> r1123

	* Added u6 music decoders into new mixer code. This is still a WIP.


2011-01-31  Eric Fry <efry at users.sourceforge.net> r1122

	* Started adding new scummvm mixer into Nuvie. I haven't updated the build scripts yet.


2011-01-26  Eric Fry <efry at users.sourceforge.net> r1121

	* Change party leader when player is rendered immobile.
	* Added script functions party_get_size() party_get_member() and
	  party_update_leader()
	* Removed old script container manipulation code.
	* When attacked in a skiff or raft randomly hit a party member.


2011-01-24  Eric Fry <efry at users.sourceforge.net> r1120

	* Added a new recursive obj iterator in lua script that allows searching through containers.
	  You can now iterate through all items in an actor's inventory, even if they are in
	  containers.


2011-01-23  Eric Fry <efry at users.sourceforge.net> r1119

	* Enabled trap effects when destroying a trapped object. I will link this into
	  usecode at some later stage.
	* Added Obj.removeFromEngine(obj) to script system. This unlinks the selected
	  object from the engine so it can be deleted.


2011-01-23  Eric Fry <efry at users.sourceforge.net> r1118

	* Fixed explosion spell damage.
	* Started moving actor hit/death logic into lua script.
	* Add exp when killing evil actors
	* Fixed issue with actor_randomise_stat() returning 0 where base_stat = 1


2011-01-22  Eric Fry <efry at users.sourceforge.net> r1117

	* Explosion spell now deals damage. This still needs some work.
	* Fixed Actor::set_charmed() and Actor::set_cursed()
	* ExpEffect now takes tile_num as an argument
	* Added spells Curse, Protection, Mass Awaken, Mass Sleep
	* Added modifiers for cursed and asleep actors to actor_dex_adj()
	* Added modifiers for cursed and protected flags to actor_get_ac()
	* Draw cursed actors with blue outline in MapWindow.
	* Added purple potion.
	* lua explosion_start() now returns a table containing all hit actors and objs
	* Changed lua actor.visible getter method to call is_invisible() instead of 
	  is_visible()


2011-01-21  Eric Fry <efry at users.sourceforge.net> r1116

	* Started work on combat flank worktype
	* Fixed some bugs with actor movement in actor_move_towards_loc()
	* Fixed some bugs in actor_calculate_avg_coords() player direction wasn't being
	  set which was causing issues with combat front worktype.
	* Fixed typo bug in actor_wt_timid()


2011-01-20  Eric Fry <efry at users.sourceforge.net> r1115

	* Started work on Berserk worktype.


2011-01-19  Eric Fry <efry at users.sourceforge.net> r1114

	* Added magic screen xor effect to script xor_effect(duration_in_milliseconds)
	* Added circle 5 spell insect swarm
	* Removed 'inactive' field from PartyMember struct. Replaced with calls to
	  is_immobile()
	* Don't move immobile party members. This should fix corpser logic.
	* Return caster location not caster in caster_get_location()
	* Added magic_get_caster() and caster_is_player() functions in magic.lua
	* Converted io.stderr:write() calls to dbg() calls in actor.lua
	* Added logic to set bed frame when pathfinding to WT_SLEEP
	* Added blue potion "use logic"


2011-01-17  Eric Fry <efry at users.sourceforge.net> r1113

	* Added fade effects to caught by guard logic.
	* Added fade_out() fade_in() functions to script system.
	* Modified FadeEffect so it can work asynchronously.
	* Removed some magic numbers in actor.lua script.


2011-01-16  Eric Fry <efry at users.sourceforge.net> r1112

	* Fixed bug with converse check for item. It wasn't checking quality.
	  You should be able to get the keys to the jail cells from Pridgarm now.
	* Added back tick token to the MsgScroll class. This forces the next char
	  to be captialised. e.g. "`jester yells for help" becomes "Jester yells for
	  help"
	* subtract karma from player when guards are called.
	* Added optional 4th argument to lua function map_get_obj(x, y, z, obj_n) this
	  restricts the search to objs of type obj_n.
	* Fixed bug when searching container objects.


2011-01-14  Eric Fry <efry at users.sourceforge.net> r1111

	* Started work on caught by guard logic. The party is now sent to jail.
	  This is still very much a work in progress.
	* Added script functions party_move(), party_set_combat_mode()
	  and party_is_in_combat_mode()


2011-01-13  Eric Fry <efry at users.sourceforge.net> r1110

	* Added guard arrest player worktype 0x12. NPCs will now call guards when attacked.


2011-01-12  Eric Fry <efry at users.sourceforge.net> r1109

	* NPC's will now yell for help and attack when hit by the player.
	* Added actor.temp, actor.corpser_flag and actor.old_frame_n to script system.
	* Added movement flags to Actor class.
	* Added Actor::get_corpser_flag()
	* Added Actor::set_corpser_flag()
	* Corpsers can now drag actors under and regurgitate them back. This is a work
	  in progress. I still need to restrict party member movement when dragged
	  under.


2011-01-10  Eric Fry <efry at users.sourceforge.net> r1108

	* Added 'work' worktype.


2011-01-10  Eric Fry <efry at users.sourceforge.net> r1107

	* Actors now walk to their scheduled locations again.
	* Fixed bug with game_hour not being set in ActorManager on load.
	* Added Actor.walk_path(actor) and Actor.is_at_scheduled_location(actor) to
	  script.
	* Fixed bug with setting worktype from script.
	* Added actor.sched_wt to get the worktype from the current schedule record.


2011-01-06  Eric Fry <efry at users.sourceforge.net> r1106

	* Fixed bug with slime frames
	* Don't twitch paralysed actors
	* Added actor_remove_charm() This still needs some work.


2011-01-06  Eric Fry <efry at users.sourceforge.net> r1105

	* Added actor flags to the script system.
	  -protected
	  -cursed
	  -charmed
	  -paralyzed
	  -asleep
	* Fixed up paralyze spell.
	* Added actor_update_flags(actor) This is called each game turn. It allows
	  actors to update their flags e.g. come out of paralysed state. They need to
	  beat a die roll to break the spell. This function also handles taking damage
	  from poison.


2011-01-04  Kirben r1104

	* Small change for MinGW compile.

2011-01-04  Eric Fry <efry at users.sourceforge.net> r1103

	* Fixed freeze when the avatar died and was teleported back to LB's castle.


2011-01-04  Eric Fry <efry at users.sourceforge.net> r1102

	* Finally fixed targetting from magic spells. You can now select your target
	  when casting.
	* Made blood objects temporary.
	* Added stub for first circle 'light' spell.
	* Replaced debug print messages in actor.lua with calls to new dbg(msg)
	  function.
	* Fixed object status when searching a container.


2011-01-03  Eric Fry <efry at users.sourceforge.net> r1101

	* You can now drag and drop objects into containers in an actors inventory.
	* Fixed bug where temp actors weren't being marked as temp when loading the game
	* Fixed bug where engine location wasn't being updated when adding inventory to
	  the dead body container object when an actor died.
	* Fixed issue moving objects into bags on the map.
	* Don't allow drag and drop map to map.


2011-01-02  Eric Fry <efry at users.sourceforge.net> r1100

	* Fixed moving objects into containers. You can now 'M'ove an object into
	  a bag, open chest or spellbook.
	* Update slime frames when moving.
	* Added Actor.get_player_actor() to lua script.


2011-01-01  Eric Fry <efry at users.sourceforge.net> r1099

	* Added Like and Unfriendly worktypes.
	* Fixed some issues with stationary worktype.
	* Fixed typo in tangle worktype.


2011-01-01  Eric Fry <efry at users.sourceforge.net> r1098

	* Added Mouse, Retreat and Flee worktypes.
	* Fixed bug with wander near player worktype.


2011-01-01  Eric Fry <efry at users.sourceforge.net> r1097

	* Added combat assault worktype. The opening fight with the gargoyles should work
	  now.
	* Fixed bug when removing temp egg object from the start of the game.
	* Fixed some bugs in the new scripted combat worktypes.
	* Replaced some instances of delete obj; with delete_obj(obj);


2010-12-30  Eric Fry <efry at users.sourceforge.net> r1096

	* Fixed some bugs with worktype movement.
	* Added more local keyword to variables in init.lua


2010-12-29  Eric Fry <efry at users.sourceforge.net> r1095

	* Added magic to combat. magic_cast_spell(spell_num, caster, target)
	* Added worktype combat front. This is a WIP. It still doesn't seem quite like
	  the original. I'll have to check the logic.
	* Fixed bug with range weapons in npc worktype attack. They were incorrectly
	  set to a range of 1 because I was passing the weapon object not the obj_n to
	  the range calculation routine.
	* Fixed some issues with variables not being defined as local in lua script.
	* Chamged loads of variables to local in actor.lua
	* Added new magic support functions to help with casting spells from combat.
	  select_location(), caster_get_location()
	* Started spells lightning and paralyse.
	* More work on spell explosion.
	* Leave trail in projectile anim in ExpEffect.


2010-12-28  Eric Fry <efry at users.sourceforge.net> r1094

	* Added function Actor.inv_get_obj_total_qty(actor, obj_n) to script.
	* Fixed several bugs in the triple cross bow logic.
	* Some general cleanup in actor.lua


2010-12-27  Eric Fry <efry at users.sourceforge.net> r1093

	* Added U6Link reference counting to nscript_actor_inv()
	* Fixed boomerang return animation.
	* Fixed calls to actor_attack() from worktype scripts.
	* Added slime frame update logic to script. (I might move this into the
	  existing C++ U6Actor:move() function)


2010-12-27  Eric Fry <efry at users.sourceforge.net> r1092

	* Added "Slime Divides!" logic.
	* Added ActorManager::clone_actor() which clones an actor as a new temp actor.
	* Added ActorManager::can_put_actor() which checks if and actor could be placed
	  a a given map location.
	* Added a reference count retain/release locking system to the U6Link object.
	  We use this to allow the scripting system to iterate over a U6LList while
	  entries are being removed.
	* Added new "__gc" method to nuvie.U6Link metatable in script.
	* Added map_can_put(x, y, z) function to lua script.
	* Added Actor.clone(actor, x, y, z) to lua script.


2010-12-23  Eric Fry <efry at users.sourceforge.net> r1091

	* Changed lua attack script to dump container contents to the map when the
	  container is destroyed. e.g. when attacking crates, barels, chests etc.
	* Changed ObjManager::moveto_map() to take location as an argument.
	* Added MapCoord(Obj *obj) constructor.
	* Added new container_objs() lua function. This provides an iterator
	  across an object's container items.
	  e.g.
	  for child_obj in container_objs(obj) do
	  end
	* Removed the old obj.container get function.
	* Changed the interator provider functions to return the iterator
	  even in the obj_list returns null. This allows us to write code to
	  iterate over empty object lists in lua.



2010-12-22  Eric Fry <efry at users.sourceforge.net> r1090

	* Added hit animation when attacking objects.
	* Added HitEffect(MapCoord location) so we can show hit anim on objects.
	* Removed code that set the obj->qty to 1 if it was 0 when being read in from
	  the save file. (We'll need to be careful to make sure no existing
	  functionality is broken by this change.) This fixes the bug where the player
	  could attack steel doors.
	* HitAnim no sends the MESG_ANIM_DONE message when it is finished. This allows
	  us to use it in the AsyncEffect.
	* Added Event::update_timers() and added it to Game::update_once() so we can
	  update timedEvents from the AsyncEffect.
	* Clear cursor before calling Player::attack() so it doesn't cover the hit
	  animation.
	* Added hit_anim(x, y) function  to lua script. which displays the hit tile
	  at location then returns.


2010-12-21  Eric Fry <efry at users.sourceforge.net> r1089

	* Attacks can now hit objects. You can break doors and smash mirrors.
	* Fixed tile rotation amount in projectile animation where rotation amount was
	  less than initial tile rotation amount.
	* Removed actor hit call from ProjectileEffect. The hit is now handled in 
	  script
	* Added retain/release system to Effect objects. This allows the AsyncEffect
	  to hold onto an Effect after it would have been removed by the EffectManager.
	  We need this to allow the ProjectileEffect to pass back hit obj/actor data
	  to the caller.
	* The ProjectileEffect object now keeps a vector of hit entities (objects
	  and actors) and can pass this vector back to the caller after the effect is
	  complete. We will use this for the explosion effect which hits multiple
	  actors.
	* Added player_get_karma() and player_set_karma() functions to lua script.
	* Added player_subtract_karma() player_add_karma() functions to init.lua
	* Added new actor_hit(defender, max_dmg) function to actor.lua This is based
	  on the hit logic from the original game.exe
	* Call Mapwindow::updateBlacking() after calling actor_attack() script. This is
	  incase the actor attacked a door which broke.


2010-12-17  Eric Fry <efry at users.sourceforge.net> r1088

	* Fixed bug in Actor::inventory_del_object() It wasn't counting objects with 0 qty.
	  They really have a qty of 1


2010-12-16  Eric Fry <efry at users.sourceforge.net> r1087

	* Started changing attack logic to be based on target location not actor.
	  This will allow us to attack objects as well as actors.


2010-12-16  Eric Fry <efry at users.sourceforge.net> r1086

	* Fixed bug with single ProjectileEffect constructor.


2010-12-16  Eric Fry <efry at users.sourceforge.net> r1085

	* Added correct targets for triple crossbow animation
	* Added an initial tile rotation amount to the projectile anim logic
	  so tiles that not orientated straight up are drawn correctly when rotated.
	  eg crossbow bolts, arrows and spears.


2010-12-15  Eric Fry <efry at users.sourceforge.net> r1084

	* Added the ability to specify multiple targets to ProjectileEffect class.
	* Added misc/U6LineWalker.cpp/h files to Make build scripts.
	* Added new projectile_anim_multi() function to lua script.
	* Added stub support for triple crossbow animation. Need to fix values
	  based on original game logic.


2010-12-15  Eric Fry <efry at users.sourceforge.net> r1083

	* Lots of work done on new lua scripted combat and actor movement logic.
	* Changed ActorManager::moveActors() to call the new actor_update_all() lua
	  script. This is still very much a work in progress.
	* Changed blocking check on TossAnim class.
	* Added U6LineWalker class which can plot a line using the original U6 line
	  drawing algorithm.
	* Added new ProjectileAnim class which should be closer to the original U6
	  animation logic.
	* Added new ProjectileEffect and ExpEffect classes which use the new
	  ProjectileAnim class.
	* Added a new effect class. AsyncEffect. Which allows for effects to be run
	  while you wait. This is used to add inline effects to lua scripts.
	* Added new Game::update_once() method which is used in the asynchronous
	  effect class. This method updates the game objects without polling or
	  handling events. It can be used within scripts.
	* Changed ObjManager::moveto_map() to add objects to the top of the stack not
	  the bottom. (firefield objects created by lua script were ending up under
	  carpet in LB's throne room.)
	* Added map_is_water() and projectile_anim() functions to the Script system.
	* Added magic circle 5, explosion spell.

2010-10-04  Eric Fry <efry at users.sourceforge.net> r1082

	* Don't assume that the "HOME" environment variable will be defined when 
	  checking for .nuvierc file.

2010-09-30  Eric Fry <efry at users.sourceforge.net> r1081

	* Moved event->look code into Lua script code.
	* Added direction routines to u6/init.lua
	* Script changes:
	* Added the ability to iterate through party members.
	  eg.

	  for actor in party_members() do
	     -- do something with actor here. 
	   end
	   
	* Added usecode_look(obj) which calls the C usecode look function for a
	  given object.
	  At some stage we should move usecode into script.
	* Added Script::call_actor_update_all(); in readiness for moving actor
	  update/worktype logic into script.
	  This routine calls the lua function "actor_update_all()" from C
	* Added bool Script::call_look_obj(Obj *obj) which calls the new "look_obj"
	  lua function.
	* Added the following Obj script variables.
	  obj.look_string - returns the look string as given by ObjManager::look_obj()
	  obj.stackable - returns boolean whether the object is stackable
	  obj.weight - returns the object's weight

	* Added Actor.inv_remove_obj(actor, obj) which calls Actor::inventory_remove_obj(obj)
	* Added Actor.inv_remove_obj_qty(actor, obj_n, qty) which removes qty from
	  objects of type obj_n in the actor's inventory. It returns the number of
	  objects actually removed.
	* Added the following actor script variables.
	  actor.alive - returns boolean whether the actor is alive
	  actor.in_party - returns boolean whether the actor is in the party
	  actor.sched_loc - returns the actor's current schedule location
	  actor.visible - returns whether the actor is currently visible
	* Changed nscript_actor_hit() to force hit.
	* Changed nscript_actor_move() to return boolean whether the move was successful.

2010-09-29  Eric Fry <efry at users.sourceforge.net> r1080

	* Added Zu Ylem as a readiable object.
	* Added "nbool Actor::get_schedule_location(MapCoord *loc)"
	* Fixed bug in
	  uint32 Actor::inventory_del_object(uint16 obj_n, uint32 qty, uint8 quality)
	  where qty wasn't being handled correctly.
	* Changed str_bsearch() function to take const args.

2010-09-28  luteijn r1077

	* Added a couple of objects missing from U6objects.h to it, and used the
	  definitions in that file to rewrite the routine that determines which
	  objects are stackable for U6 as a case statement.

2009-06-25  Eric Fry <efry at users.sourceforge.net>
	* Added new lua function objs_at_loc() this is used to iterate
	  through objects at a given map location.
	  eg.
	    for obj in objs_at_loc(x,y,z) do
	       print(obj.name)
	    end
	* Disabled old C attack code. This disables missle animation
	  it needs to be moved into the lua attack script.

2009-06-24  Eric Fry <efry at users.sourceforge.net>
	* Started moving actor attack logic into lua script.
	* Removed actor.lua from compilable sources in XCode build env.
	* removed C randomise_base_stat() this is handled in script now.
	* Clamp actor experience at 9999 as per original game.
	* Fixed targeting range on crossbow weapon.
	* Added abs() lua function.
	* Added new U6LList iterater into lua script.
	  you can now iterate through object lists in script.
	  nscript_u6llist_iter()
	* Added actor_inventory() to lua
	  eg.
	    for obj in actor_inventory(actor) do
	       print(obj.name)
	    end
	* Added Script::call_actor_attack() to hook new script based attack logic.
	* Added 'readied' get variable to lua Obj class.
	* Split actor set/get names into two arrays. We can now have get or set
	  only members.
	* Added new luatype member to lua Actor class. This is used to determine if
	  a userdata obj is of type actor. There might be a better way to handle
	  this.
	  eg if actor.luatype == "actor" then
	* Added actor name member. This is get only.
	* Added Actor.inv_has_obj_n() this function checks a given actor's inventory
	  for an obj_n It uses the Actor::inventory_has_object() method.

2009-06-09  Eric Fry <efry at users.sourceforge.net>
	* Moved Script.cpp/h to new script dir
	* Moved Script Actor code into new ScrptActor.cpp/h files
	* Reworked lua actor_init call to remove need for lua compiler.
	* Removed Actor stat initialisation from U6Actor class
	* Delete object in Actor::inventory_del_object() if qty to delete
	  is >= obj->qty
	* Added Actor::inventory_del_all_objs()
	* Delete old inventory objects when creating a new temp actor.
	* Added get_frame_n(), set_obj_n() and set_frame_n() to Actor class.
	  Used in scripting
	* Fixed typo in actor.lua actor_init() when initialising spells.
	* Set Torch qty to 1 when creating temp actors. Fixes a bug with a guards.
	* Added Actor.inv_ready_obj() to lua scripting
	* Ready weapon/armor objects in actor_init script
	* Fixed build environments for new script dir.

2009-06-05  Eric Fry <efry at users.sourceforge.net>
	* Started work on temp actor inventories in lua.
	* Added more variables to the Lua actor class.
	* Started moving temp actor init over into lua.
	* Added lua language association to source files in XCode build env.

2009-05-25  Eric Fry <efry at users.sourceforge.net>
	* Added randomise_base_stat() to randomise new actor stats like the original. 
	* Added level to new temp actor.

2009-05-22  Eric Fry <efry at users.sourceforge.net>
	* Reworked SaveGame::load_original() to use config_get_path()
	* Removed SaveGame::get_objblk_path()
	* Added includes to fix compiling on Ubuntu 9.04
	* Added case insenstive file finding to config_get_path() Nuvie should
	  now load game files even if they are the wrong case on case sensitive
	  filesystems like Linux

2008-07-01  Eric Fry <efry at users.sourceforge.net>
	* Fixed XCode build script when used with XCode 3.0 Thanks
	  to the_letter_m for supplying a patch.

2007-08-10  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Added MsgScroll->printf(), and redefined nuprint to use it
	  Only did minimal testing as nuprint is hardly used.

2007-08-09  Pieter Luteijn <luteijn at users.sourceforge.net>
	* DEBUG macro, rewriting of (almost) all debug output to use it.

2007-08-06  Eric Fry <efry at users.sourceforge.net>
	* Changed Obj from struct to class. Moved to its own file.
	* Fixed memory leak in Converse with script not being freed on stop()
	* Fixed bug [1766551] Killing party member crash.
	  (problem with Actor::get_name() calling Party)
	* Fixed copyright in GameClock.h
	* Set GameClock variables to 0 on init
	* Fixed crash when quitting caused by bad obj handling in EggManager.
	  (Eggs are always loaded on the map now)
	* Fixed up some Obj container functionality.
	* Removed ObjManager::obj_add_obj()
	* Added stacking support to Obj::add()
	* Added Obj::add_and_stack() to help Obj::add() with stacking
	* Added U6LList::replace() which replaces data directly in the list. 
	* fixed bad assert() in ObjManager::list_add_obj()

2007-08-02  Pieter Luteijn <luteijn at users.sourceforge.net>
	* SE/MD portrait support. Functional (barely) but needs work.

2007-08-02  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fix bug in spellbook, which was showing itself in the equipment list
	  twice when used. You're not really supposed to be able to Use it.
	* As discussed not long ago in #nuvie, replaced the "set" prefix on
	  Obj::on_map/in_inventory/in_container. This must have been overlooked
	  when merging the scripting branch in.

2007-08-02  Eric Fry <efry at users.sourceforge.net>
	* Merged changes from ERIC_SCRIPING_BRANCH into main branch.

	* Added ObjManager::remove_obj_from_map()
	* Removed ObjManager::is_held() Obj::is_held() replaced with 
	  Obj::is_in_inventory()
	* Changed Obj *Obj::parent_obj to void *Obj::parent
	* Removed need for Obj::objblk_n replaced with Obj::parent
	* Obj::parent now contains a pointer to either an Actor, Obj or map U6LList 
	  object
	  Added Obj::get_actor_holding_obj()
	* Fixed Obj::is_in_ methods
	* Added nuvie_status variable to Obj This holds info on the obj's location 
	  in the engine and whether the object is being used by the scripting 
	  engine. Possible obj locations are OBJ_LOC_NONE, OBJ_LOC_MAP, 
	  OBJ_LOC_CONT, OBJ_LOC_INV and OBJ_LOC_READIED
	* Increased container parent index from 11 to 16 bits. 
	* Added the ability to search desks.
	* Moved partyView up one pixel.
	* Fixed sun/moon locations.
	* Added Obj::remove(Obj *obj) which removes children from a container.
	* Changed spell incantation buffer from 25 to 4.
	* Added contents of data/ directory into XCode build environment resource
	  section.
	* Replaced ObjManager::get_obj_container() with Obj::get_container_obj()
	* ObjManager find object now searches containers on maps. I needed this for 
	  the new resurrection functionality. (finding lost body objects from the 
	  map)
	* Changed Party::remove_actor() so that it doesn't remove party status from 
	  the actor if they are being removed due to death. This allows the Party 
	  object to resurrect them at a later stage. By looking for dead actors with
	  is_in_party() set to true.
	* Added Party::resurrect_dead_members() this gets called when the avatar dies
	  and all dead party members are resurrected.
	* Added Actor::resurrect() this function takes the body object and moves and
	  inventory back to the actor as well as setting the actor back into a live 
	  state.
	* Added Actor::find_body() this method looks on the map for the dead actor's
	  body object. This is used by the new resurrection code.
	* Added define ACTORMANAGER_MAX_ACTORS to ActorManager to get rid of some 
	  magic numbers.
	* Added U6Actor::add_blood() which adds some random blood at the actor's
	  current position. Still need to do some work on blood handling in nuvie.
	* Added Magic::spellbook_has_spell() which checks a given spellbook obj for a
	  certain spell. Added define MAGIC_ALL_SPELLS
	* Look inside containers in inventory for items. This enables converse
	  resurrection to find actors carried in a container in a party member's
	  inventory.
	* Added CGA/EGA graphics support to Nuvie. You can activate it with
	  <general><dither_mode>cga|ega|none</dither_mode></general>
	* Added new class Dither. This is used to dither bitmaps down to the correct
	  dithering mode. Called from tilemanager, background and portrait.
	* Added new bg_color variable to GamePalette so we can change the index
	  of the background color. This is then passed to views and other widgets.
	  So they don't need the magic number 0x31 anymore.
	* Added nuvie.cfg.sample into XCode build environment.
	* U6Usecode, fix torch and powder keg usecode for new Obj::is_in_container()
	  check, explode kegs over actor or container holding them, don't allow
	  equipping a torch from a container (for now)
	* Added new lua based magic scripting system.
	* Added support for the following spells. (Note magic target location is
	  currently hard coded for the tile directly above the avatar.)

	  Create Food - (imy)
	  Detect Trap - (wj)
	  Douse - (af)
	  Harm - (am)
	  Heal - (im)
	  Ignite - (if)
	  Poison - (inp)
	  Telekinesis - (opy)
	  Trap - (ij)
	  Unlock Magic - (ep)
	  Untrap - (aj)
	  Dispel Field - (ag)
	  Magic Lock - (ap)
	  Fire Field - (ifg)
	  Locate - (iw)
	  Poison Field - (ing)
	  Sleep Field - (izg)
	  Energy Field - (isg)
	  Kill - (ic)
	  Eclipse - (val)
	  Resurrect - (imc)
	  Summon - (kxc)
	  Tremor - (vpy)

2006-12-31  Joseph Applegate <sb-x at users.sourceforge.net>
	* Targeting and input has been changed to remove excess Event modes.
	* The various modes have been replaced with an EventInput state, and
	  pointers to all aquired input. Usually a mapcoord is all that is needed.
	  Event actions (or an external class) call one of the get_target methods
	  to enter INPUT_MODE and aquire a certain type of input. This changes the
	  type of prompt the player sees. (such as targeting-cursor or use-cursor)
	  When the player selects some object or entering input, one of the select
	  methods is called. This stores the input, returns to the previous mode
	  (pops back), and calls doAction() for that mode.
	* Other changes to Event:
	  Added moveCursorToInventory() and moveCursorToMapWindow() to be the one
	  true method of showing the targeting cursor.
	  Several subtle fixes, likely replaced with more subtle bugs.
	  Now you can use the plus and minus keys on the numpad to change which
	  party member's inventory is shown. This was possible in U6.
	  Keys 1 through 9 can now be used to select party members for certain
	  actions, like Talk.
	  The obsolete useselect(), freeselect(), and select_obj() functions have
	  been removed.
	  Can no longer talk to party members offscreen.
	  Can now only Get objects that are on the ground, to prevent it being
	  called for objects in inventory. This will cause a problem when we
	  implement container view.
	* U6UseCode: Targeting and input changes. Replaced Event::freeselect() and
	  Event::useselect() with get_target(), and get_direction(), respectively.
	  You must also call Event::request_input() to get input from Event.
	* A MESG_DATA_READY message to an object now causes the object to be used,
	  not messaged. (easier to get input in UseCode functions this way) A
	  pointer to the EventInput structure from Event is passed as data.
	* Musical instruments (play_instrument) now take key input.
	* InventoryView.cpp: Handle numpad keys. No longer handles the TAB key.
	* Actor: Prints a message when player's glass sword breaks while attacking.
	* MapWindow: Mouse pointer is now set to crosshairs when getting input.

2006-09-29  Pieter Luteijn <luteijn at users.sourceforge.net>
	* MD/SE dialogue gets loaded and used. Basic support, but probably
	  needs further work to make it fully work.

2006-09-06  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Don't try to get ultima6 native music when loading martian or
	  savage.

2006-09-01  Joseph Applegate <sb-x at users.sourceforge.net>
	* Added TangleVines and some tangle vine dropping code. Initializing new
	  tangle vines is still very broken.
	* Added TangleVine actor to U6ActorTypes list. Please review the animation
	  settings here.
	* Renamed U6Actor::wt_beg() to wt_converse. Actors with this worktype now
	  change to wt_wander after talking to the player.
	* Also in U6Actor: Removed wt_farm_animal_wander().
	  Changed new silver serpent length from 5-9 to 4-8.
	  Added tangle vines to list of damaging objects, and added damaging tiles
	  lava and swamp, which doesn't poison the player while wearing swamp
	  boots. All of this code should probably be in update(), update_time(),
	  or pass() so it hurts actors who are standing still.
	* Sleep fields make the actor fall asleep.
	* U6UseCode: Disallow powder kegs being lit from inside containers. (for
	  now)
	  Replaced redundant and dangerous (could have been called on kegs in
	  containers) code destroying powder kegs with destroy_obj().
	* Added more paranoid assertions to torch usecode, and removed some
	  negative logic there.
	  Removed incorrect obj->is_in_inventory_new() check when lighting a 
	  torch.
	* UseCode::destroy_obj: Make sure objects to be destroyed are on the map
	  before removing them. Clarified commented out code, to be uncommented
	  when obj_remove_obj() exists.
	* Renamed Obj::in_container/in_inventory/on_map/readied to
	  Obj::set_in_container/set_in_inventory/set_on_map/set_readied per Nuvie
	  convention, and because the functions are more obvious that way.
	* ObjManager: Moved some status flag definitions. Replaced
	  OBJ_STATUS_MASK_GET and OBJ_STATUS_MASK_SET with OBJ_STATUS_POS_MASK,
	  which is simply inverted to clear the relevant flags. The meaning of
	  the one mask is more obvious this way.
	* Moved the Obj position checks around so they're closer to the new set
	  functions.
	* More paranoid assertions in ObjManager. (replacing an incorrectly used
	  clamp_min, and to make sure we dont try to remove objects that aren't
	  on the map)
	* Replaced the assertion that an object is in a container in
	  ObjManager::get_obj_container(). If this breaks something or needs to
	  return NULL, we can change it back.
	* Tried to clarify how Pieter's WRAP_COORD works, and make it not rely so
	  much on actual plane number, but it looks even more confusing now.
	* Removed no longer needed code in Actor.cpp.

2006-08-28  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Moongates don't (dis)appear yet based if there are(n't) any moons in
	  the sky, but they do work now, since their usecode is in. Try the
	  permanent moongate at the Spirituality shrine.
	* Moonstone usecode needs fine tuning but basic usecode functionality
	  is there. You can bury the moonstones somewhere else and the
	  destination/burial table is updated.

2006-08-25  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Started on Blue Moongate support
	* Small improvement to thrown weapon support

2006-08-22  Eric Fry <efry at users.sourceforge.net>
	* Changed Actor::get_location() to accept NULL values. It doesn't
	  return coord variables if NULL is passed.
	* Added _div _gt _get_actor_attrib to Magic. They do integer division,
	  greater than comparison and retrieve Actor attributes respectively.
	* Added Locate spell script. Note! I'm not handling the dungeon levels
	  at the moment.
	* Changed string2npc to push the actor number not a pointer to the
	  Actor object.

2006-08-20  Eric Fry <efry at users.sourceforge.net>
	* Removed Silver Serpent Venom from use_food()
	* Changed use rubber ducky message to 'Squeak!' as per the original.
	* Added a note to the TODO document telling readers about our new
	  progress documents which are located in the docs/ cvs repository.

2006-08-15  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Get can now get into containers. (doesn't help with the spellbook,
	  as you can't 'open' that; still need to fix move/push for this)
	  Move/Push needs to be fixed anyway so it can be used to move stuff
	  between partmembers. Planning to 'fix' usecode to also work with
	  containers but no time yet.
	* Get weight check fixed for containers to not allow you to get more
	  than your allowance by getting a light bag with heavy content. 

2006-08-14  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Bug in adding up weights of contained objects in a container, the
	  recursive call was setting the wrong flag (include containers was
	  set to false, scale was not set so defaulted to true). Also added 
	  some defines to hide the 'magic numbers'
	* When checking if container weights were now the same as in the
	  original I found bugs in ObjManager::get_obj_weight() and related
	  stuff.
  
	  The original: 
	   Thou dost see 1 torch. It weighs 0.5 stones.
	   Thou dost see 5 torches. They weigh 2.5 stones.
	   Thou dost see 8 portions of meat. They weigh 1.6 stones.
	   Thou dost see 20 gold coins. They weigh 0.2 stones.
	   Thou dost see 1 gold coin.
	   Thou dost see 10 bits of sulfurous ash. They weigh 0.1 stones.
	   Thou dost see 9 bits of sulfurous ash.
	   Thou dost see 1 bit of sulfurous ash.
	   Thou dost see 10 silver snake venom. They weigh 5.0 stones.
	   
	  Nuvie (before): 
	   Thou dost see 1 torch. It weighs 0.1 stones
	   Thou dost see 5 torches. They weigh 0.2 stones
	   Thou dost see 8 portions of meat. They weigh 0.2 stones
	   Thou dost see 20 gold coins. They weigh 0.2 stones
	   Thou dost see 1 gold coin. It weighs 0.0 stones
	   Thou dost see 10 bits of sulfurous ash. They weigh 0.1 stones
	   Thou dost see 9 bits of sulfurous ash. They weigh 0.1 stones
	   Thou dost see 1 bit of sulfurous ash. It weighs 0.0 stones
	   [doesn't allow stacking of silver snake venom, Zu Ylem]

	  So Nuvie was:
	     A displaying spurious searching here messages when objects are on
	     the floor, and not displaying the attack/defense values. 
             This bug is not shown above for clarity/brevity
	     B rounding incorrectly
  	     C not putting the final period.
	     D showing weight when 0<weight<0.1 (because not rounding
		 properly?)
	     E dividing all stackables' weight by 10, not just reagents, gold
	       coins (anything else?)
	       to decide if object needs division by 10 or by 100, I hoped to
	       be able to use a tileflag, not just hardcode it. There's only 3
	       unknown tileflags left; stackability is based on having plural,
	       this is wrong, as original allows you to stack silver snake
	       venom. Here's an overview of most (all?) stackable items and
               their tileflags. (R=has reduced weight in original, U = Unit
               Weight from TileManager)
	         tile R U NESWDMBw hvAtlbLL Ar???fo!
		 0566 n 1 00000000 00000000 10000000 arrow\s
		 0567 n 1 00000000 00000000 01000000 bolt\s
		 0574 n 1 00000000 00000000 01000000 lock pick\s
		 0576 y 1 00000000 00000000 01000000 black pearl\s
		 0577 y 1 00000000 00000000 00000000 bit\s of blood moss
		 0578 y 1 00000000 00000000 00000000 bulb\s of garlic
		 0579 y 1 00000000 00000000 00000000 ginseng root\s
		 0580 y 1 00000000 00000000 00000000 mandrake root\s
		 0581 y 1 00000000 00000000 00000000 nightshade mushroom\s
		 0582 y 1 00000000 00000000 00000000 strand\s of spidersilk
		 0583 y 1 00000000 00000000 00000000 bit\s of sulfurous ash
		 0595 n 2 00000000 00000001 01000000 gem\s
		 0601 n 5 00000000 00000000 01001000 flask\s of oil
		 0608 y 1 00000000 00000000 00000000 gold coin\s
		 0609 n 1 00000000 00000000 01000000 gold nugget\s
		 0610 n 5 00000000 00000000 01001000 torch\es
		 0612 n 5 00000000 00000000 11001000 Zu Ylem
		 0613 n 5 00000000 00000000 11001000 silver snake venom
		 0656 n 3 00000000 00000000 01001000 loa/f\ves of bread
		 0657 n 2 00000000 00000000 11001000 portion\s of meat
	       there's no difference between lock pick and black pearl, except
	       for the latter being 10x lighter.. So can't use tileflags to
	       decide. Also there seems to be no 'stackable' tile flag, which
	       is probably why the 'has_plural' hack is used
	       
          Nuvie (after):   
	    A Searching here bugs still present.
	      attack/defense values already has some code and I think I
	      improved it a little, e.g. actually looking up the values, and
	      working properly for items that just have defense..
	      print_obj() needs to print the combat values too (now only
	      made it print damage and defense ratings.)
	    B Fixed  
	    C Fixed
	    D Fixed because B fixed.
	    E Fixed, although I've hardcoded the items that have reduced
	      weight, and might have missed some. FIXME should be a file in
	      the data directory so can be patched for new games.
	      Didn't fix is_stackable yet, but probably will eventually.

  	* tileflag definitions completed (still some unknows) and re-ordered
	* look at spellbook slightly improved
	* Main_Gauche defense value set to 1 instead of 0. Had to do this in 2
	  places (hopefully not in more, because only did 2) should be fixed
	  to be central location, hopefully as an external file (hardcoding is
	  evil)
	* a few direct manipulations of obj->status changed to calls to
	  obj->in_inventory etc. This also meant some checks could be removed.
	  didn't finish this yet as ran into the weight bugs and wanted to fix
	  those to help with further debugging ;)

2006-08-14  Eric Fry <efry at users.sourceforge.net>
	* More work done on map wrapping. You should be able to cross over the
	  ether in a balloon now. More work still needs to be done on wrapping.
	* Fixed bug while saving nested containers. A container in a container
	  wasn't saving properly. This was because we weren't incrementing
	  the object count before saving the container items.
	* Removed some more magic numbers from Party. Added more objlist offset
	  defines.
	* Changed they way we check for in vehicle status when loading the
	  Party class. We now check for the player worktype(0x2) on the vehicle
	  actor(0).
	* Set actor to worktype 0x2 when selected as the player actor.
	* Fixed bug when loading a save game in vehicle. We weren't making the
	  vehicle actor the player when loading because it wasn't deemed to be
	  in the party. We now add it as the player if party is set to
	  in_vehicle.
	* Removed duplicate OBJ_U6_TANGLE_VINE_POD define.
	* Changed the search order when looking for seats/dangerous objects in
	  U6Actor::move() to fix a bug when sitting on stools. Hopefuly this 
	  doesn't break anything.
	* Fixed bug when sitting on LB's throne. You could sit on the tile next
	  to the actual seat. This was because the throne obj is a double width
	  obj. restricted seat to left tile.
	* Changed U6Actor::move() obj check from if's to a switch statement.
	* Added log saw as a dangerous object in U6Actor::move() stepping
	  on this object will cause the actor to be hit for up to 32 points.
	* Selecting the actor tile in the inventory widget shows the party view
	* Returning from a container nolonger jumps back to the top level
	  inventory. Added InventoryWidget::set_prev_container() which shows
	  the parent object when returning from a container.
	* Reset the InventoryWidget to the top when returning from a container.

2006-08-11  Pieter Luteijn <luteijn at users.sourceforge.net>
	* cleaned(?) up confusion with on_map, in_inventory, in_container,
	 equipped status 'flags' as these are mutually exclusive, so use a 2
	 bit field instead of 4 bit flags. Because of this they can't be just
	 or-red in / and-ed out. 

	* Magic fixes (error messages, logic)
	* fixed an obj duplication bug in obj_add_obj
	* added setting of obj->parent_obj when loading a game
	  needs more testing I think.

2006-08-10  Pieter Luteijn <luteijn at users.sourceforge.net>
	* added position parameter to list_add_obj (defaults to 0)
	* added Obj *parent_obj to Obj struct.
	* added a obj_add_obj that uses list_add_obj to add an object to a
	  container, to allow updating the parent_obj.
	  nothing uses this yet but can call the function from
	  debugger and move e.g. spells into the spellbook.
	* added printing of (Obj *) obj (and prepared for (Obj *) parent_obj) to
	  print_obj to help with debugging this.
	* fixes to magic system regarding looking into empty books..
	* added an effect to the Tremor spell script and some initial stuff to
	  the gate travel spell. This will need function_input to be fixed.
	  
	* Added newline at end of file Weather.cpp (fix a warning)
	* Added macros WRAPPED_COORD(c,level), WRAP_COORD(c,level)
	  The first returns wrapped version of c, without changing c itself;
	  the other does modify c. Use the first version for things
	  like (x+1) or when you still need the unwrapped version.

2006-08-09  Pieter Luteijn <luteijn at users.sourceforge.net>
	* use balloon from other's inventory.
	* disallow balloon use underground
	* move to edge of map without crashing.
	* wrap around map (at least works with balloon, need to test more)

2006-08-08  Joseph Applegate <sb-x at users.sourceforge.net>
	* Don't try to display a sun tile at night. Fixes fireplace moon.
	* Added use orange potion. (sleeping potion)
	* Fixed torch lighting to prevent double lighting effects; don't
	  toggle_frame() before actually lighting the torch, and don't remove
	  lighting effect in usecode. **There is a double or invalid free or
	  being detected somewhere.**
	* Now setting and checking Party member inactive flag. (Party::set_active)
	* Another small light fix in Actor, and now using a list to prevent
	  adding double light effects. (Actor::light_source)
	* New function Actor::is_paralyzed() checks associated flag.
	* Renamed actor alignment flags. (to be shorter and more accurate)
	* Added Tangle Vine actor types.

2006-08-08  Eric Fry <efry at users.sourceforge.net>
	* Using a fan now changes the wind direction in a clockwise direction.
	* Added Weather::set_wind_dir() and Weather::clear_wind()
	* Fixed bug with wind dir string.
	* Stopped wind change timer when loading a save game.
	* Removed Weather::init() This is no longer needed as we set our wind
	  change callback in the new set_wind_dir() method.

2006-08-06  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Added in Sam Matthews' lighting fixes.

2006-08-06  Eric Fry <efry at users.sourceforge.net>
	* Added new Weather class. This looks after wind direction and solar
	  eclipses in U6. In the future it will be expanded to coordinate
	  more weather effects like rain, snow, fog etc. It still needs some
	  work. You can see the surface wind direction while in dungeons.
	* Added Solar Eclipse spell. The eclipse will last between 10 and 29
	  turns.
	* CommandBar now displays wind direction gathered from the Weather
	  class.
	* CommandBar now inherits from CallBack class.
	* Changed _random function from rand() to NUVIE_RAND() in Magic.
	* Added eclipse function to Magic.
	* Wired up eclipse spell in spells.nsl
	* Added new Objlist.h file to define offsets in the objlist file.
	* Fixed bug with combat mode in Party class. It was being read from the
	  eclipse length field.
	* Added NUVIE_DIR_NONE define.
	* Added CallBack.h to XCode build config.
	* Changed PartyView to display an eclipsed sun while the eclipse is
	  active.
	* Set the ambient light to night levels while eclipse is active in
	  MapWindow.

2006-08-05  Pieter Luteijn <luteijn at users.sourceforge.net>
	* info string capital letters fo hex digits.
	* use of AND to blindly mask map coordinates to wrap, instead of
  	  conditionaly using -.
	* improved (but not perfect) usage of balloon.
	* include <cassert> was misssing from AnimManager.h; added

2006-08-03  Joseph Applegate <sb-x at users.sourceforge.net>
	* Better fix for calling UseCode::pass_obj() on multi-tile objects. You
	  now have to pass x,y coords to pass_obj().
	* Ignore-danger move flag is now checked. (for non-party actors)
	  Monsters no longer follow the party into a swamp.
	* New UseCode: holy_flame() is called when looking at one of the holy
	  flames. This is not in U6 so may be optional.
	* Changed Actor::defend() to return hit amount, and moved hit to
	  Actor::attack().
	* Finished implementing MissileEffect, which takes an object and tile
	  number. If the target location is not an actor or object, the missile
	  object will be added to the map, otherwise the target object will take
	  damage.
	  Misc. fixes to TossAnim and ThrowObjectEffect.
	* Also added the missile animation to Actor's attack. It works for
	  lightning wands and bows at least, but probably crashes for other
	  weapons that don't have a tile set.
	* New actions can be started from the InventoryView, by passing the input
	  back to Event. This fixes the "what?" message when the user presses a
	  command key while the cursor is in inventory.
	* Added tiles to lightning and fire wand combat_type, and drake's body to
	  drake actor_type.
	* Added individual Actor alignment bits.
	* New method stats_changed() updates ViewManager if an actor's stats
	  change. Should this be in ViewManager?
	  Added update() function for Game::stats_changed(). (like PartyView has)

2006-08-01  Pieter Luteijn <luteijn at users.sourceforge.net>
	* Fix crash when entering vehicle.

2006-07-31  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fix for ObjManager::is_passable() reading objects on the edge of the
	  map.
	* Fixed PeerEffect buffer being corrupted by not wrapping coordinates
	  over the edge of the map.
	* Solo mode prompt and CommandBar combat icon are now updated when
	  loading a game. Player no longer reads name from party roster.
	* Fixed infinite loop when using a ship, caused by that change to
	  Player name. (Player::get_name()->Actor::get_name()->
	                Converse::npc_name()->Player::get_name()) Converse no
	  longer uses Player::get_name(), and Actor now gets the first party
	  member's name as the ship's name.
	* Toggle Combat has its own mode and cancels any pending actions.
	* New function Actor::morph() changes actor type.
	* Fix for stepping onto the wrong moongate tile. You can only enter
	  from the right tile.

2006-08-01  Eric Fry <efry at users.sourceforge.net>
	* Fixed bug with U6Actor set_worktype(). It was overwriting the frame_n
	  with the dead body frame_n when returning from the sleep work type.
	* Changed XCode 'Development' build target to fix issues with gdb.
	  Turned on full debug symbols and turned off optimisation.

2006-07-30  Joseph Applegate <sb-x at users.sourceforge.net>
	* New UseCode: Gargish Vocabulary.
	* Added alcohol level to Player. After drinking something alcoholic, the
	  Avatar will stumble around, and alcohol level will reduce gradually.
	* Added Gargish flag to Converse.
	* Actors now light up if holding torches when the game is loaded.
	* Misc. Rest fixes. All bards in the party will go to sleep now. Actors
	  will eat food from their own inventory first.
	* New function Party::get_food() returns first found food object in actor
	  inventories.
	* Fixed wall tiles not being added to MapWindow::m_ViewableTiles.
	* Added OBJ_STATUS_LIT and OBJ_STATUS_BROKEN.
	* New objects added to inventory no longer stack if not stackable.

2006-07-30  Eric Fry <efry at users.sourceforge.net>
	* Fixed a bug with actor schedules. We don't want to update schedules
	  for dead actors.

2006-07-29  Joseph Applegate <sb-x at users.sourceforge.net>
	* New function Actor::get_maxmagic(), it returns the correct Max. magic
	  points for characters that can join the party, but not for any monsters
	  yet. Also virtualized get_maxhp() as that may be game-specific.
	* Further improvements to Rest. It's now complete except for healing, and
	  repairing a ship. (the ship tiles cause Not enough room! message)
	  World/time passes while resting, but monsters won't attack the camp
	  yet. Campfire is now temporary. Iolo/musicians always faces the
	  campfire while playing music.
	* Cannons will now crash into ships, causing 20pts of damage.
	* Player: Added repairShip() which repairs 5% damage and adds 5 minutes
	  to the clock.
	  Added gargish flag, set true if the player learned Gargish.
	* Eggs now get a container list even if empty. Fixes assertion failure.
	* New worktype: Lookout (camp guard), suggested by original U6 docs.
	* Start from the top of the stack in get_obj_type_from_location().
	* Hidden actors may no longer block other actors from moving. This fixes
	  a problem with the party not moving to a dungeon exit or ladder, so
	  they no longer have to ignore other actors when pathfinding.
	* Slight tweak to hardware key repeat makes movement more responsive.
	* Fixed multi-tile actors not being completely drawn, caused by my
	  previous change to MapWindow::drawTile to draw custom tiles. This
	  simple fix modifies drawTile to accept custom tiles with an extra bool
	  argument. Don't use with animated tiles.

2006-07-29  Eric Fry <efry at users.sourceforge.net>
	* Added support for longer silver serpents. New serpents are added to
	  the map in a coil.
	* Only allow one serpent to hatch per egg.
	* New serpents are a random length ranging from 5 to 9 tiles long
	  not including the head tile.
	* Changed location of ActorList.h in XCode build config.
	* removed nuvie_game_t typedef from Converse.h and moved it to
	  nuvieDefs.h
	* Added gametype to EggManger
	* Added a small fix to get large actors working again. They were broken
	  when adding support for invisible party members. We will need to add
	  proper support for actor effects in the future.
	* Added Pieter Luteijn to the AUTHORS file.

2006-07-29  Joseph Applegate <sb-x at users.sourceforge.net>
	* New function MsgScroll::set_autobreak() is now required to add new
	  page breaks to the scroll automatically.
	* Fixed MsgScroll printing extra newlines. You can write text on the edge
	  of the scroll, but don't draw the cursor off the scroll.
	* Continuing work on Rest. (camping in the wilderness) You can press R to
	  Rest, and the party will gather together and start a campfire.
	* Event now disallows any movement if MOVE_MODE is not set.
	* Added new overloaded Map::is_passable() to check an entire area.
	* Added MapWindow::in_town() which checks for visible wall tiles.
	* Added Party::is_horsed() which returns true if anyone is on a horse.
	* Actor: Changed is_sleeping() to use flags. Added filter_party() to
	  remove party members from a list. Added get_food().
	* Added revert_worktype() which should set an actor to their normal
	  non-combat worktype. Required to "wake up". (get out of temp worktypes)
	* Fixed wt_sleep(). An object isn't required for an actor to lay down.
	* Now clearing sleep status in Actor::set_worktype().
	* Moved find_enemies() to Actor since it has access to alignment now.
	* Replaced assert() statements in Actor.h with warnings. Added warnings
	  when actors have 0 frames_per_direction (Hydras) in U6Actor.
	* Fixed Actor::check_move() to use can_be_passed(). (pathfinding issue)
	* Made pathfinder check_loc() virtual, and ActorPathFinder no longer
	  always ignores other actors.
	* Fixed saving/loading in ActorManager. It wasn't saving status flags.
	* Added missing cassert includes in InventoryWidget.cpp & DollWidget.cpp.

2006-07-25  Eric Fry <efry at users.sourceforge.net>
	* Started work on silver serpent actors. At the moment nuvie will only
	  create a serpent that is 2 tiles long. If you want to see long
	  serpents in nuvie just load an original save game with serpents
	  nearby.
	* Added new overloaded ObjManager::get_obj_of_type_from_location()
	  method which allows searching by qty and quality.
	* Added U6Actor::face_location() to stop serpents from changing
	  direction while standing still.
	* Reversed the order that surrounding objects are added to the map
	  in U6Actor::add_surrounding_objs_to_map()
	* Clear surrounding objects from an actor before moving to 0,0,0
	  upon death.

2006-07-24  Joseph Applegate <sb-x at users.sourceforge.net>
	* Finally fixed DragNDrop between inventory and the map, so that it now
	  calls usecode and you *can* move torches with the mouse again! Dropping
	  into containers doesn't work yet.
	* Added object status flags to Actor, which are saved to and loaded from
	  objlist, and used in init_from_obj() and make_obj(). Renamed Actor::flags
	  to talk_flags.
	* Actors are now drawn with an effect if they are protected or invisible.
	* Added invisibility check when looking for nearby enemies or party members.
	* New function Actor::count_readied_objects().
	* New usecode: Amulet of Submission, Black Potion, and Protect/Regen/Invis
	  Rings.
	* Move rings on hand2 to hand1 if hand1 is empty.
	* Fixed actors not being properly switched to when selecting their icon in
	  the party roster. Also added ability to switch to ActorView (Stats) when
	  selecting a person's name in the party roster.
	* Fixed another lingering bug in Torch usecode, where newly lit torches
	  were being stacked with readied lit torches.
	* Fixed alt-213 infostring. It shows the time instead of the date.
	* Moved U6Actor::filter_alignment() to ActorManager.
	* No longer allowing readied objects to be stacked in
	  ObjManager::is_stackable(). You must check it on both objects in stack.
	* Stacking objects when in actor inventory is now optional.
	* Setting WAIT_MODE to disallow new actions while dragging. I'm not sure
	  if this is the correct location to set this.

2006-07-22  Joseph Applegate <sb-x at users.sourceforge.net>
	* Now filling unreachable areas with black on the Peer effect. Peering
	  through windows isn't considered yet.
	* Added some very basic Map wrapping, so Nuvie wont crash when the player
	  is near the map's edge. It still crashes if one attempts to fly over the
	  edge of the world in a balloon. Further improvements will require more
	  extensive code changes.

2006-07-22  Eric Fry <efry at users.sourceforge.net>
	* Changes to actor alignment. Alignment is now loaded from objlist.
	* Eggs spawn actor's with correct alignment now.
	* Changed alignment datatype from U6ActorAlignment enum to uint8. This
	  is so we can load and save alignment data from the objlist.
	* Added ACTOR_ prefix to alignment defines. e.g. ACTOR_ALIGNMENT_GOOD.
	* Added get_actor_alignment_str(uint8 alignment)
	* Removed get_alignment_str(uint8 quality) from the EggManager class.
	* Changes for XCode 2.3 build system.
	* Added Actor::get_alignment() Actor::set_alignment()
	* Fixed stats for dragon actor type.
	* Added fish object to use_food()
	* Made PartyView the default view when loading Nuvie.
	* Fixed problems when tabbing between inventory view and mapwindow.
	* Changed view left and right buttons to hide if at the first or last
	  party member.
	* Don't try to change combat modes for the avatar.

2006-07-20  Joseph Applegate <sb-x at users.sourceforge.net>
	* Added Peer gem effect, also viewable without gems by using ALT-213.
	  -> Currently you can only end the effect with ESCAPE or ENTER keys.
	* Fixed torches. They behave very much the way they did in U6, except for
	  the light they cast. **DON'T USE DRAGNDROP!** Like other objects, there
	  are problems when dragging to inventory, and this has yet to be fixed.
	* Slow down actor movement in combat to more closely resembly U6.
	* Fixed mouse cursor not updating over mapwindow after certain events.
	* Now checking object frame and quality before adding objects to inventory.
	* Fixed a vehicle crash, caused by vehicle location not being updated.

2006-07-15  Joseph Applegate <sb-x at users.sourceforge.net>
	* Combat mode is now available, and can be toggled with the B key or the
	  button on the command bar. The COMMAND combat strategy works, but the
	  others all do the same thing (attack nearest or strongest enemy, or
	  retreat)
	* Improved combat strategies. (wt_combat() is still a stub function)
	* GameClock: Removed time change when mover_counter changes, because game
	  time is now independent of player movement. Also removed tick_counter
	  because - without a constant GAMECLOCK_TICKS_PER_MINUTE - minutes are the
	  highest precision units of game time available.
	* I found the proper amount of damage that traps cause. (hopefully)
	* Temp. actors with double-tiles are spawned facing west. (but a horse in
	  Trinsic is broken and only has a front!)
	* I've changed the way actors are updated and move, to resemble more
	  closely the turn based system of U6. All actor movement is based on move
	  count and dexterity, and actors move in order of fraction of moves left.
	  The player only gets to move when it's their turn and time updates only
	  when all actors have moved. (end of the turn)
	  This has resulted in the addition of these methods to ActorManager:
	  startActors(): end player turn, start moving actors
	  stopActors(): stop moving actors, return control to player
	  updateTime(): refresh all actors' movement points and add time
	  moveActors(): does the actual update and moves actors with update_actor()
	               (Called continuously by game, it returns to the player if
	               can_party_move() returns true, or an actor wants command.)
	  activate_actor()/deactivate_actor(): add/remove actor to/from active list
	  update_active_actors(): check active area for actors to add to the active
	                          list, and sort by fraction of moves left
	* updateActors() has been changed, and now just sets the current active
	  area. Use when the player/mapwindow moves.
	* Map: Added get_impedance() to return the impendance of a map tile plus
	  all objects at that location.
	* Actor: Actors can now avoid moving onto dangerous squares, but I'm
	  ignoring this flag now until the effects can be tested.
	  Moved U6ActorTileType to Actor.
	  New virtual function can_be_passed() checks another actor can be passed.
	  (the two actors can occupy the same square) Drakes still aren't working
	  properly!
	  New method display_condition() prints actor health estimate.
	* ActorManager: Added new functions to handle a list of actors.
	  get_actor_list(), and get_active_actors() each return a new list. (active
	  actors are those which are cached in and can move)
	  sort_nearest() sorts a list by distance to an arbitrary location.
	  filter_distance() removes actors out of a certain range
	* U6Actor: New functions filter_alignment(), find_enemies(),
	  combat_try_attack(), find_players(), wt_player(): Take control of Player.

2006-07-09   Eric Fry <efry at users.sourceforge.net>
	* Fixed case when calling include files in unpack_portrats.cpp
	  I was using lowercase 'l' instead of 'L'. Thanks to Pieter for
	  spotting that one.

2006-07-08   Eric Fry <efry at users.sourceforge.net>
	* Changed unpack_portraits to handle MD/SE style shape data. The shape
	  data is wrapped in a lib_n structure.
	* Added proper 'use' handling of magically locked doors and chests.

2006-07-06   Eric Fry <efry at users.sourceforge.net>
	* Added unpack_portraits application into tools directory. You can use
	  this tool to dump all SE or MD portraits as BMP graphic files.

2006-05-14   Eric Fry <efry at users.sourceforge.net>
	* Moved spells.nsl from the root directory into the data/ directory.

2006-04-22   Eric Fry <efry at users.sourceforge.net>
	* Changed Magic class to read spells.nsl file from the Nuvie data
	  directory.
	* Removed inline directive from method in Party. This was causing
	  compile problems with gcc 4.0.1
	* Updated XCode build environment to reflect Joseph's changes.
	* Fixed bug when changing portraits from doll to non doll type while
	  in a conversation.

2006-04-17  Joseph Applegate <sb-x at users.sourceforge.net>
	* The magic system by Pieter Luteijn has finally been added. It
	  is still unfinished, so there aren't many (any?) usable spells yet.
	  I've also fixed Readying objects so that you can ready the spellbook
	  with the mouse or the keyboard. You can't put spells into the book
	  yet. (or move any object into any container) The spell list at the
	  upper-right isn't implemented, so spells have to be "spoken" with the
	  keyboard.
	* Event: FIX: was using y coord in place of x coord in move-object code
	* Party: Extensive changes, including removal of a formation type, a new
	  inactive flag for party members, and use of PartyPathFinder for
	  formation movement. References of member 0 changed to get_leader().
	  The inactive flag is set when someone is unconscious.
	* The entire party formation/following code has been rewritten to more
	  closely resembly U6. Thanks to documents posted on the Nuvie forum.
	* Added Party::is_anyone_at(), similiar to Party::is_at().
	* Removed old pathfinders and added new ones, rewriting the entire
	  pathfinder system. It is made up of smaller, easier to manage classes.
	  I was able to fix some old broken code at the same time.
	* Actor/U6Actor: Rewrote some of update() and move(). Actors now use
	  the WALK_TO_LOCATION worktype correctly, when moving to their next
	  scheduled location. Changed move/check_move to use bitflags, and added
	  a flag to tell the actor to open and close doors. Actors now check
	  their moves left on each update(). It's based on dexterity.
	* Added Actor::set_pathfinder(), and walk_path(). Replaced swalk() with
	  pathfind_to() and attract_to(), and stop_walking() with
	  delete_pathfinder(). Actor::push() has been changed.
	* Also added an incomplete wt_combat() method, and combat worktypes.
	* New ActorError pointers, to blocking object or blocking actor.
	* Player: Not allowing movement if actor is_immobile(). Removed can_move
	  check in U6Actor::is_immobile(). (can_move really means can twitch)
	* FIX: Call Actor::init() from U6Actor.
	* FIX: changed WORKTYPE_U6_WALK_TO_LOCATION
	* TileManager: Added "damages" tileflag and boolean, and is_damaging()
	  functions to Map and ObjManager.

2005-12-30   Michael Fink <vividos at users.sourceforge.net>
	* fixed compiling with msvc6
	* fixed some memory leaks
	* simplified visualc7\dirent.cpp code

2005-12-27   Eric Fry <efry at users.sourceforge.net>
	* Added OBJ_U6_EFFECT define to U6objects.h
	* Added process_effects() to U6UseCode class. This is called from
	  U6UseCode::use_container(). It will process effect objects that are
	  loaded into a container when the container is used. Eg a big poison
	  explosion. At the moment it just prints text to the console.

2005-11-23   Eric Fry <efry at users.sourceforge.net>
	* Added GUI_Widget::MoveRelativeToParent() This moves the child to
	  new coords which are relative to the parent widget.
	* Added Actor::has_readied_objects() This checks to see if the
	  Actor has any readied objects in their inventory. We use this
	  when displaying actor portraits.
	* Added readied object display to the Portrait view. Nuvie will
	  now display the actor's readied objects. They are displayed
	  alongside the actor's portrait when you are either talking or
	  looking at them. Just readied objects are shown when an actor
	  doesn't have a portrait.

2005-11-19   Eric Fry <efry at users.sourceforge.net>
	* Added a weapon range check when selecting a target with the mouse.
	  If the target is too far away for a given weapon the string
	  "\nOut of range!\n" is displayed in the message scroll.
	* Changed "hands" to "bare hands" in
	  Player::attack_select_weapon_at_location()

2005-11-13   Eric Fry <efry at users.sourceforge.net>
	* Fixed use:shovel You can now dig a hole on the surface map. This is
	  used to enter the pirate's cave. A hole object is placed on the map
	  if a correcponding up ladder is found on the next layer down.
	* Fixed a crash when multi-tile actors die. Remove surrounding tiles
	  upon death.

2005-11-09   Eric Fry <efry at users.sourceforge.net>
	* Fixed a bug in Converse class which resulted in a crash when loading
	  FM towns speech data. The script_num variable was being overwritten
	  when collecting an actors name from a different script location.
	  This could happen when we switch portraits in the middle of a
	  conversation.
	* Added Converse::get_script_num() I've moved some logic from
	  load_conv(uint8 a) into this new method.
	* Fixed a bug that happened when you died in solo mode. Nuvie would
	  ressurect you in party mode but the message scroll prompt hadn't been
	  updated from the old solo mode.
	* Added ChangeLog to Mac OS X snapshot build.

2005-11-09   Eric Fry <efry at users.sourceforge.net>
	* Added some scripts to automate the creation of a Nuvie snapshot build
	  on Mac OS X.
	* Added Mac OS X diskimage build template.
	* Removed some absolute paths from the XCode build environment.
	* Fixed bug when trying to attack Actors with an armor class of 0.
	  (Thanks to Luteijn for spotting that one)
	* Changed Actor type table for OBJ_U6_MOUSE. It now returns a mouse 
	  object upon death. It was producing a mouse Actor with a body of type
	  of OBJ_U6_BLOOD before. This was causing problems for Sherry who is
	  a permanent actor.

2005-11-07   Eric Fry <efry at users.sourceforge.net>
	* Don't show objects that have status bit 0x2 set. They are invisible.
	  Don't include them when Looking at the map.
	* Added support for the trap object. Initially it is invisible but it is
	  made visible when stepped on. I'm not too sure what damage
	  value the trap object should have. At the moment it is set to 25
	  points.
	* You can also Use:trap although I'm not too sure why anyone would want
	  to do this. ;) Using the trap will inflict damage on the player and
	  make the trap visible. The original U6 didn't have use:trap. I thought
	  I'd add because you could use the square to check it had a trap in the
	  original game.
	* Added obj define OBJ_STATUS_INVISIBLE 0x2 this should probably replace
	  OBJ_STATUS_SEEN_EGG which I think might be irrelevant now.
	* Added Party::heal() which restores all party members to full health.
	* More work on combat routines. Added AC saving roll.
	* Fixed looking at dead gargoyle and cyclops objects.
	* Show Avatar when ressurecting party at Lord British's throne room.
	* Heal party when avatar dies.

2005-11-06   Eric Fry <efry at users.sourceforge.net>
	* Added Actor is Poisoned check in the Converse Interpreter.
	* Added Actor cure poison instruction in the Converse Interpreter.
	* Added starting stats for temp actors. I still need to randomize these
	  a bit.
	* More tweaks to the combat routines. I'm still not happy with the
	  attack defense logic. It seems to take longer to kill things in Nuvie.
	* NPCs become poisoned when walking on a poison field.

2005-11-02   Eric Fry <efry at users.sourceforge.net>
	* Added Actor ready position. ACTOR_NO_READIABLE_LOCATION -1 this is
	  used for attack with hands.
	* Changed some calls to sint8 for readiable location, see above.
	* Added Actor::get_hand_combat_type()
	* Don't display hit messages when using force hit. Eg Poison hits.
	* Force hit when taking damage from poison.
	* Added const CombatType u6combat_hand. I'm not too sure what the exact
	  values need to be here.
	* Fixed bug with palette cycling. I was incorrectly cycling the wrong
	  set of values at 0xfb which should have been 0xf8. :) This fixes the
	  poison field animation.
	* Fixed Event so it cycles through all the weapons that the player has
	  readied when attacking.
	* Added ObjManager::get_obj_name(uint16 obj_n) used to display the
	  weapon name when the player is attacking.
	* Changed the variable current_weapon from CombatType to sint8 in
	  Player class. This stores the current weapon using the readied
	  location defined in Actor.
	* More work done on the Player class to help with combat.
	* Added Player::attack_select_init()
	* Added Player::attack_select_next_weapon()
	* Added Player::attack_select_weapon_at_location(sint8 location)
	* Added Player::attack(Actor *a)

2005-10-03  Eric Fry <efry at users.sourceforge.net>
	* Added virtual destructor stub to GUI_CallBack class.
	* Added virtual destructor stub to Adplug Copl class.
	* Added use:campfire.
	* Connected Attack icon to the event attack functionality.
	* More work on Event attack functionality. The player can now select a
	  target within the valid range for the given weapon. At the moment the
	  weapon is hardcoded to be in the players first arm slot.
	* The player can now attack other actors with whatever weapon is
	  readied in their first arm slot.
	* Added Player::weapon_can_hit()
	* Added Actor::attack(uint8 readied_obj_location, Actor *actor)
	* Added Actor::get_weapon(uint8 readied_obj_location)
	* Added Actor::inventory_get_readied_object_combat_type(uint8 location)
	* Calculate the actors armor class based on their readied armor.
	  weapons with damage=255 kill everytime.
	* Changed Actor::defend() to return bool wether the actor actually took
	  damage.
	* Added ReadiedObj struct for use in Actor class.
	* Added Actor::weapon_can_hit(const CombatType *weapon, uint16 target_x, uint16 target_y)
	* Don't update or preform worktype for dead actors.
	* Killing a horse will create a horse carcass.
	* Added the U6 weapon hitrange and combat data.
	* Added worktype WORKTYPE_U6_ATTACK_PARTY 0x9b
	* Updated OS X SDLMain.m file with latest changes from SDL 1.2.9

not-sure-when  Eric Fry <efry at users.sourceforge.net>
	* Added Attack event type.
	* Reworked pathfinders to take out calls to actor movement methods. This
	  will stop crashes that occured when an actor died when moving inside a
	  pathfinder. ZPath still needs work to get it back to normal party
	  formation. 
	* Added Actor::heal()
	* Added Text::drawString method which takes a color argument.
	* Added U6WorkTypes.h into the XCode build environment.
	* Added Actor::check_moveRelative(sint16 rel_x, sint16 rel_y, bool ignore_actors)
	* Added start of actor combat datatypes. These will probably change a
	  lot while we get combat sorted out.
	* Added Actor::is_poisoned()
	* Added U6Actor::updatePoison()
	* Added support for poison. Actors will now take damge if they step on a
	  poison cloud or drink a poison potion. I've still got to fix stepping
	  on swamp map tiles.
	* Added support for red, yellow and green potion use code.
	* Added text colors for HP display when in party view mode. Poisoned
	  actors show green. Critically wounded actors eg < 10 HP show red.

2005-07-20  Joseph Applegate <sb-x at users.sourceforge.net>
	* ConverseSpeech.cpp,tools/FMTownsU6/unpack.cpp: fixed endianness check

2005-07-19  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net>
	* views/InventoryWidget.cpp: fix undefined return value causing crashes
	* views/DollWidget.cpp: fix undefined return value causing crashes
	* various: fixed warnings
	* configure.ac: enable -Wall by default
	* sound/SoundManager.cpp: fixed endianness check

2005-07-19  Joseph Applegate <sb-x at users.sourceforge.net>
	* Added white potion visual-effect.
	* Fixed bug in Quake effect that would cause the map-blacking to change
	  if you stood near a wall during a Cyclops quake.
	* New settings "freeze_blacking_location", to lock where boundary-fills
	  begin, and "xray_view", to disable map-blacking all together.

2005-05-27  Joseph Applegate <sb-x at users.sourceforge.net>
	* Double-clicking objects to use them is working again. I'm sure it has
	  a few problems, but it works much better than in the past.
	* Dragging and selection can only be performed with left mousebutton.
	* New nuvie.cfg option: input/enable_doubleclick. This removes the delay
	  when equipping objects.
	* There is now always a delay when walking with the left mousebutton.
	* You can clear the default action on the command icons by right it.
	  But default action isn't implemented yet.
	* New GUI_widget methods: MouseDelayed(), MouseHeld(), and a few new
	  state variables for these. Idle() now calls itself on child widgets.

2005-04-25  Eric Fry <efry at users.sourceforge.net>
	* Fixed FM-Towns audio. The interpolation routine was leaving off the
	  last sample.
	* Added script_num and using_fmtowns variables into the Converse class.
	* Fixed crash when trying to talk to guards or wisps when using FM-Towns
	  speech.

2005-04-19  Eric Fry <efry at users.sourceforge.net>
	* Fixed the FM-Towns audio sample rate. FMTowns audio uses a 16Khz
	  sample rate this had to be upscaled to 44.1Khz which is the rate our
	  internal audio system runs at. This fixed the Mickey mouse speech bug.
	  The sample rate conversion was done with simple linear interpolation.

2005-04-14  Eric Fry <efry at users.sourceforge.net>
	* Fixed bug 'Can get some objects "Not possible" to get' [932493].
	  You shouldn't be able to pickup objects that contain toptiles. Eg
	  the dragon bits in the museum in Britain.
	  Added ObjManager::has_toptile(Obj *obj)

2005-03-24  Joseph Applegate <sb-x at users.sourceforge.net>
	* Added sun & moons with correct phase changes to sky display. PartyView
	  was resized by 3 pixels to these extra tiles.
	* Slowed down normal player movement very slightly. (8 moves per second)
	* Added Ctrl-L to load latest save.
	* Now updating CommandBar and sky when time changes in various classes.
	* Replaced SDL_keysym numbers for inputting alt-codes with a switch.

2005-03-06  Eric Fry <efry at users.sourceforge.net>
	* Fixed the boundary fill logic when sherry goes through a mousehole.
	* I've done some more work on the wall reshaping logic. The wall bug
	  [ 821711 ] is almost fixed. There is still one tile out of place. :(
	* Added new direction defines. eg. NUVIE_DIR_NE
	* Removed existing ACTOR_DIR_x defines. They've been replaced by the
	  general NUVIE_DIR_x defines.
	* Converted some magic direction numbers into NUVIE_DIR_x values.
	* Fixed Savegame filelist bug. The latest savegame should load at 
	  start up. The savedialog should be listed in descending order now.

2005-03-06  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net>
	* builds/linux/*: added fedora .spec file, .desktop file and icon
	* various: fixed 'make dist', install data
	* save/SaveManager.cpp: default savedir to ~/.nuvie in linux

2005-03-05  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net>
	* ConverseInterpret.cpp: implement singular/plural forms of words

2005-03-05  Eric Fry <efry at users.sourceforge.net>
	* Fixed a bug with stackable objects. Objects with qty > 255 would
	  lose their high byte of data when being saved. The correct value
	  was being saved but it was cutting the qty when returning control
	  to the player.
	* Updated the OS X specific SDLMain.m cocoa wrapper.
	* Updated XCode build environment to include CommandBar.cpp/h
	  Note! I still need to figure out a good way of referencing the SDL
	  and SDL_mixer frameworks.
	* Added Actor::remove_all_readied_objects(). This is used when the
	  Avatar dies and is ressurected in LB's castle.
	* Fixed Actor alive variable assignment. It was swapped around.
	* Added Mac OS X specific README file.
	* Added Mac OS X specific config file.

2005-03-03  Joseph Applegate <sb-x at users.sourceforge.net>
	* Actors who are sleeping no longer respond to conversation.
	  Actors who are immobile (but awake) won't turn to face the player.
	* Added the command-icons and date/wind text. (class CommandBar).
	* Replaced U6Actor::walk_frame_tbl with a frame counter walk_frame_inc
	  to loop walk_frame in two directions. Fixes [ 852832 ].
	* MouseClick/MouseDouble code has been simplified. (only generates one
	  of the three events at a time) Things using this have to be changed.
	  Double-click is disabled right now. (but I'll fix it soon)
	* New code added to allow objects in containers to be used. (if the
	  container is held by an actor) It doesn't actually work yet.
	* Fixed InventoryView bug that could ready an object twice on MouseDown.
	* Added ActorError status struct to Actor. Added U6WorkTypes.h.

2005-02-27  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed these bugs: (which most people probably didn't know about)
	  Invalid memory access (deleting a freed pixel surface) in FadeEffect.
	  EffectManager could go into infinite loop when waiting for events.
	  Nothing on a dungeon level could be moved. (without dragging)
	  TimeQueue always used real-time to set repeat time.
	* The visual effects for using a red moongate are complete. Red
	  moongates materialize into view when placed. Note that these effects
	  don't look correct at night-time when using smooth lighting. This is
	  because I always work with an 8bit surface. (not accounting for alpha)
	* Walking to dungeon entrances is now as fast as walking to ladders.
	  Party members try to get into formation when they reach the target.
	* NPC's can always step onto red moongates now.
	* Usecode can now set WAIT_MODE after being called by select_obj().
	* Changed MapWindow::get_sdl_surface() to accept coordinates.
	* Added newline to end of misc.h.

2005-02-21  Eric Fry <efry at users.sourceforge.net>
	* Removed unused misc.h includes from EggManager.cpp and
	  ActorManager.cpp
	* Added string_i_compare() function. For case insensitive string
	  comparison. Note! win32 might need to define strcasecmp()
	* Config tags are now case insensitive. :)
	* Scaler names are now also case insensitive.

2005-02-17  Joseph Applegate <sb-x at users.sourceforge.net>
	* There was a bug with moongates/passable-objects I introduced. This is
	  fixed.
	* Nearly completed visual effects for map change. All that is
	  left is the actor-dissappear-effect when stepping into a moongate.
	* Sleeping at inns now always advances the hour to 5AM, and leaves the
	  minutes alone. (identical to U6)
	* MapWindow: New function get_sdl_surface() returns 8bit capture of
	  the MapWindow display. (similiar to create_thumbnail())
	* Fixed TimeQueue. It wasn't handling multiple events correctly.
	  (or at all)

2005-02-11  Joseph Applegate <sb-x at users.sourceforge.net>
	* Actors now always open through the correct part of a doorway when
	  passing through it (not the doorframe) and close it on the other side.

2005-02-08  Joseph Applegate <sb-x at users.sourceforge.net>
	* Firing a cannon or tossing an object no longer results in superspeed.
	  (forgot to init. a couple of variables)
	* The "Move" command works like the one in U6. You can no longer move
	  things out of range. (doesn't apply to dragndrop) The mouse cursor
	  will update with an arrow, showing the direction

2005-02-06  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed TossAnim/ThrowAnim movement mentioned in last update. It looks
	  completely different when compared to the old animation. The slightly
	  off-center placement is gone. Try dragging a chair around.
	* Improved Fade appearance just slightly. It shouldn't get a horizontal
	  lines effect now.

2005-02-05  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed a cannon moving bug where movement towards a blocked tile would
	  not let you turn the cannon. You can do that now.
	* Animating tiles (water) and palette effects (fire) now stop when an
	  effect (a tossed object) is on the screen.
	* Added functions to Game to ignore the Event delay. Animations look
	  smoother when not on Event's timing. (as if NUVIE_INTERVAL==0)
	* Rewrote TossAnim so it looks and animates better. Dropping an object
	  doesn't always look correct:
	  1: I only apply speed to the X-movement in diagonal throws, and base
	  Y-movement on that. This results in faster diagonal throws when
	  movement favors the Y-axis.
	  2: The top-left of a tile is its location; not the center of the tile.
	  Cannonball animations are still accurate.

2005-01-20  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed scroll-to-end when clicking the MsgScroll with the mouse.
	  Keywords can only be selected with the left mousebutton.
	* Clicking on the Avatar now passes. This conflicts with double-click.
	  so I still need to change this.
	* Changed mousewalking look/feel just slightly. You probably won't
	  notice any difference, but it should be more like U6 now.
	* Cardinal direction names moved to U6misc.cpp.

2005-01-02  Eric Fry <efry at users.sourceforge.net>
	* Fixed red moongate bug. [1091114] There was a small typo in the last 
	  moon gate location. X was 0x296 where it should have been 0x29b.

2004-11-27  Eric Fry <efry at users.sourceforge.net>
	* Added more game logic to use:vortex_cube.

2004-10-05  Eric Fry <efry at users.sourceforge.net>
	* Added use:fishing_pole.
	* Removed SDL window resize flag.
	* Removed some redundant code from Screen when dealing with x1 scale.
	* Added some new fields into the samegame file. 
	  *WARNING* This breaks compatibility with old nuvie savegames.
	* Fixed crash with empty inventory's.
	* added variable assignment for cur_party_member in View.

2004-10-04  Joseph Applegate <sb-x at users.sourceforge.net>
	* Add scroll-arrows to Party Roster.

2004-10-02  Eric Fry <efry at users.sourceforge.net>
	* Enable unicode support when GUI_TextInput widget grabs focus.
	* Disable unicode support when GUI_TextInput widget releases focus.
	* Added status_flags to Actor class.
	* Use actor status_flags to determine if a dead actor should be added
	  back into the party when resurrected.

2004-09-25  Michael Fink <vividos at users.sourceforge.net>
	* fixed some memory leaks

2004-09-25  Eric Fry <efry at users.sourceforge.net>
	* Added ObjManager::list_add_obj() Adds an Obj into a U6LList combining
	  with existing objects if stackable.
	* Added ActorManager::resurrect_actor() This converts a dead body Obj
	  back into the corresponding Actor record. It also transfers the dead
	  body's contents back into the Actor inventory.
	* Added obj_stackable[] table into ObjManager. This is now used by
	  ObjManager::is_stackable() to determine if an Obj is stackable.
	* Changed Obj.qty from uint8 to uint16.
	* Added support for Obj quantities greater than 255.
	* Added FM-Towns audio dialog support. To use this feature put the 
	  following line inside your <ultima6></ultima6> config block.

	  <townsdir>/the/path/to/your/fmtowns/u6/dir</townsdir>

	  The FM-Towns audio is sampled at 16KHz and will need up converting to
	  play correctly with the Nuvie audio system. This hasn't been done yet
	  so the voices will sound wrong. If you want to hear how the voices
	  should sound. Change the audio_rate in SoundManager::initAudio() from
	  44100 to 16000.
	* Added ConverseSpeech class. This is used for playing the FM-Towns
	  audio samples when in Talk mode.
	* Hooked up the actor ressurection action in the Converse system.
	* Added U6LList::findPos() This method finds the position in the list
	  holding the reference pointed to by void *data.
	* Added InventoryWidget::display_special_char() This prints the special
	  char under keys in U6.
	* Added the inventory key letter fonts to InventoryFont.h

2004-09-25  Jonathan Wright <nelno at idsoftware.com>
	* Updated project files for Visual C 7.1 (.NET 2003)

2004-09-24  Michael Fink <vividos at users.sourceforge.net>
	* Compile fixes and updated project files for msvc6

2004-08-14  Joseph Applegate <sb-x at users.sourceforge.net>
	* Sleep-at-inn implemented, with fade effects. The sky display doesn't
	  exist yet so you won't see the sun/moons going by. You always sleep
	  until 5:46A.M.
	* For good measure, threw in the initial fade-in when the game starts.
	  (I checked: it doesn't repeat on every reload)
	* The ankh/arrow cursor is no longer redrawn if MsgScroll loses focus.
	* Added some functions to wait for effects to complete. A CallBack class
	  can call EffectManager::watch_effect(this, effect) to get the message.
	* Added an extra effects layer to MapWindow. Effects can get this with
	  get_overlay(), and draw to it directly. It will either be drawn under
	  or over the border, depending on overlay_level.
	* GUI now has a block_input setting; call GUI::block() to set. This is
	  the inverse of GUI::lock_input(NULL) and blocks events to all widgets.
	  It's set when pausing the game. (along with setting Event::WAIT_MODE)
	* New function GUI_Widget::widget_has_focus() returns true if this
	  widget will be the first to get input. (and GUI is not blocked)
	* Mouse and keyboard both move the Avatar at the same speed.
	* Fixed prompt display for various usecode functions. (moving direct
	  prompt display out of U6UseCode broke some of them)

2004-08-03  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed crashing bug when dropping an object at the actor location. (I
	  thought I fixed this already???)
	* More "glitches" related to dropping things fixed. The game won't stay
	  stuck in DROP mode when you select the center square. (nowhere)
	* There should be a more consistent feel when using the mouse and
	  keyboard on items in your inventory. All "selection" code has been
	  moved to InventoryView. The command icons can now be selected with the
	  arrow keys and ENTER.
	* Eggs will now only spawn at the correct time of day. This information
	  is also added to the console output. Alignment is not assigned yet.

2004-07-30  Eric Fry <efry at users.sourceforge.net>
	* Added temp_actor flag to Actor.
	* Added armor_class to Actor.
	* Added Actor::all_items_to_container() this method takes the actor's
	  inventory and places it into an object container. This is used for
	  building the dead body object.
	* An actors inventory is placed in their dead body object upon death.
	* Started to add combat logic.
	* Started to add "Move party to castle upon the Avatar's death".
	* Actors will absorb damage with their armor_class. (If they were 
	  assigned any;) ) I'll need to calculate armor class based on combat
	  objects. They will come later.

2004-07-25  Eric Fry <efry at users.sourceforge.net>
	* Added use:balloon_plans. You can now build a balloon.
	* Added use:balloon. You can now use the balloon. The balloon
	  is currently controlled by the player. I will have to fix this
	  when we add wind direction. The balloon should drift along
	  the current wind direction. There are also some rendering issues
	  with the balloon object when moving in front of other multi-tile
	  objects.
	* Objects are now marked as "ok to take" After being added to the
	  player's inventory. Nuvie won't shout "Stealing" every time you drop
	  and pickup an inventory item now.
	* Added Party::remove_obj() this method removes the first instance of
	  a given object type from the party's collective inventory.

2004-07-23  Eric Fry <efry at users.sourceforge.net>
	* Added use:sextant.

2004-07-20  Eric Fry <efry at users.sourceforge.net>
	* Added background color to GUI_TextInput when selected.
	* GUI_TextInput now handles shifted/capslock chars correctly.
	* Added DEL, HOME, END keys to GUI_TextInput class.
	* Added use:rune. :-) You can now free shrines.

2004-07-18  Eric Fry <efry at users.sourceforge.net>
	* Added GUI_TextInput class.
	* You can now add a textual description along with your save game.
	  There are still a few issues with this. You can't type capitals
	  properly. Escape isn't working correctly either. It should return
	  the text to its original state before editing was started.

2004-07-06  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed a bug in 84-Stivus' conversation (possibly others) which always
	  gave the "I don't know" answer when asked about "wine". (which just
	  drops to the next answer)

2004-06-17  Eric Fry <efry at users.sourceforge.net>
	* Added some npc_num() calls into ConverseInterpret. HASOBJ and OBJCOUNT
	  weren't handling actor SELF (0xEB) correctly. This should fix some
	  issues with buying ship deeds from Arty and probably other npc
	  dialogs.
	* Added a match_zero_flag to Actor::inventory_get_object() when set to
	  false any quality is matched if a search quality of 0 is entered.
	  Some converse scripts don't care which quaility is returned.

2004-06-15  Eric Fry <efry at users.sourceforge.net>
	* Fixed GUI bug where hidden widgets were being passed events.
	  This fixes the scroller widget top slot bug.
	* Added 16bpp thumbnail support.

2004-06-15  Eric Fry <efry at users.sourceforge.net>
	* Added thumbnails to the save slots.
	  I haven't tested this on little endian machines. I have a feeling
	  it might not work. I also think it might not work correctly on 16bpp
	  displays. I'll have to do some more testing.
	* Fixed up some paths added WIN32 \ delimiter into more paths.
	* Added save description field into save game. Note this isn't editable
	  yet.
	* NOTE! please delete any existing savegames before running this
	  version. As the savefile structure has changed. I'll add a save
	  version check some time in the future. ;-)
	* There is a bug when selecting the top slot in the save dialog
	  scroller widget. I'll look at this soon.

2004-06-14  Eric Fry <efry at users.sourceforge.net>
	* Partial fix for bug [ 932493 ] Can get some objects "Not possible"
	  to get. It is nolonger possible to get sundials or drawers.
	  Objects with a weight of 25.5 stones aren't gettable. It is
	  however still possible to get the dragon parts in the museum. :(
	* ObjManager::get_obj_weight() now checks if an object is stackable
	  before multiplying its weight by its qty value.

2004-06-13  Eric Fry <efry at users.sourceforge.net>
	* Fixed a bug when savedir wasn't defined in the config file.

2004-06-12  Eric Fry <efry at users.sourceforge.net>
	* Added Portrait::load() This method loads the avatar portrait
	  number from the objlist data.
	* Added NuvieFileDesc class.
	* NuvieFileList is now sorted by date modified in decending order.
	* Changed SaveDialog from 6 to 4 slots. Getting ready for save
	  thumbnails.
	* Changed SaveSlot from 20 to 32 pixels high.
	* Nuvie now attempts to load the last latest savegame. If that fails
	  it will attempt to load the original savegame/ If that also fails
	  it will load a new game from the lzobjblk, lzdngblk files.

2004-06-06  Joseph Applegate <sb-x at users.sourceforge.net>
	* One line change to cleanup mouse cursor earlier, preventing GUI
	  corruption by widgets being removed. Fixes [ 908994 ].
	* Player: Set party mode to TRUE if saved party member is 0xFF.
	* Only check Solo Mode in boat usecode when entering the vehicle.

2004-06-02  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net>
	* GUI/GUI.*: fix crash when deleting the focused/locked widget

2004-06-02  Eric Fry <efry at users.sourceforge.net>
	* Added party/solo mode loading and saving to Player.

2004-06-01  Eric Fry <efry at users.sourceforge.net>
	* We now call ObjManager::clean() from all load types. This fixes
	  some issues that occured when loading a new game.
	* Fixed Player worktype bug. An actor's worktype is changed to
	  WT_U6_PLAYER (0x2) when set to the player actor. This fixes some
	  issues with ships when loading from a save. You'll need to create
	  a new save while in ship to test this.

2004-05-31  Jonathan Wright <nelno at nelno.com>
    * Fixed compilation error in MapWindow.h (wx defined twice in
      get_movement_direction)
    * fixed Win32 uninitialized variable warning in MsgScroll::Display () in
      MessageScroll.cpp.
    * fixed Win32 uninitialized variable warning in MsgScroll::MsgScroll.
    * in AnimManager.cpp, fixed some cases where unary minus was being
      used on unsigned integers.
    * added <save_dir> section to nuvie.cfg.sample.
    * changed NUVIE_PATH_DELIMITER to '/' for WIN32.  As far as I know, WIN32
      file io functions work perfectly well with '/' instead of '\', unless
      memory fails me and Win95 didn't like this.  I noticed the path delimiters
      in nuvie.cfg were all '/' and they never get converted anyway, so if '/'
      didn't work, everything would already be failing to load on Win32.
    * in SaveManager.cpp, made it auto-create the save game directory if it
      doesn't exist, instead of failing.
    * commented out code that fills in all empty save slots with "New save."
      Just seemed less confusing and aesthetically more pleasing to have that
      only in the first slot.
    * Added custom implementations for opendir, closedir and readdir on Win32
      in dirent.h and dirent.cpp in visualc7 directory.

2004-05-31  Eric Fry <efry at users.sourceforge.net>
	* You can save and load from the slots in the save dialog now. :)
	  I'll have to test this some more. I've used opendir/ readdir
	  and stat calls. I hope these work under Win32. We might need to
	  include a posix opendir wrapper to compile under MSVC.
	* Cleaned temp objects list on ObjManager cleanup.

2004-05-30  Joseph Applegate <sb-x at users.sourceforge.net>
	* Fixed crash from ThrowObject effect caused by a TimedEvent attempting
	  to use callback of deleted effect. Animation is stopped on target.
	* Explosions are slightly larger when hitting walls with cannon fire.
	* PLACEONTABLE tileflag is checked when dropping objects. The check has
	  been moved to MapWindow::can_drop_obj().

2004-05-30  Eric Fry <efry at users.sourceforge.net>
	* Removed absolute paths from XCode project files. Thanks to Fortran
	  Dragon for spotting them.

2004-05-30  Eric Fry <efry at users.sourceforge.net>
	* Some compiler fixes.
	* Reworked save logic to allow a game to be loaded whilst another
	  game is being played. (I haven't finished with this yet.) There
	  are probably more objects that need some resetting when loading
	  a savegame.
	* Fixed a double delete in ~ExplosiveAnim(). It was deleting tiles which
	  were then deleted again in ~TileAnim().
	* Fixed a number of compiler warnings. Unused variables, signed/unsigned
	  conversion warnings etc.
	* Added virtual destructors to some classes that have virtual methods.
	* replaced malloc call with a new call in ObjManager when allocating
	  the ObjTreeNode.
	* Hooked up the "Load" button on the savedialog. It now attempts to load
	  nuvie01.sav when pressed.
	* Removed ObjManager::delete_obj() method. We have an independant
	  function delete_obj() that can delete Objs.

2004-05-29  Joseph Applegate <sb-x at users.sourceforge.net>
	* Added CallBack AnimManager EffectManager & Effect. NuvieAnim and
	  TileAnim could probably stand to have their differences negotiated.
	  A few new Effects & animations have been included. Try powder kegs &
	  cannons.
	* Event: New input modes DROP, DROPTARGET, and DROPCOUNT for dropping
	  object from inventory. Also, added ability to drop objects.
	* Added WAIT mode to block all input until further notice.
	  A new method endWaitMode() will drop out of WAIT_MODE
	  and display the prompt automatically. This is used by Effects, when
	  unpausing from Game::set_pause_flags(). This WAIT_MODE is checked in
	  most functions. We can perform these actions from outside Event.
	* New functions to implement Drop: drop_select(), drop_count(), Drop().
	* Actor: New methods: reduce_hp(), die(), hit(), which calls a
	  HitEffect. Slightly modified a toss_anim() check in ActorManager.
	* U6Actor: Replaced static beg mode with class member beg_mode.
	* Check that coordinates are valid before checking for a mirror
	  next to the actor. (no map wrapping yet)
	* Added calls to hit() and HitEffect() when actor steps on poison,
	  fire, or sleep fields. Cyclops shake the ground when walking.
	* UseCode: Replaced TimedCallback inheritance with CallBack.
	  Added message_obj() to send internal message to an object.
	  Changed the meaning of USE_EVENT return. True is returned if the
	  prompt should be displayed. Removed some displays of the prompt.
	* Added/updated: use_fountain(), use_powder_keg(), use_cannon()
	* InventoryView: Pressing ENTER when Event::DROP_MODE is set will do the
	  appropriate action. Sure would be convenient if these were in one
	  place. :)
	  Fixed cursor positioning error, when calling update_cursor() from
	  init(). It's now called in PlaceOnScreen().
	* Game: set_pause_flags() does more stuff than it used to.
	  Pausing/unpausing can enable or disable certain parts of the engine
	  from here. PAUSE_USER will set Event to WAIT_MODE, for example.
	* The clock can be stopped/started with new function set_active().
	* AnimManager is now a part of MapWindow. It handles the tricky parts
	  of tile animations, that MapWindow could do, but shouldn't have to.
	  MapWindow::drawAnims() calls the AnimManager function.
	* The MapWindow coordinates can now be set with pixel precision. This
	  is accomplished with two extra parameters to moveMap() - the pixel
	  offset from the tile coordinates. New method shiftMapRelative() will
	  update the MapWindow location by relative pixel amounts.
	* AND the map can now be moved automatically with builtin velocity
	  setting, measured in pixels per second. (set_velocity()) This is
	  unused at the moment, but was intended to be used by QuakeEffect.
	* Other new methods: centerMap(), update() for map movement and walk.
	* Added call to DROP action (Event) when dragging something onto the
	  map. This is fine for dragging from inventory, but looks odd when
	  dragging from the map.
	* Map: I improved lineTest a little. Trying to improve it any more broke
	  things so this is all that was changed: Added HitObjects, HitActors
	  and HitLocation checks. LineTestResult can now contain a location
	  which you pass before the test, that will pass if the line hits that
	  location. HitLoc is identical to that if it hit. A "skip" variable
	  is added to the test to allow you to skip a number of coordinates in
	  the line. You can test different segments of the same line that way.
	* MsgScroll: Added request_input() method, allowing any Callback class
	  to request that the next input string be sent to it. Done in
	  set_input_mode().
	* TimedEvent: Fixed timers a bit. Hopefully it's more stable & easy to
	  read. You now have to queue() a timed event to add it to the queue,
	  but this is usually done in the constructor.
	  Added TIMER_* defines. Replaced repeat bool with repeat_count int.
	  Added methods: queue(), dequeue(), stop(), repeat(), set_time().
	* TileManager: Added tile rotation function.
	* Player: Replaced uncontrolled setting with mapwindow_centered.

2004-05-29  Eric Fry <efry at users.sourceforge.net>
	* Fixed a load/save bug. I wasn't cleaning the old y value
	  properly when saving containerized objects. This could
	  cause an object to think its parent container index was + 1024
	  which would send the object off into the void never to be seen again.

2004-05-28  Willem Jan Palenstijn <wjpalenstijn at users.sourceforge.net>
	* various: include case mismatches

2004-05-26  Eric Fry <efry at users.sourceforge.net>
	* Fixed readied inventory when saving.
	* Fixed Party names when loading.
	* Eggs are nolonger saved twice if eggs are shown on map.
	* Added clean up code to ObjManager and Egg manager.
	* Note! There is a bug somewhere in the load/save code where
	  we are losing objects. I'll have a look into this shortly.

2004-05-25  Eric Fry <efry at users.sourceforge.net>
	* More work on saving.
	* You can now save and load a game in the new nuvie save format.
	* Readied objects aren't working correctly after a save/load. I'll
	  fix that soon.
	* At the moment it isn't posible to load a game while in the middle
	  of another game. I need to fix the cleanup routines in a number
	  of classes before we can load a game over the top of another.
	* You can try saving your game by clicking on the save button in
	  the new savedialog window. Press 's' while playing to see the new
	  savedialog.

2004-05-24  Eric Fry <efry at users.sourceforge.net>
	* Work on new Load/Save system.
	* Added SaveGame class.
	* Added facility to load a new save game using the lzobjblk and
	  lzdngblk files.
